<?php
//ini_set('display_errors', '1');
//error_reporting(E_ALL);

if(! is_admin() && $GLOBALS['pagenow'] !== 'post.php'){
	add_shortcode('DAPCourseLesson', 'dap_courselessonshortcode');
}
   
// Mark as complete button page functionality by course lesson Template
 function dap_courselessonshortcode($atts, $content=null){ 

	/***Added this line to fix the elementor ,  for non-admin users content was not showing*****/
	if(isset($_REQUEST['tve']) && $_REQUEST['tve'] == true){return $posts;}		
	if(isset($_REQUEST['_locale']) && ($_REQUEST['_locale'] == "user")){return $posts;}		
	if(isset($_REQUEST['action']) && ($_REQUEST['action']  == "elementor" || isset($_REQUEST['elementor-preview']))){
		return $posts;
	} 
	
	global $wpdb, $post; 
    extract(shortcode_atts(array(
        'id' => '',
    ), $atts));   
    
    if( !Dap_Session::isLoggedIn() ) {
       $errorHTML = mb_convert_encoding(MSG_PLS_LOGIN, "UTF-8", "auto") . " <a href=\"" . Dap_Config::get("LOGIN_URL") . "\">". mb_convert_encoding(MSG_CLICK_HERE_TO_LOGIN, "UTF-8", "auto") . "</a>";
       return $errorHTML;
    } 
    //get userid
	$session = Dap_Session::getSession();
	$user = $session->getUser();
	if (isset($user)) {			
		 
		//get markacomplete data			
		$userId = $user->getId(); 
		$userEmail = $user->getEmail(); 
		$first_name = $user->getFirst_name(); 
		$post_id =  $post->ID;
		$data = getCourseData($id, $post_id);
		ob_start();				 
		$random_var = rand(10,1000);	
		$siteurl = SITE_URL_DAP;
		$remove = array("http:","https:");
		$siteurl =  str_replace($remove,"",$siteurl);			 
		$cssurl =  '<link rel="stylesheet" href="'.$siteurl.'/dap/admin/css/course_template.css?'.rand(10,1000).'">  <link href="'. plugin_dir_url(__FILE__). 'includes/css/course_lesson_frontend.css?'.rand(10,1000).'" rel="stylesheet"><script src="'. plugin_dir_url(__FILE__). 'includes/js/dap_courselesson_frontend.js?'.rand(10,1000).'"  ></script>';			 
		$output = '<div class="course_template_outer course_template_outer_frotend" id="course_template_outer_id" style="display:none">'.$data.$cssurl.'</div>';
		ob_end_clean();	
		 
		return do_shortcode($output);  	
		
	}
}

function getCourseData($id , $post_id){ 
	$coursedata = '' ;	
	$coursetemplate = Dap_CourseTemplate::loadById($id) ;	
	 
	if(isset($coursetemplate) ){
		 $course_id =  $coursetemplate->getProductId(); 
		 $customize_values =  $coursetemplate->getCustomizeValues(); 
		 $coursetemplatedata =  $coursetemplate->getTemplateData(); 
		// $fileresource = Dap_FileResource::getResourceName($resourceId);
		 $coursetemplatedata =  str_replace('contenteditable="true"', "", $coursetemplatedata);
		 
		 $page_title = getResourceName($course_id, $post_id); 
		 $coursetemplatedata =  str_replace('%%LESSONTITLE%%', $page_title, $coursetemplatedata); 
		 
		$lesson_data= getCourseLessonTempData($course_id, $post_id);		 
		$coursetemplatedata =  str_replace('%%LESSONTEMPLATE%%', $lesson_data, $coursetemplatedata); 
		$coursetemplatedata =  str_replace('contenteditable="true"', "", $coursetemplatedata);
		// $lesson_data= getLessonData($course_id);
		 //$coursetemplatedata =  str_replace('contenteditable="true"', "", $coursetemplatedata); 
		 
		$dap_ct_tab_show = 'N'; 
		$dap_ct_tab_br_clr = '#266ebc';
		
		$ct_customize_values_array = explode('||',$customize_values);
		
		if(isset($ct_customize_values_array[0])){
			$dap_ct_tab_show = $ct_customize_values_array[0];
		}
		
		if(isset($ct_customize_values_array[1])){
			$dap_ct_hide_left_sidebar = $ct_customize_values_array[1];
		}
		
		if(isset($ct_customize_values_array[2])){
			$dap_ct_tab_br_clr = $ct_customize_values_array[2];
		}
		if(isset($ct_customize_values_array[3])){
			$dap_ct_sidebar_br_clr = $ct_customize_values_array[3];
		}
		if(isset($ct_customize_values_array[4])){
			$dap_ct_content_br_clr = $ct_customize_values_array[4];
		}
		if(isset($ct_customize_values_array[5])){
			$dap_ct_sidebar_position = $ct_customize_values_array[5];
		}
		
		if(isset($ct_customize_values_array[6])){
			$dap_ct_template_box_shadow_clr = $ct_customize_values_array[6];
		}
		if(isset($ct_customize_values_array[7])){
			$dap_ct_template_width = $ct_customize_values_array[7];
		}
		
	    $hidden_fields  = "<input type='hidden' id='dap_ct_tab_show' value='".$dap_ct_tab_show."'>";
	    $hidden_fields .= "<input type='hidden' id='dap_ct_tab_br_clr' value='".$dap_ct_tab_br_clr."'>";
		
		
		$custom_style = '<style> #course_template_outer_id .course_template_tabs .nav-tabs .nav-item .nav-link.active, #course_template_outer_id .course_template_tabs .nav-tabs .nav-item .nav-link:hover {background: '.$dap_ct_tab_br_clr.' !important;</style>';
		
		$coursetemplatedata  .= $hidden_fields.$custom_style;
		 
	}
	return  $coursetemplatedata;
	//return  $coursedata;
}

function getResourceName($pid, $post_id){ 
	 
	$resourceName='';
	$lessontemplatedata = Dap_CourseLessonTemplate::loadByCourseId($pid) ;	
	//echo "<pre>" ; print_r($lessontemplatedata );
	if(isset($lessontemplatedata) && count($lessontemplatedata)){
		foreach($lessontemplatedata as $lessontemplate){
			$resourceId = $lessontemplate->getResourceId();	
			$page_id = $lessontemplate->getPageId();	
			
			$current_url = home_url(add_query_arg(array()));	 
			$pageid = url_to_postid($current_url);
			$permalink = get_permalink($pageid);
			$permalink = getResourceFromString($permalink);		
			 
			$page_name = get_the_title($pageid);
			if($post_id == $page_id){
				$resourceRow = Dap_FileResource::getResourceName($resourceId);
				if(isset($resourceRow) ){
					$resourceName= $resourceRow['name'];
				} 
			}else{
				$resourceRow = Dap_FileResource::getResourceName($resourceId);
				if(isset($resourceRow) ){
					$resourceurl= $resourceRow['url'];
					if($resourceurl == $permalink){
						$resourceName= $resourceRow['name'];
					}
					 
				}
			}				
		}
	}
	//echo "resourceName".$resourceName;
	return $resourceName;
}

function getCourseLessonTempData($pid, $post_id){ 
	$lessondata='';
	$lessontemplatedata = Dap_CourseLessonTemplate::loadByCourseId($pid) ;	
	//echo "<pre>" ; print_r($lessontemplatedata );
	if(isset($lessontemplatedata) ){
		foreach($lessontemplatedata as $lessontemplate){
			$resourceId = $lessontemplate->getResourceId();			 
			$page_id = $lessontemplate->getPageId();			
			if($post_id == $page_id){			 
				$tab1 = $lessontemplate->getTab1();
				$tab1 = '<div class="cl_tab1 cl_tabs_cont">'.$tab1.'</div>';
				$tab2 = $lessontemplate->getTab2();
				$tab2 = '<div class="cl_tab2 cl_tabs_cont">'.$tab2.'</div>';
				$tab3 = $lessontemplate->getTab3();
				$tab3 = '<div class="cl_tab3 cl_tabs_cont">'.$tab3.'</div>';
				$tab4 = $lessontemplate->getTab4();
				$tab4 = '<div class="cl_tab4 cl_tabs_cont">'.$tab4.'</div>';
				$tab5 = $lessontemplate->getTab5();
				$tab5 = '<div class="cl_tab5 cl_tabs_cont">'.$tab5.'</div>';
				$lessondata= $tab1.$tab2.$tab3.$tab4.$tab5;
			}else{
				$current_url = home_url(add_query_arg(array()));	 
				$pageid = url_to_postid($current_url);
				$permalink = get_permalink($pageid);
				$permalink = getResourceFromString($permalink);	
				$resourceRow = Dap_FileResource::getResourceName($resourceId);
				if(isset($resourceRow) ){
					$resourceurl= $resourceRow['url'];
					if($resourceurl == $permalink){
						$tab1 = $lessontemplate->getTab1();
						$tab1 = '<div class="cl_tab1 cl_tabs_cont">'.$tab1.'</div>';
						$tab2 = $lessontemplate->getTab2();
						$tab2 = '<div class="cl_tab2 cl_tabs_cont">'.$tab2.'</div>';
						$tab3 = $lessontemplate->getTab3();
						$tab3 = '<div class="cl_tab3 cl_tabs_cont">'.$tab3.'</div>';
						$tab4 = $lessontemplate->getTab4();
						$tab4 = '<div class="cl_tab4 cl_tabs_cont">'.$tab4.'</div>';
						$tab5 = $lessontemplate->getTab5();
						$tab5 = '<div class="cl_tab5 cl_tabs_cont">'.$tab5.'</div>';
						$lessondata= $tab1.$tab2.$tab3.$tab4.$tab5;
					}
					 
				}
			}	
		}
	}
	 
	return  $lessondata;
}
