<div class="member_engagement_section" style="margin: 1vh auto;">
	<h2 class="member_engagement_heading"><i class="fa fa-indent mr-2"></i>Member Engagement Builder</h2>

	<link rel="stylesheet" href="<?= plugin_dir_url(__FILE__).'includes/templates/engagement/template1/style.css'?>">
	

<?php 
  echo DapMemberShowLoader();
$displayOption = 'course_completed';
$name = '';
$hideListArray = array();
if(isset($_GET['id'])){
	
	$engageMentData = DAP_MemberEngagementRules::loadByEngagementId($_GET['id']);
	

	if(isset($engageMentData[0])){
		$displayOption = $engageMentData[0]->getDisplayOption();
	}	
	
}


?>


	<div class="member_engagement-listing">
		<div class="me-listing-item <?php if($displayOption == 'course_completed'){ echo "active"; } ?>" data-id="completedCourse"><i class="fa fa-bar-chart" aria-hidden="true"></i>Completed Courses</div>
		<div class="me-listing-item <?php if($displayOption == 'course_inprogress'){ echo "active"; } ?>" data-id="inProgressCourse">In-Progress</div>
		<div class="me-listing-item <?php if($displayOption == 'course_enrolled'){ echo "active"; } ?>" data-id="enrolledCourse">Enrolled</div>
		<div class="me-listing-item <?php if($displayOption == 'course_upsell'){ echo "active"; } ?>" data-id="notSignUpUpsell">Not Enrolled</div>
		<div class="me-listing-item <?php if($displayOption == 'normal_products'){ echo "active"; } ?>" data-id="userProducts">Products </div>
		<div class="me-listing-item <?php if($displayOption == 'upsell_products'){ echo "active"; } ?>" data-id="userNonProducts">No access</div>
		<div class="me-listing-item <?php if($displayOption == 'points'){ echo "active"; } ?>" data-id="points">Points</div>
		<div class="me-listing-item <?php if($displayOption == 'all_badges'){ echo "active"; } ?>" data-id="badges">Badges</div>
		<div class="me-listing-item <?php if($displayOption == 'all_certificates'){ echo "active"; } ?>" data-id="certificates">Certificate</div>
	</div>

	<div class="completedCourseOuter hideShowTabCommon  course_completed_outer_wrapper" style="display:<?= $displayOption == 'course_completed' ? 'block' : 'none' ?>">

		<?php include_once(dap_member_dir.'/includes/templates/engagement/html/courseCompleted.php'); ?>
	</div>	


	<div class="inProgressCourseOuter hideShowTabCommon  course_inprogress_outer_wrapper" style="display:<?= $displayOption == 'course_inprogress' ? 'block' : 'none' ?>">
		<?php  include_once(dap_member_dir.'/includes/templates/engagement/html/inProgressCourseOuter.php'); ?>
		
	</div>
	<div class="enrolledCourseOuter hideShowTabCommon course_enrolled_outer_wrapper" style="display:<?= $displayOption == 'course_enrolled' ? 'block' : 'none' ?>">
		<?php  include_once(dap_member_dir.'/includes/templates/engagement/html/enrolledCourseOuter.php'); ?>
	</div>
	<div class="notSignUpUpsellOuter hideShowTabCommon course_upsell_outer_wrapper" style="display:<?= $displayOption == 'course_upsell' ? 'block' : 'none' ?>">
		<?php  include_once(dap_member_dir.'/includes/templates/engagement/html/notSignUpUpsell.php'); ?>
	</div>
	<div class="userProductsOuter hideShowTabCommon normal_products_outer_wrapper" style="display:<?= $displayOption == 'normal_products' ? 'block' : 'none' ?>">
		<?php  include_once(dap_member_dir.'/includes/templates/engagement/html/userProducts.php'); ?>
	</div>
	<div class="userNonProductsOuter hideShowTabCommon upsell_products_outer_wrapper" style="display:<?= $displayOption == 'upsell_products' ? 'block' : 'none' ?>">
		<?php  include_once(dap_member_dir.'/includes/templates/engagement/html/userNonProducts.php'); ?>
	</div>
	<div class="pointsOuter hideShowTabCommon points_outer_wrapper" style="display:<?= $displayOption == 'points' ? 'block' : 'none' ?>">
		<?php  include_once(dap_member_dir.'/includes/templates/engagement/html/points.php'); ?>
	</div>
	<div class="badgesOuter hideShowTabCommon all_badges_outer_wrapper" style="display:<?= $displayOption == 'all_badges' ? 'block' : 'none' ?>">
		<?php  include_once(dap_member_dir.'/includes/templates/engagement/html/badges.php'); ?>
	</div>
	<div class="certificatesOuter hideShowTabCommon all_certificates_outer_wrapper" style="display:<?= $displayOption == 'all_certificates' ? 'block' : 'none' ?>">
		<?php  include_once(dap_member_dir.'/includes/templates/engagement/html/certificates.php'); ?>
	</div>
</div>

<script src="<?= plugin_dir_url(__FILE__).'includes/js/createOwnTemplate.js?'.rand(10,1000); ?>"></script>
<script src="<?= plugin_dir_url(__FILE__).'includes/js/dap_member_engagement_build_template_customizer.js'?>"></script>



<?php include_once('DAP-Create-Member-Engagement-Display-Popup.php'); ?>
