<?php 
define('dap_member_dir', plugin_dir_path(__FILE__));
define('dap_member_path', plugin_dir_url(__FILE__));
define('dap_member_current_date_time', date("Y-m-d H:i:s"));

/*
 * Loader html 
 */ 
function DapMemberShowLoader(){
	$html = '
			<div class="dap_member_loading_wrapper" >
			<div id="dap_member_loadingoverlay"></div>
			<div id="dap_member_loader_icon">
				<div class="lds-css ng-scope"><div style="width:100%;height:100%" class="lds-dual-ring"><div></div></div></div>
			</div>
			</div>';
	return $html;
}

/* define ajax request event */
add_action( 'wp_ajax_dap_member_get_template', 'ajaxDapMemberGetTemplateAjax' );
add_action( 'wp_ajax_dapMemberGenerateWpPage', 'dapMemberGenerateWpPageAjax' );
add_action( 'wp_ajax_saveDapMemberPageAjax', 'saveDapMemberPageAjax' );
add_action( 'wp_ajax_ajaxDapSortProducts', 'ajaxDapSortProducts' );
add_action( 'wp_ajax_dapMemberGetContentTemplate', 'dapMemberGetContentTemplate' );
add_action( 'wp_ajax_dap_check_page_id_status', 'dapCheckPageIdStatusAjax' );
add_action( 'wp_ajax_dap_checked_page_id_and_page_type_used', 'ajaxDapCheckedPageIdAndPageTypeUsed' );
add_action( 'wp_ajax_save_dap_member_affiliate_page_save', 'ajaxDapMemberAffilatePageSave' );
add_action( 'wp_ajax_dap_save_settings_info', 'ajaxDapSaveSettingsInfo' );
add_action( 'wp_ajax_save_dap_member_profile_page_save', 'ajaxDapMemberProfiePageSave' );
add_action( 'wp_ajax_dap_member_invoice_preview', 'ajaxDapMemberInvoicePreview' );
add_action( 'wp_ajax_dapDeleteMemberPageAjax', 'dapDeleteMemberPageAjax' );
add_action( 'wp_ajax_dapDiffLoggedInMenu', 'dapDiffLoggedInMenu' );


add_action( 'wp_ajax_dapPayPerPostEnableAndDisableActionAjax', 'dapPayPerPostEnableAndDisableActionAjax' );
add_action( 'wp_ajax_dapPayPerPostDeleteByPostIdAjax', 'dapPayPerPostDeleteByPostIdAjax' );
add_action( 'wp_ajax_dapPayPerPostCopyActionAjax', 'dapPayPerPostCopyActionAjax' );
add_action( 'wp_ajax_dapFbConnectionAjax', 'dapFbConnectionAjax' );
add_action( 'wp_ajax_nopriv_dapFbConnectionAjax', 'dapFbConnectionAjax' );


// load sqb quiz 
add_action('wp_ajax_dap_wp_quiz_load_userdetails', 'dap_wp_quiz_load_userdetails');
add_action('wp_ajax_nopriv_dap_wp_quiz_load_userdetails', 'dap_wp_quiz_load_userdetails');


add_action('wp_ajax_dap_wp_reset_course_by_user_id', 'dap_wp_reset_course_by_user_id');
add_action('wp_ajax_nopriv_dap_wp_reset_course_by_user_id', 'dap_wp_reset_course_by_user_id');


function dap_wp_reset_course_by_user_id(){
	$lldocroot = defined('SITEROOT') ? SITEROOT : $_SERVER['DOCUMENT_ROOT'];
	$dap_sqb_wp_path =  $lldocroot."/wp-load.php";
	if (file_exists($dap_sqb_wp_path)){
		include_once ($dap_sqb_wp_path);  
	}	
	$output = array();   
	 
	if(isset($_POST)){	
		
		if(isset($_POST['course_id'])){
			$course_id =  $_POST['course_id'];
			$user_id =  $_POST['user_id'];
			DAP_UserCourseProgress::deleteByUserIdAndProductId($user_id,$course_id);
			$output['success'] = 'delete';
		}else{
			$output['error'] = 'something wrong';
		}
	
		
	}else{
		$output['error'] = "Something Wrong!";
	}	

	echo json_encode($output);
	die;
}


function dap_wp_quiz_load_userdetails(){
	
	$lldocroot = defined('SITEROOT') ? SITEROOT : $_SERVER['DOCUMENT_ROOT'];
	$dap_sqb_wp_path =  $lldocroot."/wp-load.php";
	if (file_exists($dap_sqb_wp_path)){
		include_once ($dap_sqb_wp_path);  
	}	
	
	$loging_status = false;	
	/*if(Dap_Session::isLoggedIn()){ 
		$loging_status = true;	
		$session = Dap_Session::getSession();
		$user = $session->getUser();
		$user_id = $user->getId();
	} */
	
	$output="No Data Found";	 
	$outputData="";	 
	if(isset($_POST)){	
		$quizid = $_POST['quizId'];
		$user_id = $_POST['userId'];
		
		$quiz_array = "";
		$questiondata = "";
		$htmldata = "";
		$outcome_name="";	
		$ques_ans_data="";	
		$userdata="";
		$finalData = "";		 
		$quizObjArray = SQB_ManageLeads::loadByQuizIdAndUserId($quizid, $user_id);	
		 
		$delete_btn_records_html =  '';
		$course_details =  '';
		if(isset($quizObjArray)){
			$sqb_j = 0;
			foreach($quizObjArray as $quizObjArray1){
				$sqb_j++;
				if($quizid =="all"){
					$quiz_id = $quizObjArray1->getQuizId();
				} else{
					$quiz_id = $quizid;
				}
				$shown_outcome = $quizObjArray1->getShownOutcome();				
				$date = $quizObjArray1->getDate();				
				$outcome = $quizObjArray1->getOutcome();				
				$quizObj = SQB_Quiz::loadById($quiz_id);	
				 
				$outcomeObj = SQB_Outcome::loadById($outcome);				 
				if(isset($outcomeObj)){
					$outcome_name = $outcomeObj->getOutcomeName();
				} 
				if(isset($quizObj)){
					$quiz_name = $quizObj->getQuizName();
					$quiz_type = $quizObj->getQuizType();	
					$user_login_source = $quizObjArray1->getSource();	
				
				if($user_login_source == 'DAP'){
					if(class_exists('Dap_SQBQuizCourseLessons')){
						$course_id =  $quizObjArray1->getCourseId(); 
						$lesson_id =  $quizObjArray1->getLessonId();
						$dap_c_name = '';
						$dap_cdata = Dap_Product::loadProduct($course_id);
						if(isset($dap_cdata) ){ 
							$dap_c_name = $dap_cdata->getName();
						}
							
						$unit = Dap_Product::displayFileResourcesWithCourseIdLessonId($course_id, $lesson_id);	
						
						$lesson_name = '';	
							
						if(is_array($unit) && count($unit)){	
							if($unit['name'] ==""){
								$lesson_name = $unit['url'];
							}else{
								$lesson_name = $unit['name'];
							}
						}
						
						if($dap_c_name !== '' ){
							$course_details = '<div class="Side_Popup_card dap_sqb_course_id_'.$course_id.'">
												<label >Course Name  </label>
												<p class="user_email1">'.$dap_c_name.'</p>
											</div>'; 
						}					
											
						if($lesson_name !== '' ){					
							$course_details .=	'<div class="Side_Popup_card dap_sqb_lesson_id_'.$lesson_id.'">
												<label >Lesson Name  </label>
												<p class="user_email1">'.$lesson_name.'</p>
											</div>' ;
						}
									
					}
				}
					
					$total_htlm = getQuestionsTotalInfoByQuizIdByDate($user_id, $quiz_id ,$date,$quiz_type);			
					 
					
					if($sqb_j == 1) {
						$outer_class = "";
					}else{
						$outer_class = " quiz_details_wrapper";
					}
					
					$ques_ans_data =  getQuestionsByQuizIdByDate($user_id, $quiz_id,$date, $quiz_type);
                    $delete_btn_records_html = '';
					if($ques_ans_data ==""){
						$ques_ans_data ="No Data Found";	
					}else{
						
					  $delete_btn_records_html=  ''; //'<a href="javascript:void(0)" class="sqb_user_question_answer_reset_by_id" data-user-id="'.$user_id.'"  data-quiz-id="'.$quiz_id.'"  data-date="'.$date.'" data-quiz-type="'.$quiz_type.'">Delete this Record</a>';
					}
					
					$htmldata = '<div class="Side_Popup_card_outer '.$outer_class.'">
					<div class="Side_Popup_card ">
						<h4 class="full_wid small_heading">Quiz Details '.$delete_btn_records_html.'</h4>
						<label>Quiz Name  </label>
						<p>'.$quiz_name.'</p>
					</div>
					<div class="Side_Popup_card">
						<label>Quiz Type  </label>
						<p class="capitalize_text">'.strtoupper($quiz_type).'</p>
					</div>
					<div class="Side_Popup_card">
						<label>Date  </label>
						<p class="capitalize_text">'.$date.'</p>
					</div>
					</div>
					<div class="Side_Popup_card_outer"> 
					<div class="Side_Popup_card">
						<h4 class="full_wid small_heading">Quiz Result </h4> 
						<label>Outcome </label> 
						<p>'.$outcome_name.'</p>
						'.$total_htlm.'
					</div></div>';	
					
					
					$questiondata = ' 
							<div class="Side_Popup_card_outer"> <div class="Side_Popup_card">
							 <h4 class="small_heading">Question Answer Details  </h4>							 
								'.$ques_ans_data.'
							</div></div>
						 ';			
					
				}
				$finalData .= $htmldata.$questiondata;
			} 
		} 
		
		$userDetails = Dap_User::loadUserById($user_id);	

		if(isset($userDetails)){
			$firstName = $userDetails->getFirst_name();
			$lastName = $userDetails->getLast_name();
			$email = $userDetails->getEmail();

			$name = $firstName.' '.$lastName;

		}

		$userdata = '<div class="Side_Popup_card_outer"> <div class="Side_Popup_card">
				<h4 class="full_wid small_heading">User Details </h4>
				<label>Name  </label>
				<p class="user_name1">'.$name.'</p>
		</div>
		<div class="Side_Popup_card">
				<label >Email  </label>
				<p class="user_email1">'.$email.'</p>
		</div>
		'.$course_details.'
		</div>
		<!--div class="Side_Popup_card_outer"> 
			<div class="Side_Popup_card">
				<label style="margin-top: 10px;">Select a Quiz </label>
				<div class="dropdown dropdown-custom-style dropdown-overflow">
					<button class="dropdown-toggle" type="button" id="share_select_quiz" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" data-value="'.$qid.'">'.$quiz_name.'</button>
					<div class="dropdown-menu share_select_quiz_list" aria-labelledby="SelectQuizNo"></div>
			</div>
		
		</div-->';
		 
		//$output = $userdata.$htmldata.$questiondata;
		$output = $userdata.$finalData;
 
	}else{
		$output = array();
		$output['error'] = "Something Wrong!";
	}	
	$output = stripslashes($output);
	$output = str_replace('contenteditable="true"','contenteditable="false"',$output); 
	echo json_encode($output);
	die;
}


function dapFbConnectionAjax(){
	
	$facebookemail = $_REQUEST["email"];  
	$userId= Dap_EmailAlias::findEmailAliasesByEmail($facebookemail);
	$output = array();	
	if($userId !=""){		
		
		$user=Dap_User::loadUserById($userId); 	
		$email = $user->getEmail();	
		$pass = $user->getPassword();		
		$req = $_SESSION['redirecturl1'];	
		$cur_login = $_SESSION["currenturl_login"];	
		$submit = "Y";	
		$action_id = $_REQUEST["action_id"]; 
		$post_login_url  = dapMemberGetPostLoginURl($action_id);
		$form_action = '/dap/authenticate.php';
		
		$output = array('email'=>$email,'pass' =>$pass,'req' =>$req,'cur_login' =>$cur_login,'submit' =>$submit,'post_login_url'=> $post_login_url ,'form_action'=> $form_action);	
	}else{
		$output['error'] = 'User not found';  
	}
	
	echo json_encode($output);
	exit();
}



function dapPayPerPostDeleteByPostIdAjax(){
	$post_id = $_REQUEST['post_id']; 
	Dap_PayPerPost::DeletePayPerPostByPostId($post_id);	
	$button_type = "buynow";
	Dap_PayPerPostMeta::DeletePayPerPostMetaByPostIdAndButtonType($post_id, $button_type);
	$button_type = "rent";
	Dap_PayPerPostMeta::DeletePayPerPostMetaByPostIdAndButtonType($post_id, $button_type);
	$button_type ="membership";
	Dap_PayPerPostMeta::DeletePayPerPostMetaByPostIdAndButtonType($post_id, $button_type);
	$output = array('post_id'=>$post_id);
	echo json_encode($output);
	die;
	
}

function dapPayPerPostCopyActionAjax(){
	
	$source_post_id = $_REQUEST['source_post_id']; 
	
	$source_page_enter_url = $_REQUEST['source_page_enter_url']; 
	$distination_post_ids = $_REQUEST['distination_post_ids']; 
	if($source_post_id == 0){
		$source_page_enter_url = trim($source_page_enter_url);
		if(substr($source_page_enter_url , -1) != '/'){
			$source_page_enter_url = $source_page_enter_url.'/';
		}
		$source_post_id = url_to_postid($source_page_enter_url);
	}
	
	if(!is_array($distination_post_ids) || (count($distination_post_ids) == 0 )){
		$output['error'] == "Please select post to which you want to copy";
	}else if($source_post_id == 0){
		$output['error'] == "Please check main post URL";
	}else{
		$postOjb = Dap_PayPerPost::loadPayPerPostByPostId($source_post_id);
		$after_payment_action = $postOjb->getAfterPaymentAction();
		$post_output = array();
		$post_meta_output = array();
		if(isset($postOjb)){
			foreach($distination_post_ids as $distination_post_id){
				$postOjbExists = Dap_PayPerPost::loadPayPerPostByPostId($distination_post_id);
				if(isset($postOjbExists)){
					continue;
				}
				
				if($after_payment_action == 'same_page') {  
					 $post_id = $distination_post_id; 
					 $landing_url = get_permalink($post_id); 
					 $postOjb->setLandingURL($landing_url);
				 }
				 
				$postOjb->setPostId($distination_post_id);
				
				$postOjb->create();
				$post_output[] = 'Post copy for post id '.$distination_post_id; 
				$postMetaOjbs = Dap_PayPerPostMeta::loadPayPerPostMetaByPostId($source_post_id);
				if(count($postMetaOjbs)){
					foreach($postMetaOjbs as $postMetaOjb){
						
						$postMetaOjbExists = Dap_PayPerPostMeta::loadPayPerPostMetaByPostIdAndButtonType($post_id, $postMetaOjb->getButtonType());
						if(isset($postMetaOjbExists)){
							continue;
						}
						$postMetaOjb->setPostId($distination_post_id);
						$buy_link = str_replace("=".$source_post_id,"=".$distination_post_id,$postMetaOjb->getBuyLink());
						$postMetaOjb->setBuyLink($buy_link);
						$postMetaOjb->create();
						$post_meta_output[] = 'PostMeta copy for post id '.$distination_post_id; 
					}
				}
			}
		}
		$output = array('success'=>"Post copy successfully",'post_output'=>$post_output,'post_meta_output'=>$post_meta_output);
	}
	
	echo json_encode($output);
	die;
}

function dapPayPerPostEnableAndDisableActionAjax(){
	
	$post_id = $_REQUEST['post_id'];	
	$dapwp_post_status_checkbox = $_REQUEST['dapwp_post_status_checkbox'];	
	Dap_PayPerPost::updatePostStatusByPostId($post_id,$dapwp_post_status_checkbox);
	$output = array('post_id'=>$post_id,'dapwp_post_status_checkbox'=>$dapwp_post_status_checkbox);
	echo json_encode($output);die;
	
}


function ajaxDapMemberInvoicePreview(){
	
	$csspath = dap_member_path."includes/transactions/invoices/template".$_POST['tmp_no']."/css/style.css";
	$file = dap_member_dir."includes/transactions/invoices/template".$_POST['tmp_no']."/invoicetemplate.html";
	$logo = dap_member_dir."includes/images/dap_invoice_dummy_logo.png";
	$html = file_get_contents($file);
	//$file = str_replace( '%%IMAGESPATH%%', $imgpat$session = Dap_Session::getSession();
	$html =  str_replace('%%COMPANYNAME%%',"Company Name",$html);
	$html =  str_replace('%%adminemail%%',"Admin Email",$html);
	$html =  str_replace('%%ADMINEMAIL%%',"Admin Email",$html);
	$html =  str_replace('%%logo%%',$logo,$html);
	$html =  str_replace('%%TRANSACTIONID%%',"Transaction Id",$html);
	$html =  str_replace('%%TRANSACTIONDATE%%',"Transaction Date",$html);
	$html =  str_replace('%%FIRST_NAME%%',"First Name",$html);
	$html =  str_replace('%%LAST_NAME%%',"Last Name",$html);
	$html =  str_replace('%%ADDRESS1%%',"Address",$html);
	
	$html =  str_replace('%%CITY%%',"City Name",$html);  
	$html =  str_replace('%%STATE%%',"State Name",$html);
	$html =  str_replace('%%ZIP%%',"Zip Code",$html);
	$html =  str_replace('%%EMAIL_ID%%',"Email Id",$html);
	$html =  str_replace('%%PAYMENTTYPE%%',"Payment Type",$html);
	$html =  str_replace('%%ITEMNAME%%', "Item Name",$html);
	$html =  str_replace('%%DESCRIPTION%%',"Description",$html);
	$html =  str_replace('%%AMOUNT%%',"Amount",$html);
	$html =  str_replace('%%CURRENCY%%',"Currency Symbol",$html);
	$html =  str_replace('%%COUNTRY%%',"Country Name",$html);  
	$outpout['html'] = $html;
	$outpout['csspath'] = $csspath;
	
	
    echo json_encode($outpout);
    die;
}
function ajaxDapMemberProfiePageSave(){
	
	if(isset($_POST['styling_options'])){  
		$styling_options = '';
		if(isset($_POST['styling_options'])){
			$styling_options = $_POST['styling_options'];
		}
		
		$template_html = '';
		if(isset($_POST['template_html'])){
			$template_html = $_POST['template_html'];
		}
		
		
		
		$edit_id = '';
		if(isset($_POST['edit_id'])){
			$edit_id = $_POST['edit_id'];
		}
		
		
		$page_id = 0;
		if(isset($_POST['page_id'])){
			$page_id = $_POST['page_id'];
		}
		
		$template_selected_name = '';
		if(isset($_POST['template_selected_name'])){
			$template_selected_name = $_POST['template_selected_name'];
		}
		
		$admin_email = $_POST['admin_email'];
		$notifyFileUploadEmail = $_POST['notifyFileUploadEmail'];
		$name = 'FILEUPLOADNOTIFY';
		Dap_Config::updateConfigName($name , $notifyFileUploadEmail,'N');
				
		$action  = 'profile';
        $obj = new DAP_MemberPages();
		$obj->setPageId($page_id);
		$obj->setAction( $action);
		$obj->setTemplate($template_selected_name);
		$obj->setTemplateHtml( $template_html);
		$obj->setStylingOptions( $styling_options);
		$obj->setAdminEmail( $admin_email);
		$obj->setDate( dap_member_current_date_time );
		
        $id_hash = DAP_MemberPages::loadById($edit_id);
         
        if($id_hash){
			$obj->setId($edit_id);
			$edit_id = $obj->update();
			$message = 'Update Shortcode';
			
			
		}else{
			$edit_id = $obj->create();		  
			$message = 'Shortcode save successfully';
			$shortcode_content = dapMemberGetProfileShortcodeNameById($edit_id);
			$result['save_shortcode_in_a_page']  = dapMemberAddShortcodeINAPage($shortcode_content,$page_id);
		}
		
		$redirect_url = '';
		if(isset($_POST['redirect_url'])){
			$redirect_url = $_POST['redirect_url'];
		}
		$gdpr_msg_section = '';
		if(isset($_POST['gdpr_msg_section'])){
			$gdpr_msg_section = $_POST['gdpr_msg_section'];
		}
		
		
		$member_page_values_array = array('redirect_url'=>$redirect_url,'gdpr_msg_section'=>$gdpr_msg_section);
		foreach($member_page_values_array as $key=>$val){				
				
			$result['member_page_values'][] =  dapMemberPagesUpdateValueByActionIdAndName($edit_id,$key,$val);
		}
		
		
		$short_code_html   = '<span class="check_heading">Here is your Profile page URL:</span>';
		$short_code_html  .= '<a href="'.get_permalink($page_id).'" target="_blank">'.get_permalink($page_id).'</a>';
		$short_code_html .= '<br><br>';
		$short_code_html .= '<div class="">';
		$short_code_html .= '<span class="check_heading">Here is your Profile page Shortcode:</span>';
		$short_code_html .= '<span id="dynamic_copyable_text_'.$edit_id.'" class="d-inline" name="shortcode_display">'.dapMemberGetProfileShortcodeNameById($edit_id).'</span>';
		$short_code_html .= '<span data-id="dynamic_copyable_text_'.$edit_id.'" class="copy-btn theme-button" onclick="dap_member_copy_to_clipboard(this)"><i class="fa fa-files-o" aria-hidden="true"></i> Copy</span>';
		$short_code_html .= '</div>';
		$result['html'] = $short_code_html;
		
        $result['edit_id'] = $edit_id;
		$result['success'] = $message;
		$result['short_code_html'] = dapMemberGetProfileShortcodeNameById($edit_id);
		$result['page_url_html'] = '<a href="'.get_permalink($page_id).'" target="_blank">'.get_permalink($page_id).'</a>';
		
		
	}else{
		$result['error'] = "Something Wrong!";
	}
	
	echo json_encode($result);
	die;
}

function ajaxDapSaveSettingsInfo(){
	
	if(isset($_POST['page_action']) && ($_POST['page_action'] != '')){
		  
		$page_action = $_POST['page_action'];
		$form_data = $_POST['form_data'];
		if(count($form_data )){
			foreach($form_data as $key=>$vala){ 
				$name = $form_data[$key]['name'];
				$value = $form_data[$key]['value'];
				$hashMessage = DAP_MemberPageSettings::loadByActionAndName($page_action,$name);
				$obj = new DAP_MemberPageSettings();
				
				$obj->setName($name);
				$obj->setValue($value);
				$obj->setAction($page_action);
				$obj->setAction($page_action);
				if($hashMessage){
					$obj->update();
				}else{
					$obj->create();
				}
			} 
		
		$result['success'] = 'Update successfully.';
		
		}else{
			
			$result['error'] = "Something Wrong!";
		}
	}else{
		
	}
	
	echo json_encode($result);
	die;
	
	
	die;
}

function ajaxDapMemberAffilatePageSave(){
	
	if(isset($_POST['styling_options'])){  
		$styling_options = '';
		if(isset($_POST['styling_options'])){
			$styling_options = $_POST['styling_options'];
		}
		
		$template_html = '';
		if(isset($_POST['template_html'])){
			$template_html = $_POST['template_html'];
		}
		
		
		
		$edit_id = '';
		if(isset($_POST['edit_id'])){
			$edit_id = $_POST['edit_id'];
		}
		
		
		$page_id = 0;
		if(isset($_POST['page_id'])){
			$page_id = $_POST['page_id'];
		}
		
		$template_selected_name = '';
		if(isset($_POST['template_selected_name'])){
			$template_selected_name = $_POST['template_selected_name'];
		}
		
		$action  = 'affiliate';
        $obj = new DAP_MemberPages();
		$obj->setPageId($page_id);
		$obj->setAction( $action);
		$obj->setTemplate($template_selected_name);
		$obj->setTemplateHtml( $template_html);
		$obj->setStylingOptions( $styling_options);
		$obj->setDate( dap_member_current_date_time );
		
        $id_hash = DAP_MemberPages::loadById($edit_id);
         
        if($id_hash){
			$obj->setId($edit_id);
			$edit_id = $obj->update();
			$message = 'Update Shortcode';
			
			
		}else{
			$edit_id = $obj->create();		  
			$message = 'Shortcode save successfully';
			$shortcode_content = dapMemberGetAffilateShortcodeNameById($edit_id);
			$result['save_shortcode_in_a_page']  = dapMemberAddShortcodeINAPage($shortcode_content,$page_id);
		}
		
		
		$short_code_html   = '<span class="check_heading">Here is your Affiliate page URL:</span>';
		$short_code_html  .= '<a href="'.get_permalink($page_id).'" target="_blank">'.get_permalink($page_id).'</a>';
		$short_code_html .= '<br><br>';
		$short_code_html .= '<div class="">';
		$short_code_html .= '<span class="check_heading">Here is your Affiliate page Shortcode:</span>';
		$short_code_html .= '<span id="dynamic_copyable_text_'.$edit_id.'" class="d-inline" name="shortcode_display">'.dapMemberGetAffilateShortcodeNameById($edit_id).'</span>';
		$short_code_html .= '<span data-id="dynamic_copyable_text_'.$edit_id.'" class="copy-btn theme-button" onclick="dap_member_copy_to_clipboard(this)"><i class="fa fa-files-o" aria-hidden="true"></i> Copy</span>';
		$short_code_html .= '</div>';
		$result['html'] = $short_code_html;
		
        $result['edit_id'] = $edit_id;
		$result['success'] = $message;
		$result['short_code_html'] = dapMemberGetAffilateShortcodeNameById($edit_id);
		$result['page_url_html'] = '<a href="'.get_permalink($page_id).'" target="_blank">'.get_permalink($page_id).'</a>';
		
		
	}else{
		$result['error'] = "Something Wrong!";
	}
	
	echo json_encode($result);
	die;
	
	
}
function ajaxDapMemberGetTemplateAjax(){
	
	$template_name = $_REQUEST['template_name'];
	$template_number_name = $_REQUEST['template_number_name'];
	$file = dap_member_dir."includes/templates/" . $template_name .'/'.$template_number_name. "/template.php";
	$file = include_once($file);
	die;
}
 
function dapMemberGetContentTemplate(){	
	$result = array();
	$template = $_REQUEST['template'];
	$type = $_REQUEST['type'];
	$type = $_REQUEST['type'];
	$temp_type = $_REQUEST['temp_type'];
	$file = dap_member_dir."includes/templates/mycontent/".$temp_type. "/".$type. "/template1.php";
	$csspath = dap_member_path."includes/templates/mycontent/".$temp_type. "/".$type. "/template1.css"; 
	$file = file_get_contents($file);
	$imgpath = plugins_url()."/DAP-WP-LiveLinks/includes/images/mycontentimg.jpg";		
	$contentavailableimg = plugins_url()."/DAP-WP-LiveLinks/includes/templates/mycontent/singlecol/postmetadata/contentavailableimg.jpg";		 
	$upcomingimg = plugins_url()."/DAP-WP-LiveLinks/includes/templates/mycontent/singlecol/postmetadata/upcomingimg.jpg";		 
	$file = str_replace( '%%IMAGESPATH%%', $imgpath, $file);
	$file = str_replace( '%%CONTENTIMG%%', $contentavailableimg, $file);
	$file = str_replace( '%%UPCOMINGIMG%%', $upcomingimg, $file);
 
	$cssstyle =' <link href="'.$csspath.'" rel="stylesheet">'; 
	$result['cssstyle'] = $cssstyle;
	$result['temp_html'] = stripslashes($file);	 
	echo json_encode($result);
	die	;
}
 
function ajaxDapSortProducts(){ 

	$orderBy = $_REQUEST['orderBy'];
	$orderHow = $_REQUEST['orderHow'];
 
	$productListHTML = "";
	try {

		$ProductsList = Dap_Product::loadProducts("","",$orderBy,$orderHow);
		  
		foreach ($ProductsList as $product) {
			$productName = stripslashes($product->getName());
			$productNameShort = trimString($productName,40,30,10);
			
			$productListHTML .= "<option value=\"" . $product->getId() . "\" title=\"".$productName."\">" . $productNameShort . "</option>\n";
		}

	} catch (PDOException $e) {
		$response = ERROR_GENERAL;
	} catch (Exception $e) {
		$response = $e->getMessage() . "<br/>";
	}	
 
	echo $productListHTML;
	die;
}	
	
// create  page in WP
function dapMemberGenerateWpPageAjax(){
	$page_name = $_REQUEST['post_title'];
	$status = dapMemberCheckPageTitleExist($page_name);
	/*$args = array(
	'sort_order' => 'asc',
	'sort_column' => 'post_title',
	'hierarchical' => 1,
	'exclude' => '',
	'include' => '',
	'meta_key' => '',
	'meta_value' => '',
	'authors' => '',
	'child_of' => 0,
	'parent' => -1,
	'exclude_tree' => '',
	'number' => '',
	'offset' => 0,
	'post_type' => 'page',
	'post_status' => 'publish'
	);
	$pages = get_pages($args); 
	$output = array();	
	foreach($pages as $page){
		$id = $page->ID;
		$wp_page_name = $page->post_title;
		if($wp_page_name != ''){
			if(strcmp($wp_page_name,$page_name) == 0 ){
				$status ='yes';
				break;
			}
			else{
				
				$status ='no';
				
			}
		}
	}
	*/
	if($status == "no"){
		$my_post = array(
				'post_title'    => wp_strip_all_tags( $_REQUEST['post_title'] ),
				'post_status'   => 'publish',
				'post_author'   => 1,
				'post_type' =>'page',
				'post_category' => array( 8,39 )
				); 
		
		$post_id = wp_insert_post( $my_post );
		$output['post_id'] = $post_id;
		$output['page_url'] = get_permalink($post_id);
	}
	 $output['status'] =  $status;
	echo json_encode($output);
	die;
} 
function saveDapMemberPageAjax(){
	$page_name = $_REQUEST['post_title'];
	die;
}

// check status of page if the page already is in use
function dapCheckPageIdStatusAjax(){    
    $row = false;
    if(isset($_POST['page_id'])){
		$page_id = $_POST['page_id'];
		$row = DAP_MemberPages::loadByPageId($page_id);
	}
    if($row){
        echo 'yes';       
    }else{
        echo 'no';
    }
    die;
}


// check page is alredy is used or not
function ajaxDapCheckedPageIdAndPageTypeUsed(){    
    $row = false;
    if(isset($_POST['page_id'])){
		$page_id = $_POST['page_id'];
		$page_type = $_POST['page_type'];  
		$row = DAP_MemberPages::loadByPageIdAndAction($page_id,$page_type);
	}
    if($row){
        echo 'yes';       
    }else{
        echo 'no';
    }
    die;
}




add_action( 'wp_ajax_save_dap_member_login_page', 'saveDapMemberLoginPageAjax' );

function saveDapMemberLoginPageAjax(){  
	
	
	$result =  array();
	
	if(isset($_POST['data'])){
		
		$data = $_POST['data'];
		
		$styling_options = '';
		if(isset($data['template_option'])){
			$styling_options = $data['template_option'];
		}
		
		$post_title = '';
		if(isset($data['post_title'])){
			$post_title = $data['post_title'];
		}
		
		$login_page_url = '';
		if(isset($data['login_page_url'])){
			$login_page_url = $data['login_page_url'];
		}
		
		
		$page_id = '';
		if(isset($data['page_id'])){
			$page_id = $data['page_id'];
		}
		if($page_id == ''){
			$page_id = $login_page_url;
		}
		
		$post_login_url = '';
		if(isset($data['post_login_url'])){
			$post_login_url = $data['post_login_url'];
		}
		
		$gdpr = '';
		if(isset($data['gdpr'])){
			$gdpr = $data['gdpr'];
		}
		
		$seleted_template = '';
		if(isset($data['seleted_template'])){
			$seleted_template = $data['seleted_template'];
		}
		
		$template_html = '';
		if(isset($data['template_html'])){
			$template_html = urldecode($data['template_html']);
		}
		
		$edit_id = '';
		if(isset($data['edit_id'])){
			$edit_id = $data['edit_id'];
		}
		$registration_link = '';
		if(isset($data['dap_login_create_registration_link'])){
			$registration_link = $data['dap_login_create_registration_link'];
		}
		
		$action  = 'login';
		if(isset($data['template_selected_action'])){
			$action =  $data['template_selected_action'];
		}
		
		
		//$action  = 'login';
        $obj = new DAP_MemberPages();
		$obj->setPageId($page_id);
		$obj->setAction( $action);
		$obj->setTemplate( $seleted_template);
		$obj->setTemplateHtml( $template_html);
		$obj->setStylingOptions( $styling_options);
		$obj->setDate( dap_member_current_date_time );
		
        $id_hash = DAP_MemberPages::loadById($edit_id);
         
        if($id_hash){
			$obj->setId($edit_id);
			
			$edit_id = $obj->update();
			$message = 'Update Shortcode';
			
			
		}else{
			$edit_id = $obj->create();		  
			$message = 'Shortcode save successfully';
			$shortcode_content = dapMemberGetShortcodeNameById($edit_id);
			if($action == 'loginFB'){
			
				$shortcode_content = dapMemberLoginFBGetShortcodeNameById($edit_id);
			}
			
			$result['save_shortcode_in_a_page']  = dapMemberAddShortcodeINAPage($shortcode_content,$page_id);
		}
		$shortcode_content = dapMemberGetShortcodeNameById($edit_id);
		$fb_api_info_content = '';
		if($action == 'loginFB'){
			
			$shortcode_content = dapMemberLoginFBGetShortcodeNameById($edit_id);
			
			$fb_api_info_content = '<div class="dap_member_fb_login_details">';
			$fb_api_info_content .= '<b>Please Note</b>:<br>
									For the Facebook Login to work, you need to create Facebook API Key<br>
									for this domain and enter it in the <a href="'.site_url('').'/dap/admin/addEditProducts.php?t=3&sub_tab=12">DAP Setup >> Config Page >> Social Media Section.</a><br/><br/>
									<a href="https://digitalaccesspass.com/doc/how-to-generate-facebook-api-key/">Please click here to see how to create Facebook API Key.</a>
									</div>';  
			 
		}
		
		$member_page_values_array = array('gdpr'=>$gdpr,'post_login_url'=>$post_login_url,'registration_link'=>$registration_link,'login_widget_title'=> $post_title);
		foreach($member_page_values_array as $key=>$val){			
			$result['member_page_values'][] =  dapMemberPagesUpdateValueByActionIdAndName($edit_id,$key,$val);
		}
		
		$short_code_html = '';
		if($action == 'login_widget'){
		$shortcode_content = dapMemberGetLoginWidgetShortcodeNameById($edit_id);
		$short_code_html .= '<div class="">';
		$short_code_html .= '<span class="check_heading">Here is your Login Widget Shortcode:</span><br>';
		$short_code_html .= '<span id="dynamic_copyable_text_'.$edit_id.'" class="d-inline" name="shortcode_display">'.$shortcode_content.'</span>';
		$short_code_html .= '<span data-id="dynamic_copyable_text_'.$edit_id.'" class="copy-btn theme-button" onclick="dap_member_copy_to_clipboard(this)"><i class="fa fa-files-o" aria-hidden="true"></i> Copy</span>';
		$short_code_html .= '</div>';
		$result['html'] = $short_code_html;
		} else {
		$short_code_html .= '<span class="check_heading">Here is your Login page URL:</span>';
		$short_code_html .= '<a href="'.get_permalink($page_id).'" target="_blank">'.get_permalink($page_id).'</a>';
		$short_code_html .= '<br><br>';
		$short_code_html .= '<div class="">';
		$short_code_html .= '<span class="check_heading">Here is your Login page Shortcode:</span><br>';
		$short_code_html .= '<span id="dynamic_copyable_text_'.$edit_id.'" class="d-inline" name="shortcode_display">'.$shortcode_content.'</span>';
		$short_code_html .= '<span data-id="dynamic_copyable_text_'.$edit_id.'" class="copy-btn theme-button" onclick="dap_member_copy_to_clipboard(this)"><i class="fa fa-files-o" aria-hidden="true"></i> Copy</span>';
		$short_code_html .= '</div>';
		$result['html'] = $short_code_html;
		}
		
        $result['edit_id'] = $edit_id;
		$result['success'] = $message;
		$result['short_code_html'] = $shortcode_content;
		$result['dap_member_fb_login_details'] = $fb_api_info_content;
		$result['page_id'] = $page_id;
		$result['page_url_html'] = '<a href="'.get_permalink($page_id).'" target="_blank">'.get_permalink($page_id).'</a>';

	}else{
		$result['error'] = "Something Wrong!";
	}
	$result['configlogin_url_html'] = '';
	global $lldocroot;
	include ($lldocroot . "/dap/dap-config.php"); 
	$configLoginUrl = Dap_Config::get("LOGIN_URL") ;	

	if($configLoginUrl == ''){
		$value = get_permalink($page_id);		 	
		Dap_Config::updateConfigName("LOGIN_URL", $value, "N") ;	
		
		$result['configlogin_url_html'] = '<br><a href="'.$value.'" target="_blank">'.$value.'</a>';
		
	}
	
	echo json_encode($result);
	die;
}		

add_action( 'wp_ajax_dapSavePostMetaData', 'dapSavePostMetaData' );

function dapSavePostMetaData(){  	
	 
	$resource_id = '';
	$image_url = '';
	$post_teaser = '';
	$post_title = '';
	if(isset($_POST['resource_id'])){
		$resource_id = $_POST['resource_id'] ;
	}					
	 
	$obj = new Dap_CourseLessonsMeta();
	$obj->setResourceId($resource_id);
	
	if(isset($_POST['image_url'])){
		$image_url = $_POST['image_url'] ;
		$obj->setImageURL( $image_url);
	}	
	if(isset($_POST['teaser_content'])){
		$teaser_content =$_POST['teaser_content'] ;
		$teaser_content = urldecode($teaser_content);
		$obj->setExcerpt( $teaser_content);
	}
	if(isset($_POST['post_title'])){
		$post_title =$_POST['post_title'] ;
		//update file resouces		 
		$data = Dap_FileResource::updateFileResourceTitle($resource_id, $post_title);
	}
			
	//update in lesson meta
	$id_hash = Dap_CourseLessonsMeta::loadByResourceId($resource_id);
	  
	if(count($id_hash)){
		logToFile("dapSavePostMetaData() update: call",LOG_DEBUG_DAP); 
		$id = $id_hash[0]->getId();
		logToFile("dapSavePostMetaData() update: call11",LOG_DEBUG_DAP); 
		$obj->setId($id);		
		$obj->setResourceId($resource_id);		
		$edit_id = $obj->updateByResourceId();
		$message = 'Update Shortcode';
	}else{
		logToFile("dapSavePostMetaData() create: " ,LOG_DEBUG_DAP); 
		$edit_id = $obj->create();
		logToFile("dapSavePostMetaData() create edit_id: ".$edit_id ,LOG_DEBUG_DAP); 
		$message = 'Insert Shortcode';	
	}	
		
	echo $edit_id;
	die;
}		

function dapMemberLoginFBGetShortcodeNameById($id = 0){
	
	return "[DAPMemberLogin id=".$id."][/DAPMemberLogin]";
	
}

add_action( 'wp_ajax_saveDapMemberContentAjax', 'saveDapMemberContentAjax' );

function saveDapMemberContentAjax(){  
	
	$result =  array();
	
	if(isset($_POST['data'])){
		
		$data = $_POST['data'];
		
		$styling_options = '';
		if(isset($data['template_option'])){
			$styling_options = $data['template_option'];
		}
		
		$post_title = '';
		if(isset($data['post_title'])){
			$post_title = $data['post_title'];
		}		
		
		$page_id = '';
		if(isset($data['page_id'])){
			$page_id = $data['page_id'];
		}

		
		$selected_template = '';
		if(isset($data['selected_template'])){
			$selected_template = $data['selected_template'];
		}
		
		$template_html = '';
		if(isset($data['template_html'])){
			$template_html = stripslashes($data['template_html']);
		}
		
		$edit_id = '';
		if(isset($data['edit_id'])){
			$edit_id = $data['edit_id'];
		}
		$showunavailableproducts = '';
		if(isset($data['showunavailableproducts'])){
			$showunavailableproducts = $data['showunavailableproducts'];
		}
			
		$productid = '';
		if(isset($data['productid'])){
			$productid = $data['productid'];
		}
 
		
		$hideproductid = '';
		if(isset($data['hideproductid'])){
			$hideproductid = $data['hideproductid'];
		}
		
		
		$sel_template = '';
		if(isset($data['sel_template'])){
			$sel_template = $data['sel_template'];
		}
		
		$select_prod = '';
		if(isset($data['select_prod'])){
			$select_prod = $data['select_prod'];
		}
		
		
		
		 
		$action  = 'mycontent';	
		 
        $obj = new DAP_MemberPages();
		$obj->setPageId($page_id);
		$obj->setAction($action);
		$obj->setTemplate($selected_template);
		$obj->setTemplateHtml($template_html);
		$obj->setStylingOptions($styling_options);
		$obj->setDate(dap_member_current_date_time );
		 
        $id_hash = DAP_MemberPages::loadById($edit_id);
        
        $shotcode_name = dapMemberGetMyCntentShortcodeNameById($edit_id);
		if($sel_template == 'payperpost'){
		  $shotcode_name = 	dapMemberGetPayPerPostShortcodeNameById($edit_id);
		}
        
        if($edit_id){
			$obj->setId($edit_id);			
			$edit_id = $obj->update();
			$message = 'Update Shortcode';	
			
		}else{
			$edit_id = $obj->create();				 
			$message = 'Shortcode save successfully';
			$shotcode_name = dapMemberGetMyCntentShortcodeNameById($edit_id);
			if($sel_template == 'payperpost'){
				$shotcode_name = 	dapMemberGetPayPerPostShortcodeNameById($edit_id);
			}
			
			
			$shortcode_content = $shotcode_name;
			$result['save_shortcode_in_a_page']  = dapMemberAddShortcodeINAPage($shortcode_content,$page_id);
		}
		
		$prods = "";
		$hideprods = "";
		 foreach ($productid as $prod) {
			 $prods .= $prod.",";			 
		 }
		 foreach ($hideproductid as $hideprod) {
			 $hideprods .= $hideprod.",";			 
		 }

		$productids = rtrim($prods, ", ");
		$hideproductids = rtrim($hideprods, ", ");
		
		if($sel_template =="contentlinks"){
			$member_page_values_array = array('showunavailableproducts'=>$showunavailableproducts,'productid'=>$productids,'hideproductid'=>$hideproductids,'select_prod'=>$select_prod);
		}else{
			$member_page_values_array = array('showunavailableproducts'=>$showunavailableproducts,'productid'=>$productids,'hideproductid'=>$hideproductids );
		}
		
		foreach($member_page_values_array as $key=>$val){			
				
			$result['member_page_values'][] =  dapMemberPagesUpdateValueByActionIdAndName($edit_id,$key,$val);
		}
        $result['edit_id'] = $edit_id;
       $short_code_html = '';
       if($sel_template == 'payperpost'){
		$short_code_html .= '<span class="check_heading">Here is your Pay-Per-Post Content List URL: </span>';
		$short_code_html .= '<a href="'.get_permalink($page_id).'" target="_blank">'.get_permalink($page_id).'</a>';
		$short_code_html .= '<br>';
		$short_code_html .= '<div class="shortcode_display1">';
		$short_code_html .= '<span class="check_heading">Here is your Pay-Per-Post Content List shortcode:</span><br>';
		$short_code_html .= '<span id="dynamic_copyable_text_'.$edit_id.'" class="d-inline" name="shortcode_display"> '.$shotcode_name.' </span>';
		$short_code_html .= '<span data-id="dynamic_copyable_text_'.$edit_id.'"  id="copy_shortcode" class="copy-btn theme-button btn btn-warning " onclick="dap_member_copy_to_clipboard(this)"><i class="fa fa-files-o" aria-hidden="true"></i> Copy</span>';
		$short_code_html .= '</div>';
		} else {
		$short_code_html .= '<span class="check_heading">Here is your MyContent page URL: </span>';
		$short_code_html .= '<a href="'.get_permalink($page_id).'" target="_blank">'.get_permalink($page_id).'</a>';
		$short_code_html .= '<br>';
		$short_code_html .= '<div class="shortcode_display1">';
		$short_code_html .= '<span class="check_heading">Here is your MyContent page shortcode:</span><br>';
		$short_code_html .= '<span id="dynamic_copyable_text_'.$edit_id.'" class="d-inline" name="shortcode_display"> '.$shotcode_name.' </span>';
		$short_code_html .= '<span data-id="dynamic_copyable_text_'.$edit_id.'"  id="copy_shortcode" class="copy-btn theme-button btn btn-warning " onclick="dap_member_copy_to_clipboard(this)"><i class="fa fa-files-o" aria-hidden="true"></i> Copy</span>';
		$short_code_html .= '</div>';
		}
        
		$result['success'] = $message;
		$result['short_code_html'] = $short_code_html;
		
		
	}else{
		$result['error'] = "Something Wrong!";
	}
	
	$result['page_id'] = $page_id;
	
	$result['configlogin_url_html'] = '';
	global $lldocroot;
	include ($lldocroot . "/dap/dap-config.php"); 
	$configLoginUrl = Dap_Config::get("LOGIN_URL") ;	

	if($configLoginUrl == ''){
		$value = get_permalink($page_id);		 	
		Dap_Config::updateConfigName("LOGIN_URL", $value, "N") ;	
		
		$result['configlogin_url_html'] = '<a href="'.$value.'" target="_blank">'.$value.'</a>';
		$result['configlogin_url_html'] .= '<a href="'.SITE_URL_DAP.'/dap/admin/addEditProducts.php?t=3" target="_blank">Click here to change</a>';
	}
	
	echo json_encode($result);
	die;
}

function dapMemberPagesUpdateValueByActionIdAndName($action_id = 0,$name = '',$value = ''){
	    $result = array();
		$objMemberPagesValues = new DAP_MemberPagesValues();		
		$objMemberPagesValues->setName($name);
		$objMemberPagesValues->setValue($value);
		
		$id_hash = DAP_MemberPagesValues::loadByActionIdAndName($action_id,$name);
        if($id_hash){
			$objMemberPagesValues->setId($id_hash->getId());
			$edit_id = $objMemberPagesValues->update();
			$result['message'] = 'Update Shortcode';
		}else{
			$objMemberPagesValues->setActionId($action_id);
			$edit_id = $objMemberPagesValues->create();		  
			$result['message'] = 'Shortcode save successfully';
		}
		
		return $result;
}


function dapMemberGetProfileShortcodeNameById($id = 0){
	
	return "[DAPMemberProfile id=".$id."][/DAPMemberProfile]"; 
}

function dapMemberGetAffilateShortcodeNameById($id = 0){
	
	return "[DAPMemberAffiliateDetails id=".$id."][/DAPMemberAffiliateDetails]"; 
}

function dapMemberGetShortcodeNameById($id = 0){
	
	return "[DAPMemberLogin id=".$id."][/DAPMemberLogin]";
}
function dapMemberGetMyCntentShortcodeNameById($id = 0){
	
	return "[DAPMemberContent id=".$id."][/DAPMemberContent]";
}

function dapMemberGetPayPerPostShortcodeNameById($id = 0){
	
	return "[DAPPayPerPostContent id=".$id."][/DAPPayPerPostContent]";
}

function dapMemberGetInvoiceShortcodeNameById($id = 0){
	return "[DAPMemberInvoice id=".$id."][/DAPMemberInvoice]";	
}

function dapMemberGetCancellationShortcodeNameById($id = 0){
	return "[DAPMemberCancellation id=".$id."][/DAPMemberCancellation]";	
}

function dapMemberGetSubaccountShortcodeNameById($id = 0){
	return "[DAPMemberGroupUser id=".$id."][/DAPMemberGroupUser]";	
}

function dapMemberGetLoginWidgetShortcodeNameById($id = 0){
	return "[DAPMemberLoginWidget id=".$id."][/DAPMemberLoginWidget]";	
}

function dapMemberAddShortcodeINAPage($shortcode_content = '',$page_id = 0){
	global $wpdb;
	$output = array();
  
	$posttable = $wpdb->prefix.'posts';	
	$selectdb = $wpdb->get_results("select `post_content` FROM  `$posttable`  WHERE ID='".$page_id."'");
	if(isset($selectdb[0]) && ($shortcode_content != '')){
		$mycontent= $selectdb[0]->post_content;
		$my_post = array('ID'=> $page_id,
						  'post_content' => $mycontent.$shortcode_content,
						);
						
		wp_update_post( $my_post );			
	$output['msg'] = 'Save shortcode in a page.'.$page_id; 
	}else{
		$output['msg'] = 'Not save shortcode in a page';
	}
	return $output;	 
}


add_action( 'wp_ajax_dapcheckPageAvailabilityAjax', 'dapcheckPageAvailabilityAjax' );

function dapcheckPageAvailabilityAjax(){
	$page_name = lcfirst($_REQUEST['page_name']);	
	$status = dapMemberCheckPageTitleExist($page_name);
	
/*	
	$args = array(
	'sort_order' => 'asc',
	'sort_column' => 'post_title',
	'hierarchical' => 1,
	'exclude' => '',
	'include' => '',
	'meta_key' => '',
	'meta_value' => '',
	'authors' => '',
	'child_of' => 0,
	'parent' => -1,
	'exclude_tree' => '',
	'number' => '',
	'offset' => 0,
	'post_type' => 'page',
	'post_status' => 'publish'
	);
	
	
	$pages = get_pages($args); 
	
	foreach($pages as $page){
		$id = $page->ID;
		$wp_page_name = $page->post_title;
		if($wp_page_name != ''){
			if(strcmp($wp_page_name,$page_name) == 0 ){
				$status ='yes';
				break;
			}
			else{
				$status ='no';
			}
		}
	}
*/ 	
	if($status == "no"){
		$page = get_page_by_title( "invoice-20" );
		if(is_object($page)){
			$id = $page->ID;
		}
	}




	echo $status."||".$id ;
	die;
	
}
function dapSaveMemberLoginAjaxUsingDAP($type, $login_data_page, $addin_config_login, $login_data_id){
	$page_id = $login_data_id;
	
	if($page_id == '' && !is_numeric($page_id)){
		$status = dapMemberCheckPageTitleExist($login_data_page);
	 
		if($status == "no"){
			$my_post = array(
					'post_title'    => wp_strip_all_tags( $login_data_page ),
					'post_status'   => 'publish',
					'post_author'   => 1,
					'post_type' =>'page',
					'post_category' => array( 8,39 )
					); 
			$page_id = wp_insert_post( $my_post );
			
		}else{
			echo json_encode(array('error' => 'page already exists'));
			die;
		}
		
		
		
	}
	$_SESSION['return_data'] = 'yes';
	$seleted_template = 'template1';
	
	
	$file = dap_member_dir."includes/templates/" . $type .'/'.$seleted_template.'/template.php';
	include_once($file);
	unset($_SESSION['return_data']);
		
	$styling_options = $dm_login_temp_wid."||".$dm_login_temp_border_width."||".$dm_login_temp_border_radius."||".$dm_login_temp_border_color."||".$dm_login_temp_background_color."||".$dm_login_temp_border_style."||".$dm_login_temp_img_show."||".$dap_member_login_image_height."||".$dm_login_temp_captcha."|||".$dm_login_temp_addit_create_account_link."||".$dm_login_temp_addit_width."||".$dm_login_temp_addit_border_width."||".$dm_login_temp_addit_border_radius."||".$dm_login_temp_addit_background_color."||".$dm_login_temp_addit_border_color."||".$dm_login_temp_addit_style."|||".$dm_login_temp_signin_width."||".$dm_login_temp_signin_height."||".$dm_login_temp_signin_border_width."||".$dm_login_temp_signin_radius."||".$dm_login_temp_signin_background_color."||".$dm_login_temp_signin_border_color."||".$dm_login_temp_signin_border_style."|||".$dm_login_temp_shadow_horizontal_length."||".$dm_login_temp_shadow_vertical_length."||".$dm_login_temp_shadow_blur_radius."||".$dm_login_temp_shadow_spread_radius."||".$dm_login_temp_shadow_color."|||".$dm_login_temp_forgot_width."||".$dm_login_temp_forgot_height."||".$dm_login_temp_forgot_background_color."||".$dm_login_temp_forgot_border_width."||".$dm_login_temp_forgot_border_style."||".$dm_login_temp_forgot_border_color."||".$dm_login_temp_frogot_radius."|||".$dm_login_temp_reset_width."||".$dm_login_temp_reset_height."||".$dm_login_temp_reset_background_color."||".$dm_login_temp_reset_border_width."||".$dm_login_temp_reset_border_style."||".$dm_login_temp_reset_border_color."||".$dm_login_temp_reset_radius;
	
	$action  = $type;
	$obj = new DAP_MemberPages();
	$obj->setPageId($page_id);
	$obj->setAction( $action);
	$obj->setTemplate( $seleted_template);
	$obj->setTemplateHtml( $html.'%%DAPMEMBERLOGINTEMPLATE%%'.$html_forgot_pass.'%%DAPMEMBERLOGINTEMPLATE%%'.$html_reset_pass);
	$obj->setStylingOptions( $styling_options);
	$obj->setDate( dap_member_current_date_time ); 
		
	
	
	$edit_id = $obj->create();	
	$message = 'Shortcode save successfully';
	$shortcode_content = dapMemberGetShortcodeNameById($edit_id);
	$result['save_shortcode_in_a_page']  = dapMemberAddShortcodeINAPage($shortcode_content,$page_id);
	$gdpr = 'no';
	$post_login_url = '';
	$registration_link = '';
	$member_page_values_array = array('gdpr'=>$gdpr,'post_login_url'=>$post_login_url,'registration_link'=>$registration_link);
	foreach($member_page_values_array as $key=>$val){				
		$result['member_page_values'][] =  dapMemberPagesUpdateValueByActionIdAndName($edit_id,$key,$val);
	}
	$result['edit_id'] = $edit_id;
	
	$short_code_html = '<div class="">';
	$short_code_html .= '<h3 class="shortcode_inner_heading">Here is your Login page URL: <span class="shortcode_page_link"><a href="'.get_permalink($page_id) .'" target="_blank">'.get_permalink($page_id) .'</a></span></h3>';
	$short_code_html .= '<span class="check_heading">Here is your Login page Shortcode: </span>';
	$short_code_html .= '<span id="dynamic_copyable_text_'.$edit_id.'" class="d-inline" name="shortcode_display">'.dapMemberGetShortcodeNameById($edit_id).'</span>';
	$short_code_html .= '<span data-id="dynamic_copyable_text_'.$edit_id.'" class="copy-btn theme-button" onclick="dap_member_copy_to_clipboard(this)"><i class="fa fa-files-o" aria-hidden="true"></i> Copy</span>';
	$short_code_html .= '</div>'; 
	
	dapMemberGetShortcodeNameById($edit_id);
	$result['success'] = $message;
	$result['short_code_html'] = $short_code_html;
	$html = stripslashes($html);
	$short_code_html = stripslashes($short_code_html);
	//update in dap_config
	global $lldocroot;
	include ($lldocroot . "/dap/dap-config.php"); 
	$configLoginUrl = Dap_Config::get("LOGIN_URL") ;	
	if($addin_config_login == "yes"){
		$value = get_permalink($page_id);		 	
		Dap_Config::updateConfigName("LOGIN_URL", $value, "N") ;	
		  
	}else if($configLoginUrl == ''){
		$value = get_permalink($page_id);		 	
		Dap_Config::updateConfigName("LOGIN_URL", $value, "N") ;	
	}
	return $short_code_html;
	
}


function dapMemberCheckPageExist($page_name = '',$page_type = ''){
	
		$status = dapMemberCheckPageTitleExist($page_name);
		if($status == "no"){
			return array('success' => 'Page name is not exits.','page_type'=>$page_type);
		}else{
			return array('error' => 'Sorry, This Name is already taken. Please Try with another one.','page_type'=>$page_type);
		}		
		
	
}	
function dapSaveMemberHomeAjaxUsingDAP($type, $memberhome_data_page, $addin_config_memberhome, $memberhome_data_id){
	$page_id = $memberhome_data_id;
	
	if($page_id == '' && !is_numeric($page_id)){
		$status = dapMemberCheckPageTitleExist($memberhome_data_page);
	 
		if($status == "no"){
			$my_post = array(
					'post_title'    => wp_strip_all_tags( $memberhome_data_page ),
					'post_status'   => 'publish',
					'post_author'   => 1,
					'post_type' =>'page',
					'post_category' => array( 8,39 )
					); 
			$page_id = wp_insert_post( $my_post );
			
		}else{
			echo json_encode(array('error' => 'page already exists'));
			die;
		}		
		
	}
 	
	$short_code_html = DapMemberEngagementSaveByTemplateAutomatic($memberhome_data_page);
	
	//$short_code_html = stripslashes($short_code_html);
	//update in dap_config
	global $lldocroot;
	include ($lldocroot . "/dap/dap-config.php"); 
					
	Dap_Config::updateConfigName("MEMBERHOME", $memberhome_data_page, "N") ;	
		  
	if(is_array($short_code_html) && isset($short_code_html['engagement_edit_id'])){
		
		$shortcode_content = dap_member_engagement_shortcode_name($short_code_html['engagement_edit_id']);
		dapMemberAddShortcodeINAPage($shortcode_content,$page_id);
	}
	return $short_code_html;
	
}


add_action( 'wp_ajax_dapSaveMemberLoginAjax', 'dapSaveMemberLoginAjax' );
function dapSaveMemberLoginAjax(){
	$login_data_page = $_REQUEST['login_data_page'];
	$login_data_id = $_REQUEST['login_data_id'];
	$addin_config_login = $_REQUEST['addin_config_login'];
	$all_types = explode('|' , $all_member_types);
	 
	$type = 'login';	
	$short_code_html = dapSaveMemberLoginAjaxUsingDAP($type, $login_data_page, $addin_config_login, $login_data_id);
	//$page = $login_data_page;
	$short_code_html = stripslashes($short_code_html);
	echo json_encode(array('short_code_html' => $short_code_html));
	die;	
}


add_action( 'wp_ajax_dapSaveMemberContentAjax', 'dapSaveMemberContentAjax' );
function dapSaveMemberContentAjaxUsingDAP($type, $content_data_page, $addin_config_content, $content_data_id){
	$page_id = $content_data_id;
	$page = $content_data_page;	
	if($page_id == '' && !is_numeric($page_id)){		
		$status = dapMemberCheckPageTitleExist($content_data_page);		 
		
		if($status == "no"){
			$my_post = array(
					'post_title'    => wp_strip_all_tags( $content_data_page ),
					'post_status'   => 'publish',
					'post_author'   => 1,
					'post_type' =>'page',
					'post_category' => array( 8,39 )
					); 
			$page_id = wp_insert_post( $my_post );
			
		}else{
			echo json_encode(array('error' => 'page already exists'));
			die;
		}			
	}
	$_SESSION['return_data'] = 'yes';
	$seleted_template = 'inpage||template1||singlecol';
	$file = dap_member_dir.'includes/templates/mycontent/singlecol/inpage/template1.php';
	$html="";
	$html = file_get_contents($file);
	
	$html .= '|:| <div class="dap_member_tiny_editor mce-content-body" id="mce_10" contenteditable="true" spellcheck="false" style="position: relative;">Click to Start</div>';
	$html .= '|:|<div class="dap_member_tiny_editor notallowtoedit_cls mce-content-body" id="mce_14" contenteditable="true" spellcheck="false" style="position: relative;">4 Days</div>';
	$html .= '|:|Lorem Ipsum is simply dummy text|:|Lorem Ipsum has been the|:|available_up_data';
		
	$styling_options = "700||solid||2||#17a2b8||20||15||25||25||#ffffff||#c44343||#ebebeb||#18cba3||#028da2||col-sm-4||850||none|||yes||img_slider||25||285||235|||true||true||true||true||true||true|||150||8||#17a2b8||dashed||0||#17a2b8||5|||0||0||0||0||#f1f1f1";
	
	$action  = $type;
	
 
	$obj = new DAP_MemberPages();
	$obj->setPageId($page_id);
	$obj->setAction($action);
	$obj->setTemplate( $seleted_template);
	$obj->setTemplateHtml( $html);
	$obj->setStylingOptions( $styling_options);
	$obj->setDate( dap_member_current_date_time ); 
	
	$edit_id = $obj->create();	
	
	$shortcode_content = dapMemberGetMyCntentShortcodeNameById($edit_id);
	$result['save_shortcode_in_a_page']  = dapMemberAddShortcodeINAPage($shortcode_content,$page_id);
	/*
	$my_post = array(
		'ID'           => $page_id,
		'post_content' => $content.'[DAPMemberContent id='. $edit_id.'][/DAPMemberContent]',
	);*/
	wp_update_post( $my_post );
	
	$message = 'Shortcode save successfully';
	$shortcode_content = dapMemberGetShortcodeNameById($edit_id);
	//$result['save_shortcode_in_a_page']  = '[DAPMemberContent id='. $edit_id.'][/DAPMemberContent]';
	 
	$member_page_values_array = array('showunavailableproducts'=>"N",'productid'=>"ALL",'hideproductid'=>"NONE" );
	foreach($member_page_values_array as $key=>$val){				
		$result['member_page_values'][] =  dapMemberPagesUpdateValueByActionIdAndName($edit_id,$key,$val);
	}
	$result['edit_id'] = $edit_id;

	$short_code_html = '<div class="">';
	$short_code_html .= '<h3 class="shortcode_inner_heading">Here is your Content page URL: <span class="shortcode_page_link"><a href="'.get_permalink($page_id) .'" target="_blank">'.get_permalink($page_id) .'</a></span></h3>';
	$short_code_html .= '<span class="check_heading">Here is your Content page Shortcode: </span>';
	$short_code_html .= '<span id="dynamic_copyable_text_'.$edit_id.'" class="d-inline" name="shortcode_display">'.dapMemberGetMyCntentShortcodeNameById($edit_id).'</span>';
	$short_code_html .= '<span data-id="dynamic_copyable_text_'.$edit_id.'" class="copy-btn theme-button" onclick="dap_member_copy_to_clipboard(this)"><i class="fa fa-files-o" aria-hidden="true"></i> Copy</span>';
	$short_code_html .= '</div>'; 
	

	dapMemberGetMyCntentShortcodeNameById($edit_id);
	$result['success'] = $message;
	$result['short_code_html'] = $short_code_html;
	$html = stripslashes($html);
	$short_code_html = stripslashes($short_code_html);
	 
	//update in dap_config
	global $lldocroot;
	include ($lldocroot . "/dap/dap-config.php"); 
	if($addin_config_content == "yes"){
		 $value = get_permalink($page_id);			
		 Dap_Config::updateConfigName("MYCONTENT", $value) ;		
	}
	return $short_code_html;
}

function dapSaveMemberContentAjax(){
	$content_data_page = $_REQUEST['content_data_page'];
	$content_data_id = $_REQUEST['content_data_id'];
	$addin_config_content = $_REQUEST['addin_config_content'];	
	$type = 'mycontent';	
	$short_code_html = dapSaveMemberContentAjaxUsingDAP($type, $content_data_page, $addin_config_content, $content_data_id);
	echo json_encode(array('short_code_html' => $short_code_html));
	die;	
}

 
add_action( 'wp_ajax_dapSaveMemberAffiliateAjax', 'dapSaveMemberAffiliateAjax' );
function dapSaveMemberAffiliateAjaxUsingDAP($type, $affiliate_data_page, $addin_config_affiliate, $affiliate_data_id){
	$page = $affiliate_data_page;
	$page_id = $affiliate_data_id;
	
	if($page_id == '' && !is_numeric($page_id)){
		$status = dapMemberCheckPageTitleExist($affiliate_data_page);		 
		
		if($status == "no"){
			$my_post = array(
					'post_title'    => wp_strip_all_tags( $affiliate_data_page ),
					'post_status'   => 'publish',
					'post_author'   => 1,
					'post_type' =>'page',
					'post_category' => array( 8,39 )
					); 
			$page_id = wp_insert_post( $my_post );
			
		}else{
			echo json_encode(array('error' => 'page already exists'));
			die;
		}
		
		
		
	}
	$_SESSION['return_data'] = 'yes';
	$seleted_template = 'template1';
	$file = dap_member_dir.'includes/templates/affiliate/template1/template.php';
	include_once($file);
	unset($_SESSION['return_data']);
	
	$dispaly_opitons = $aff_link_show.'||'.$aff_performace_summary_show.'||'.$aff_payment_details_show.'||'.$aff_earnings_details_show.'||'.$aff_traffic_statistics_show;
	
	$dispaly_opitons_new = explode('||' ,$dispaly_opitons);
    $dispaly_opitons = '';
    $i = 0;
    foreach($dispaly_opitons_new as $option){
		if($i > 0){
			$dispaly_opitons .= '||';	
		}
		
		if($option == 1){
			$dispaly_opitons .= 'true';	
		}else{
			$dispaly_opitons .= 'false';				
		}
		
		$i++;
	}
	
	
	$external_shadow_customizer  = $affi_spread_radius.'||'.$affi_blur_radius.'||'.$affi_hor_lnth.'||'.$affi_ver_lnth.'||'.$affi_shad_clr;
	
	$template_Style = $affi_tmp_wid.'||'.$affi_tmp_bdr_style.'||'.$affi_tmp_bdr_wid.'||'.$affi_tmp_br_radius.'||'.$affi_tmp_border_color.'||'.$affi_tmp_padd_top.'||'.$affi_tmp_padd_bottom;
	
	$background_color = $affi_tmp_affi_background.'||'.$affi_tmp_performace_background.'||'.$affi_tmp_payment_background.'||'.$affi_tmp_earnnings_background.'||'.$affi_tmp_traffic_background;
	
	
	$styling_options = $dispaly_opitons.'|||'.$external_shadow_customizer.'|||'.$template_Style.'|||'.$background_color;
		
	//$styling_options = "true||true||true||true||||true|||0||12||0||0||#999999|||400||none||0||0||||0||0|||||||||||";
	
	$action  = $type;
	$obj = new DAP_MemberPages();
	$obj->setPageId($page_id);
	$obj->setAction( $action);
	$obj->setTemplate( $seleted_template);
	$obj->setTemplateHtml( $html);
	$obj->setStylingOptions( $styling_options);
	$obj->setDate( dap_member_current_date_time ); 
		
	
	
	$edit_id = $obj->create();	
	$shortcode_content = dapMemberGetAffilateShortcodeNameById($edit_id);
	dapMemberAddShortcodeINAPage($shortcode_content,$page_id);
	
	/*$my_post = array(
		'ID'           => $page_id,
		'post_content' => $content.'[DAPMemberAffiliateDetails id='. $edit_id.'][/DAPMemberAffiliateDetails]',
	);*/
	wp_update_post( $my_post );
	$message = 'Shortcode save successfully';
	$result['edit_id'] = $edit_id;
     
    $short_code_html = '<div class="">';
	$short_code_html .= '<h3 class="shortcode_inner_heading">Here is your affiliate details URL: <span class="shortcode_page_link"><a href="'.get_permalink($page_id) .'" target="_blank">'.get_permalink($page_id) .'</a></span></h3>';
	$short_code_html .= '<span class="check_heading">Here is your affiliate details Shortcode: </span>';
	$short_code_html .= '<span id="dynamic_copyable_text_'.$edit_id.'" class="d-inline" name="shortcode_display">'.dapMemberGetAffilateShortcodeNameById($edit_id).'</span>';
	$short_code_html .= '<span data-id="dynamic_copyable_text_'.$edit_id.'" class="copy-btn theme-button" onclick="dap_member_copy_to_clipboard(this)"><i class="fa fa-files-o" aria-hidden="true"></i> Copy</span>';
	$short_code_html .= '</div>'; 
    
	$result['success'] = $message;
	$result['short_code_html'] = $short_code_html;
	//update in dap_config
	global $lldocroot;
	include ($lldocroot . "/dap/dap-config.php"); 
	if($addin_config_affiliate == "yes"){
		 $value = get_permalink($page_id);			
		 Dap_Config::updateConfigName("AFFILIATE", $value) ;		
	}
	return $short_code_html;
}
function dapSaveMemberAffiliateAjax(){
	$affiliate_data_page = $_REQUEST['affiliate_data_page'];
	$affiliate_data_id = $_REQUEST['affiliate_data_id'];
	$addin_config_affiliate = $_REQUEST['addin_config_affiliate'];	
	$type = 'affiliate';	
		
	$short_code_html = dapSaveMemberAffiliateAjaxUsingDAP($type, $affiliate_data_page, $addin_config_affiliate, $affiliate_data_id);
	
	echo json_encode(array('short_code_html' => $short_code_html));
	die;
}

add_action( 'wp_ajax_dapSaveMemberInvoiceAjax', 'dapSaveMemberInvoiceAjax' );
function dapSaveMemberInvoiceAjax(){
	$invoice_data_page = $_REQUEST['invoice_data_page'];
	$invoice_data_id = $_REQUEST['invoice_data_id'];
	$edit_id = $_REQUEST['edit_id'];
	$addin_config_invoice = $_REQUEST['addin_config_invoice'];	 
	$type = 'invoice';	
	
	$page = $invoice_data_page;
	$page_id = $invoice_data_id;
	if($edit_id == ''){
		if($page_id == '' && !is_numeric($page_id)){
			$status = dapMemberCheckPageTitleExist($invoice_data_page);
			 
			if($status == "no"){
				$my_post = array(
						'post_title'    => wp_strip_all_tags( $invoice_data_page ),
						'post_status'   => 'publish',
						'post_author'   => 1,
						'post_type' =>'page',
						'post_category' => array( 8,39 )
						); 
				$page_id = wp_insert_post( $my_post );
				
			}else{
				echo json_encode(array('error' => 'page already exists'));
				die;
			}			
			
		}
	}
	
	
//	$page_id = 0;
	$seleted_template = $_REQUEST['template'];
	$page_template = $_REQUEST['page_template'];
	$view_invoice_link = $_REQUEST['view_invoice_link'];
	$admin_email = $_REQUEST['admin_email'];
	$company_name = $_REQUEST['company_name'];
	$company_url = $_REQUEST['company_url'];
	$no_transaction_msg = $_REQUEST['no_transaction_msg'];
	$logo = $_REQUEST['logo'];
	
	$html = '';
		
	$styling_options = "";
	
	$action  = 'invoice';
	$obj = new DAP_MemberPages();
	$obj->setPageId($page_id);
	$obj->setAction( $action);
	$obj->setTemplate( $seleted_template);
	$obj->setTemplateHtml( $html);
	$obj->setStylingOptions( $styling_options);
	$obj->setDate( dap_member_current_date_time ); 
	
	
	$id_hash = DAP_MemberPages::loadById($edit_id);
	 
	if($id_hash){
		$obj->setId($edit_id);
		$edit_id = $obj->update();
		$message = 'Update Shortcode';
	}else{
		$edit_id = $obj->create();		  
		$message = 'Shortcode save successfully';
		$shortcode_content = dapMemberGetInvoiceShortcodeNameById($edit_id);
		$result['save_shortcode_in_a_page']  = dapMemberAddShortcodeINAPage($shortcode_content,$page_id);
	}
	
	$member_page_values_array = array('page_template'=>$page_template,'view_invoice_link'=>$view_invoice_link,'admin_email'=>$admin_email, 'company_name' => $company_name , 'company_url' => $company_url, 'no_transaction_msg' => $no_transaction_msg , 'logo' => $logo);
	foreach($member_page_values_array as $key=>$val){				
		$result['member_page_values'][] =  dapMemberPagesUpdateValueByActionIdAndName($edit_id,$key,$val);
	}
	
	$message = 'Shortcode save successfully';
	$result['edit_id'] = $edit_id;
       

	$short_code_html = '<div class="">';
	$short_code_html .= '<h3 class="shortcode_inner_heading">Here is your Invoice page URL: <span class="shortcode_page_link"><a href="'.get_permalink($page_id) .'" target="_blank">'.get_permalink($page_id) .'</a></span></h3>';
	$short_code_html .= '<span class="check_heading">Here is your Invoice page Shortcode: </span>';
	$short_code_html .= '<span id="dynamic_copyable_text_'.$edit_id.'" class="d-inline" name="shortcode_display">'.dapMemberGetInvoiceShortcodeNameById($edit_id).'</span>';
	$short_code_html .= '<span data-id="dynamic_copyable_text_'.$edit_id.'" class="copy-btn theme-button" onclick="dap_member_copy_to_clipboard(this)"><i class="fa fa-files-o" aria-hidden="true"></i> Copy</span>';
	$short_code_html .= '</div>';
	
	$result['success'] = $message; 
	$result['short_code_html'] = $short_code_html;
	$result['short_code_html_with_heading'] = "<h3>Here is your shortocde:</h3>".$short_code_html;
	
	echo json_encode(array('short_code_html' => $short_code_html , 'id' => $edit_id, 'page_id' => $page_id));
	
	//update in dap_config
	global $lldocroot;
	include ($lldocroot . "/dap/dap-config.php"); 
	if($addin_config_invoice == "yes"){
		 $value = get_permalink($page_id);			
		 Dap_Config::updateConfigName("INVOICE", $value) ;		
	}
	die;	
}

add_action( 'wp_ajax_dapSaveMemberCancelAjax', 'dapSaveMemberCancelAjax' );
function dapSaveMemberCancelAjaxUsingDAP($type, $cancellation_data_page, $addin_config_cancellation, $cancellation_data_id, $member_page_values_array = '', $edit_id = ''){
	$page = $cancellation_data_page;
	$page_id = $cancellation_data_id;
	if($edit_id == ''){
		if($page_id == '' && !is_numeric($page_id)){
			$status = dapMemberCheckPageTitleExist($cancellation_data_page);
			 
			if($status == "no"){
				$my_post = array(
						'post_title'    => wp_strip_all_tags( $cancellation_data_page ),
						'post_status'   => 'publish',
						'post_author'   => 1,
						'post_type' =>'page',
						'post_category' => array( 8,39 )
						); 
				$page_id = wp_insert_post( $my_post );
				
			}else{
				echo json_encode(array('error' => 'page already exists'));
				die;
			}
			
			
			
		}
	}
	$seleted_template = $_REQUEST['template'];
	
	$file = dap_member_dir.'cancel/'.$seleted_template.'/autocanceltemplate.html';
	$html = file_get_contents($file);
	$html = '';
		
	$styling_options = "";
	
	 
	$action  = 'cancellation';
	$obj = new DAP_MemberPages();
	$obj->setPageId($page_id);
	$obj->setAction( $action);
	$obj->setTemplate( $seleted_template);
	$obj->setTemplateHtml( $html);
	$obj->setStylingOptions( $styling_options);
	$obj->setDate( dap_member_current_date_time ); 
	if($edit_id == ''){
		$edit_id = $obj->create();	
		$post = get_post($page_id);
		$content = $post->post_content;
		$my_post = array(
				'ID'           => $page_id,
				'post_content' => $content.'[DAPMemberCancellation id='. $edit_id.'][/DAPMemberCancellation]',
		);
		wp_update_post( $my_post );
	}else{
		$obj->setId($edit_id);
		$edit_id = $obj->update();		
	}

	if($member_page_values_array == ''){
		$member_page_values_array = array(
			'show_all_transactions'=>'N',
			'product_type'=>'ALL',
			'notransfoundmsg'=>'Sorry, no active transactions found',
			'contact_us' => '' , 
			'contact_us_link' => '', 
			'show_cancel' => 'Y' , 
			'cancelled_text' => 'CANCELLED', 
			'success_cancel_msg' => 'Subscription cancellation completed Successfully!', 
			'failed_cancel_msg' => 'Sorry, could not cancel the subscription.',
			 'cancel_cancel_msg' => 'Are you sure you want to cancel subscription?', 
			 'pause_resume_select' => 'no',
			 'dateformat' => 'YYYY-MM-DD',
			 'bgcolor' => '#f9f9f9',
			 'payment' => 'PAYPAL',
			 'showrenewal' => 'Y',
			 'templatetextcolor' => '#000',
			 'cancelbuttonstyle' => 'padding-top: 6px;background: #dc3545 ;border-color: #333333;color: #ffffff;font-size: 11px;border-width: 0px;border-style: none;border-radius: 0px; font-weight:600;width:90px;padding-bottom: 6px;',
			 'upgradetextcolor' => '',
			 'cancelimage' => '',
			 'cancelcontact' => '',
			 'cancelcontacturl' => '',
			 'canceltext' => 'CANCEL',
			 'canceltextcolor' => 'blue',
			 'cancelledtextcolor' => 'red',
			 'showpause' => 'Y',	
			 'pausesuccess' => 'Subscription paused successfully.',
			 'pausefail' => 'Sorry,could not pause the subscription.',
			 'upgradelink' => '',
			 'notransfoundmsg' => 'Sorry, no active transactions found',
			 'pauseconfirm' => 'Are you sure you pause the subscription?',
			 'pauseurl' => '',
			 'pausebuttonstyle' => 'padding-top: 6px;background: #1e7e34 ;border-color: none;color: #ffffff;font-size: 11px;border-width: 0;border-style: none;border-radius: 0px; font-weight:600;width:90px;padding-bottom: 6px',
			 'pausebuttontext' => 'PAUSE',
			 'resumesuccess' => 'Subscription resumed successfully.',
			 'resumefail' => 'Sorry,could not Resume the subscription.',
			 'resumeconfirm' => 'Are you sure you resume the subscription?',
			 'resumeurl' => '',
			 'resumebuttonstyle' => 'padding-top: 6px;background: #17a2b8 ;border-color: none;color: #ffffff;font-size: 11px;border-width: 0px;border-style: none;border-radius: 0px; font-weight:600;width:90px;padding-bottom: 6px',
			 'resumebuttontext' => 'RESUME',
			 'cancelbuttonstyleNew' => '6;#17a2b8;none;#ffffff;11;0;none;0;600;90;6',
			 'pausebuttonstyleNew' => '6;#1e7e34;none;#ffffff;11;0;none;0;600;90;6',
			 'resumebuttonstyleNew' => '6;#17a2b8;none;#ffffff;11;0;none;0;600;90;6'
			 );

	}
	
	foreach($member_page_values_array as $key=>$val){				
		if($val != ''){
			$result['member_page_values'][] =  dapMemberPagesUpdateValueByActionIdAndName($edit_id,$key,$val);
		}
	}

	$message = 'Shortcode save successfully';
	$result['edit_id'] = $edit_id;
       
		
	$short_code_html = '<div class="">';
	$short_code_html .= '<h3 class="shortcode_inner_heading">Here is your Cancellation page URL: <span class="shortcode_page_link"><a href="'.get_permalink($page_id) .'" target="_blank">'.get_permalink($page_id) .'</a></span></h3>';
	$short_code_html .= '<span class="check_heading">Here is your Cancellation page Shortcode: </span>';
	$short_code_html .= '<span id="dynamic_copyable_text_'.$edit_id.'" class="d-inline" name="shortcode_display">'.dapMemberGetCancellationShortcodeNameById($edit_id).'</span>';
	$short_code_html .= '<span data-id="dynamic_copyable_text_'.$edit_id.'" class="copy-btn theme-button" onclick="dap_member_copy_to_clipboard(this)"><i class="fa fa-files-o" aria-hidden="true"></i> Copy</span>';
	$short_code_html .= '</div>';
	
	$result['success'] = $message; 
	$result['short_code_html'] = $short_code_html;
	//update in dap_config

	global $lldocroot;
	include ($lldocroot . "/dap/dap-config.php");
	
	logToFile("addin_config_cancellation: ". $addin_config_cancellation,LOG_DEBUG_DAP); 
	if($addin_config_cancellation == "yes"){
		 $value = get_permalink($page_id);	
		 logToFile("addin_config_cancellation: value= ". $value,LOG_DEBUG_DAP); 		
		 Dap_Config::updateConfigName("CANCELLATION", $value) ;		
	}
	return $short_code_html."|:|".$page_id."|:|".$edit_id;
}
function dapSaveMemberCancelAjax(){  
	$edit_id = $_REQUEST['id'];
	$cancellation_data_page = $_REQUEST['create_cancellation_page'];
	$cancellation_data_id = $_REQUEST['cancellation_data_id'];
	$show_all_transactions = $_REQUEST['show_all_transactions'];
	$product_type = $_REQUEST['product_type'];
	$show_cancel = $_REQUEST['show_cancel'];
	$cancelled_text = $_REQUEST['cancelled_text'];
	$success_cancel_msg = $_REQUEST['success_cancel_msg'];
	$failed_cancel_msg = $_REQUEST['failed_cancel_msg'];
	$cancel_cancel_msg = $_REQUEST['cancel_cancel_msg'];
	$pause_resume_select = $_REQUEST['pause_resume_select'];
	$dateformat = $_REQUEST['dateformat'];
	$bgcolor = $_REQUEST['bgcolor'];
	$payment = $_REQUEST['payment'];
	$showrenewal = $_REQUEST['showrenewal'];
	$templatetextcolor = $_REQUEST['templatetextcolor'];
	$cancelimage = $_REQUEST['cancelimage'];
	$cancelcontact = $_REQUEST['contact_us'];
	$cancelcontacturl = $_REQUEST['contact_us_link'];
	$cancelbuttonstyle = $_REQUEST['cancelbuttonstyle'];
	$cancelbuttontext = $_REQUEST['cancelbuttontext'];
	$upgradelink = $_REQUEST['upgradelink'];
	$upgradetext = $_REQUEST['upgradetext'];
	$upgradetextcolor = $_REQUEST['upgradetextcolor'];
	$canceltext = $_REQUEST['canceltext'];
	$canceltextcolor = $_REQUEST['canceltextcolor'];
	$cancelledtextcolor = $_REQUEST['cancelledtextcolor'];
	$notransfoundmsg = $_REQUEST['notransfoundmsg'];
	$showpause = $_REQUEST['showpause'];
	$pausesuccess = $_REQUEST['pausesuccess'];
	$pausefail = $_REQUEST['pausefail'];
	$pauseconfirm = $_REQUEST['pauseconfirm'];
	$pauseurl = $_REQUEST['pauseurl'];
	$pausebuttonstyle = $_REQUEST['pausebuttonstyle'];
	$pausebuttontext = $_REQUEST['pausebuttontext'];
	$resumesuccess = $_REQUEST['resumesuccess'];
	$resumefail = $_REQUEST['resumefail'];
	$resumeconfirm = $_REQUEST['resumeconfirm'];
	$resumeurl = $_REQUEST['resumeurl'];
	$resumebuttonstyle = $_REQUEST['resumebuttonstyle'];
	$resumebuttontext = $_REQUEST['resumebuttontext'];
	$cancelbuttonstyleNew = $_REQUEST['cancelbuttonstyleNew'];
	$pausebuttonstyleNew = $_REQUEST['pausebuttonstyleNew'];
	$resumebuttonstyleNew = $_REQUEST['resumebuttonstyleNew'];
	$addin_config_cancellation = $_REQUEST['addin_config_cancellation'];
	
	
	// new option 
	$cancellation_confirmation_msg    = $_REQUEST['cancellation_confirmation_msg'];
	$cancellation_option_value        = $_REQUEST['cancellation_option_value'];
	$redirect_different_page_url      = $_REQUEST['redirect_different_page_url'];
	$self_cancel_with_reason_btn_html = $_REQUEST['self_cancel_with_reason_btn_html'];
	$request_cancellation_btn_html    = $_REQUEST['request_cancellation_btn_html'];
	$send_cancellation_request_html   = $_REQUEST['send_cancellation_request_html'];
	$cancelbuttontext_html            = $_REQUEST['cancelbuttontext_html'];
	$pausebuttontext_html             = $_REQUEST['pausebuttontext_html'];
	$resumebuttontext_html            = $_REQUEST['resumebuttontext_html'];
	$self_cancel_customizer           = $_REQUEST['self_cancel_customizer'];
	$all_productslist_cancellation    = $_REQUEST['all_productslist_cancellation'];
	$cancellation_reason_msg          = $_REQUEST['cancellation_reason_msg'];
	$send_admin_email          = $_REQUEST['send_admin_email'];
	$sent_request_to_admin          = $_REQUEST['sent_request_to_admin'];
	
	if(is_array($all_productslist_cancellation) && in_array('all',$all_productslist_cancellation)){
		$all_productslist_cancellation = array('all');
	}
	
	$all_productslist_cancellation_ids =  implode(',',$all_productslist_cancellation);
	
	$member_page_values_array = array(
		'cancellation_reason_msg'          => urldecode($cancellation_reason_msg),
		'cancellation_confirmation_msg'    => urldecode($cancellation_confirmation_msg),
		'cancellation_option'        => $cancellation_option_value,
		'redirect_different_page_url'      => $redirect_different_page_url,
		'cancelbuttontext_html' 		   => urldecode($cancelbuttontext_html),
		'self_cancel_with_reason_btn_html' => urldecode($self_cancel_with_reason_btn_html),
		'send_cancellation_request_html'   => urldecode($send_cancellation_request_html),
		'cancelbuttontext_html'            => urldecode($cancelbuttontext_html),
		'pausebuttontext_html'             => urldecode($pausebuttontext_html),
		'resumebuttontext_html'            => urldecode($resumebuttontext_html),
		'request_cancellation_btn_html'            => urldecode($request_cancellation_btn_html),
		'self_cancel_customizer'           => $self_cancel_customizer,
		'product_type'    => $all_productslist_cancellation_ids,
		'send_admin_email'    => $send_admin_email,
		
		
		'show_all_transactions'=>$show_all_transactions,
		//'product_type'=>$product_type,
		'notransfoundmsg'=>$notransfoundmsg,
		'contact_us' => $contact_us, 
		'contact_us_link' => $contact_us_link, 
		'show_cancel' => $show_cancel, 
		'cancelled_text' => $cancelled_text, 
		'success_cancel_msg' => $success_cancel_msg, 
		'failed_cancel_msg' => $failed_cancel_msg,
		 'cancel_cancel_msg' => $cancel_cancel_msg, 
		 'pause_resume_select' => $pause_resume_select,
		 'dateformat' => $dateformat,
		 'bgcolor' => $bgcolor,
		 'payment' => $payment,
		 'showrenewal' => $showrenewal,
		 'templatetextcolor' => $templatetextcolor,
		 'cancelbuttonstyle' => $cancelbuttonstyle,
		 'upgradetextcolor' => $upgradetextcolor,
		 'cancelimage' => $cancelimage,
		 'cancelcontact' => $cancelcontact,
		 'cancelcontacturl' => $cancelcontacturl,
		 'canceltext' => $canceltext,
		 'canceltextcolor' => $canceltextcolor,
		 'cancelledtextcolor' => $cancelledtextcolor,
		 'showpause' => $showpause,	
		 'pausesuccess' => $pausesuccess,
		 'pausefail' => $pausefail,
		 'upgradelink' => $upgradelink,
		 'notransfoundmsg' => $notransfoundmsg,
		 'pauseconfirm' => $pauseconfirm,
		 'pauseurl' => $pauseurl,
		 'pausebuttonstyle' => $pausebuttonstyle,
		 'pausebuttontext' => $pausebuttontext,
		 'resumesuccess' => $resumesuccess,
		 'resumefail' => $resumefail,
		 'resumeconfirm' => $resumeconfirm,
		 'resumeurl' => $resumeurl,
		 'resumebuttonstyle' => $resumebuttonstyle,
		 'resumebuttontext' => $resumebuttontext,
		 'cancelbuttonstyleNew' => $cancelbuttonstyleNew,
		 'pausebuttonstyleNew' => $pausebuttonstyleNew,
		 'resumebuttonstyleNew' => $resumebuttonstyleNew,
		 'sent_request_to_admin' => $sent_request_to_admin
		 );
	
	
	$action =$type =  'cancellation';	
	  
	$short_code_html_data = dapSaveMemberCancelAjaxUsingDAP($type, $cancellation_data_page, $addin_config_cancellation, $cancellation_data_id, $member_page_values_array, $edit_id);	
	$page_id = $cancellation_data_id;
	$short_code_html_data = explode("|:|",$short_code_html_data);
	$short_code_html = $short_code_html_data[0];
	$page_id =$short_code_html_data[1];
	$edit_id =$short_code_html_data[2];
	
	echo json_encode(array('short_code_html' => $short_code_html , 'id' => $edit_id, 'page_id' => $page_id));
	
	die;	
}

add_action( 'wp_ajax_dapSaveMemberProfileAjax', 'dapSaveMemberProfileAjax' );
function dapSaveMemberProfileAjaxUsingDAP($type, $profile_data_page, $addin_config_profile, $profile_data_id){
	$page_id = $profile_data_id  ;
	if($page_id == '' && !is_numeric($page_id)){
		$status = dapMemberCheckPageTitleExist($profile_data_page);
		 
		if($status == "no"){
			$my_post = array(
					'post_title'    => wp_strip_all_tags( $profile_data_page),
					'post_status'   => 'publish',
					'post_author'   => 1,
					'post_type' =>'page',
					'post_category' => array( 8,39 )
					); 
			$page_id = wp_insert_post( $my_post );
			
		}else{
			echo json_encode(array('error' => 'page already exists'));
			die;
		}	
		
	}
	
	$styling_options = '';
	
	$seleted_template = 'template1';
	$file = dap_member_dir.'includes/templates/profile/template1/template.php';
	$_SESSION['return_data'] = 'yes';
	include_once($file);
	unset($_SESSION['return_data']);
	$template_html = $html;
	
	$edit_id = '';
	
    $dispaly_opitons1 =  $show_profile_account_info_section.'||'.$show_first_name_section.'||'.$show_last_name_section.'||'.$show_email_section;
    
    $dispaly_opitons_new = explode('||' ,$dispaly_opitons1);
    $dispaly_opitons1 = '';
    $i = 0;
    foreach($dispaly_opitons_new as $option){
		if($i > 0){
			$dispaly_opitons1 .= '||';	
		}
		
		if($option == 1){
			$dispaly_opitons1 .= 'true';	
		}else{
			$dispaly_opitons1 .= 'false';				
		}
		$i++;
		
	}    
    
    $dispaly_opitons2 = $show_profile_change_password_section;
    
    $dispaly_opitons_new = explode('||' ,$dispaly_opitons2);
    $dispaly_opitons2 = '';
     $i = 0;
    foreach($dispaly_opitons_new as $option){
		if($i > 0){
			$dispaly_opitons2 .= '||';	
		}
		
		
		if($option == 1){
			$dispaly_opitons2 .= 'true';	
		}else{
			$dispaly_opitons2 .= 'false';				
		}
		
		$i++;
	}
    
    
    $dispaly_opitons3 = $show_profile_billing_info_section.'||'.$show_profile_billing_address1_section.'||'.$show_profile_billing_address2_section.'||'.$show_profile_billing_city_section.'||'.$show_profile_billing_state_section.'||'.$show_profile_billing_postal_code_section.'||'.$show_profile_billing_country_section;
    
    $dispaly_opitons_new = explode('||' ,$dispaly_opitons3);
    $dispaly_opitons3 = '';
    $i = 0;
    foreach($dispaly_opitons_new as $option){
		if($i > 0){
			$dispaly_opitons3 .= '||';	
		}
		
		if($option == 1){
			$dispaly_opitons3 .= 'true';	
		}else{
			$dispaly_opitons3 .= 'false';				
		}
		
		$i++;
	}
    
    $dispaly_opitons4 = $show_profile_additional_info_section.'||'.$show_profile_additional_phone_section.'||'.$show_profile_additional_fax_section.'||'.$show_profile_additional_company_section.'||'.$show_additional_title_section.'||'.$show_profile_additional_paypal_email_section.'||'.$show_profile_additional_opted_out_section;
   
    $dispaly_opitons_new = explode('||' ,$dispaly_opitons4);
    $dispaly_opitons4 = '';
    $i = 0;
    foreach($dispaly_opitons_new as $option){
		if($i > 0){
			$dispaly_opitons4 .= '||';	
		}
		
		if($option == 1){
			$dispaly_opitons4 .= 'true';	
		}else{
			$dispaly_opitons4 .= 'false';				
		}
		
		$i++;
	}
    
    
    $dispaly_opitons5 = $show_profile_gdpr_section;
    if($dispaly_opitons5 == 1){
		$dispaly_opitons5 .= 'true';	
	}else{
		$dispaly_opitons5 .= 'false';				
	}    
    
    $dispaly_opitons7 = $update_btn_background_outer_color.'||'.$update_btn_frnt_bdr_style.'||'.$update_btn_frnt_bdr_wid.'||'.$update_btn_frnt_br_radius.'||'.$update_btn_frnt_bdr_color.'||'.$update_btn_frnt_wid;
    
    $dispaly_opitons8 = $show_custom_fields_section;
    
    $dispaly_opitons_new = explode('||' ,$dispaly_opitons8);
    $dispaly_opitons8 = '';
    $i = 0;
    foreach($dispaly_opitons_new as $option){
		if($i > 0){
			$dispaly_opitons8 .= '||';	
		}
		
		if($option == 1){
			$dispaly_opitons8 .= 'true';	
		}else{
			$dispaly_opitons8 .= 'false';				
		}
		
		$i++;
	}
    $dispaly_opitons8 = $dispaly_opitons8.'||'.$custom_fields_style;
    
    $dispaly_opitons = $dispaly_opitons1.'|||'.$dispaly_opitons2.'|||'.$dispaly_opitons3.'|||'.$dispaly_opitons4.'|||'.$dispaly_opitons5;  
    $external_shadow_customizer  = $sprd_radius.'||'.$blur_radius.'||'.$hor_lnth.'||'.$ver_lnth.'||'.$shad_clr;
    
    $template_Style = $temp_frnt_wid.'||'.$temp_background_outer_color.'||'.$temp_frnt_bdr_style.'||'.$temp_frnt_bdr_wid.'||'.$temp_frnt_br_radius.'||'.$temp_frnt_bdr_color.'||'.$temp_frnt_padd_top.'||'.$temp_frnt_padd_bottom;		
    
    $background_color = $account_background_color.'||'.$change_pass_background_color.'||'.$billing_background_color.'||'.$additional_background_color.'||'.$gdpr_background_color;	
    $styling_options = $dispaly_opitons.'|||'.$external_shadow_customizer.'|||'.$template_Style.'|||'.$background_color."|||".$dispaly_opitons7.'|||'.$dispaly_opitons8;
    		
	$action  = 'profile'; 
    $obj = new DAP_MemberPages();
	$obj->setPageId($page_id);
	$obj->setAction( $action);
	$obj->setTemplate($seleted_template);
	$obj->setTemplateHtml( $html);
	$obj->setStylingOptions( $styling_options);
	$obj->setDate( dap_member_current_date_time );
		
    //$id_hash = DAP_MemberPages::loadById($edit_id);
    $id_hash = false;
         
    if($id_hash){
		$obj->setId($edit_id);
		$edit_id = $obj->update();
		$message = 'Update Shortcode';
	}else{
		$edit_id = $obj->create();		  
		$message = 'Shortcode save successfully';
		$shortcode_content = dapMemberGetProfileShortcodeNameById($edit_id);
		$result['save_shortcode_in_a_page']  = dapMemberAddShortcodeINAPage($shortcode_content,$page_id);
		$member_page_values_array = array('redirect_url'=>'','gdpr_msg_section'=>'Are you sure you do not want to give GDPR consent?');
		foreach($member_page_values_array as $key=>$val){				
			dapMemberPagesUpdateValueByActionIdAndName($edit_id,$key,$val);
		}
	}
	
	$short_code_html = '<div class="">';
	$short_code_html .= '<h3 class="shortcode_inner_heading">Here is your Profile details URL: <span class="shortcode_page_link"><a href="'.get_permalink($page_id) .'" target="_blank">'.get_permalink($page_id) .'</a></span></h3>';
	$short_code_html .= '<span class="check_heading">Here is your Profile details Shortcode: </span>';
	$short_code_html .= '<span id="dynamic_copyable_text_'.$edit_id.'" class="d-inline" name="shortcode_display">'.dapMemberGetProfileShortcodeNameById($edit_id).'</span>';
	$short_code_html .= '<span data-id="dynamic_copyable_text_'.$edit_id.'" class="copy-btn theme-button" onclick="dap_member_copy_to_clipboard(this)"><i class="fa fa-files-o" aria-hidden="true"></i> Copy</span>';
	$short_code_html .= '</div>'; 
   
    $result['edit_id'] = $edit_id;
	$result['success'] = $message;
	$result['short_code_html'] = $short_code_html;
	$result['page_url_html'] = '<a href="'.get_permalink($page_id).'" target="_blank">'.get_permalink($page_id).'</a>';
	
	//update in dap_config
	global $lldocroot;
	include ($lldocroot . "/dap/dap-config.php"); 
	if($addin_config_profile == "yes"){
		 $value = get_permalink($page_id);			
		 Dap_Config::updateConfigName("PROFILE", $value) ;		
	}	
	return $result;
}

function dapSaveMemberProfileAjax(){
	
	$profile_data_page = $_REQUEST['create_profile_page'];
	$page_id = $profile_data_id = $_REQUEST['profile_page_url'];
	$addin_config_profile = $_REQUEST['addin_config_profile'];
	$type ="profile"; 
	$short_code_html =dapSaveMemberProfileAjaxUsingDAP($type, $profile_data_page, $addin_config_profile, $profile_data_id);		
	echo json_encode($short_code_html);	
	die;
}

function dapDeleteMemberPageAjax(){
	DAP_MemberPages::deleteById($_REQUEST['id']);	
	DAP_MemberPagesValues::deleteByActionId($_REQUEST['id']);	
	
}

/* check admin or not */
if(!is_admin() && $GLOBALS['pagenow'] !== 'wp-login.php'){
	
	include_once(dap_member_dir.'DAP-Member-Frontend.php');
}
 

function dapMemberGetMessageByKeyAndAction($action = '',$name =''){
	$obj = DAP_MemberPageSettings::loadByActionAndName($action,$name);
	
	if($obj){
		return $obj->getValue();
	}
	return '';
}


function dapMemberCheckPageTitleExist($page_name = ''){
	
	$page = get_page_by_title( $page_name );
	if(is_object($page)){
		$status ='yes';
	}else{
		$status ='no';
	}
	return $status;
}

add_action( 'wp_ajax_dapSaveSubaccountDataAjax', 'dapSaveSubaccountDataAjax' );
function dapSaveSubaccountDataAjax(){
	$edit_id = $_REQUEST['edit_id'];
	$overallData = $_REQUEST['overallData'];
	$actionType = $_REQUEST['actionType'];
	$template = $_REQUEST['template'];
	$styling_options = $_REQUEST['styling_options'];
//	$pageType = $_REQUEST['pageType'];
//	$pageName = $_REQUEST['pageName'];
	$success_added_msg = $_REQUEST['success_added_msg'];
	$limit_reached_msg = $_REQUEST['limit_reached_msg'];
	$delete_confirm_msg = $_REQUEST['delete_confirm_msg'];
	$deleted_msg = $_REQUEST['deleted_msg'];
	$not_logged_in = $_REQUEST['not_logged_in'];
	$no_access = $_REQUEST['no_access'];
	$bulkNoAddUserMsg = $_REQUEST['bulkNoAddUserMsg'];
	$no_field_select_msg = $_REQUEST['no_field_select_msg'];
	$limit_reached_bulk = $_REQUEST['limit_reached_bulk'];
	$already_exists_msg = $_REQUEST['already_exists_msg'];
	
	$member_page_values_array = array(
		'success_added_msg'=>$success_added_msg,
		'limit_reached_msg'=>$limit_reached_msg,
		'delete_confirm_msg'=>$delete_confirm_msg,
		'deleted_msg' => $deleted_msg ,
		'not_logged_in' => $not_logged_in ,
		'no_access' => $no_access ,
		'bulkNoAddUserMsg' => $bulkNoAddUserMsg ,
		'no_field_select_msg' => $no_field_select_msg, 
		'limit_reached_bulk' => $limit_reached_bulk , 
		'already_exists_msg' => $already_exists_msg 
	);
	
	//$page_id = $pageName;
	
	/*if($edit_id == ''){
		if($pageType == 'new'){
			$status = dapMemberCheckPageTitleExist($pageName);
			
			if($status == "no"){
				$my_post = array(
						'post_title'    => wp_strip_all_tags( $pageName ),
						'post_status'   => 'publish',
						'post_author'   => 1,
						'post_type' =>'page',
						'post_category' => array( 8,39 )
						); 
				$page_id = wp_insert_post( $my_post );
				
			}else{
				echo json_encode(array('error' => 'page already exists'));
				die;
			}
			
			
			
		}
	}*/
	/*$seleted_template = $_REQUEST['template'];
	
	$file = dap_member_dir.'cancel/'.$seleted_template.'/autocanceltemplate.html';
	$html = file_get_contents($file);
	$html = '';*/
		
	
	 
	$obj = new DAP_MemberPages();
	$obj->setPageId(0);
	$obj->setAction($actionType);
	$obj->setTemplate($template);
	$obj->setTemplateHtml($overallData);
	$obj->setStylingOptions($styling_options);
	$obj->setDate( dap_member_current_date_time ); 
	
	if($edit_id == ''){
		$edit_id = $obj->create();	
	}else{
		$obj->setId($edit_id);
		$edit_id = $obj->update();		
	}
	
	
	
	
	
	foreach($member_page_values_array as $key=>$val){				
		if($val != ''){
			$result['member_page_values'][] =  dapMemberPagesUpdateValueByActionIdAndName($edit_id,$key,$val);
		}
	}
	
	$message = 'Shortcode save successfully';
	$result['edit_id'] = $edit_id;
	
	$shortcode = dapMemberGetSubaccountShortcodeNameById($edit_id);
       
		
	/*$short_code_html = '<div class="">';
	$short_code_html .= '<h3 class="shortcode_inner_heading">Here is your Cancellation page URL: <span class="shortcode_page_link"><a href="'.get_permalink($page_id) .'" target="_blank">'.get_permalink($page_id) .'</a></span></h3>';
	$short_code_html .= '<span class="check_heading">Here is your Cancellation page Shortcode: </span>';
	$short_code_html .= '<span id="dynamic_copyable_text_'.$edit_id.'" class="d-inline" name="shortcode_display">'.dapMemberGetCancellationShortcodeNameById($edit_id).'</span>';
	$short_code_html .= '<span data-id="dynamic_copyable_text_'.$edit_id.'" class="copy-btn theme-button" onclick="dap_member_copy_to_clipboard(this)"><i class="fa fa-files-o" aria-hidden="true"></i> Copy</span>';
	$short_code_html .= '</div>';*/
	
	$result['success'] = $message; 
	$result['short_code_html'] = $shortcode;

	echo json_encode(array('short_code_html' => $shortcode , 'id' => $edit_id, 'page_id' => $page_id));
	die;	
}


/*****Save the post meta data*****/

add_action( 'wp_ajax_savePostMetaDataAjax', 'savePostMetaDataAjax' );
function savePostMetaDataAjax(){	
	
		$_REQUEST = stripslashes_deep($_REQUEST);
		
		if(isset($_REQUEST['pay_post_data'])){
		   
		    $data  = $_REQUEST['pay_post_data'];
		    
		    /*
		    echo "<pre>";
			print_r($data);
			echo "</pre>";
			die;
			*/	
			$post_id = $data['post_id'];
			$product_id = $data['product_id'];
			$enable_pay_per_post = $data['enable_pay_per_post'];
			$post_image = $data['post_image'];
			
			
			// general 
			$not_logged_in = $data['not_logged_in'];
			$not_have_access = $data['not_have_access'];
			$currency_symbol = $data['currency_symbol']; 
			$currency_code = $data['currency_code'];
			$payment_mode = $data['payment_mode'];
			
			//pricing 
			$payment_options_arr = $data['payment_options_arr'];
			$pricing_arr = $data['pricing_arr'];
			$btn_config_arr = $data['btn_config_arr'];
			$btn_links_arr = $data['btn_links_arr'];
			
			// messages
			$show_teaser_content = $data['show_teaser_content'];
			$teaser_content = urldecode($data['teaser_content']);	
			$not_logged_in_msg = urldecode($data['not_logged_in_msg']);
			$no_access_msg = urldecode($data['no_access_msg']);	
			$dap_content_description = urldecode($data['dap_content_description']);	
			
			// button config
			$spc = $data['spc'];
			$other_buy_button_link_select = $data['other_buy_button_link_select'];
			
			
			// button layout
			$button_layout_option   = $data['button_layout_option'];
		
			// landing page
			$after_payment_action = $data['after_payment_action'];
			$landing_url = $data['landing_url'];
			
			$post_url = get_permalink($post_id);
			if($data['after_payment_action'] == 'same_page'){
				$landing_url = $post_url;
			}
			
			$spc_checkout_id = 0;
			if(isset($data['spc_checkout_id'])){
				$spc_checkout_id = $data['spc_checkout_id'];
			}
			
			
			$enable_above_btn_msg = $data['enable_above_btn_msg'];
			
			$post_title  = get_the_title($post_id);
			
			$payperpost = new DAP_PayPerPost();		  
			$payperpost->setPostId( stripslashes($post_id) );
			$payperpost->setEnablePayPerPost( stripslashes($enable_pay_per_post) );
			$payperpost->setPostImage( stripslashes($post_image) );
			$payperpost->setProductId( stripslashes($product_id) );
			$payperpost->setShowTeaserContent( $show_teaser_content);
			$payperpost->setTeaserContent( $teaser_content );
			
			$payperpost->setNotLoggedIn( $not_logged_in_msg );
			
			$payperpost->setNotHaveAccess( $no_access_msg );
			$payperpost->setCurrencySymbol( $currency_symbol );
			$payperpost->setCurrencyCode( $currency_code );
			$payperpost->setPaymentMode( $payment_mode );
			$payperpost->setShowMsgAboveBtn( $enable_above_btn_msg );
			
			
			$payperpost->setPostTitle( $post_title );
		
			$payperpost->setAfterPaymentAction( $after_payment_action );
			$payperpost->setLandingURL( $landing_url );	
			$payperpost->setButtonLayoutoption( $button_layout_option );	
			$payperpost->setSpcCheckoutId( $spc_checkout_id );	
			$payperpost->setPostUrl( $post_url );	
			$payperpost->setContentDescription( $dap_content_description );	
			
			$id_exist = DAP_PayPerPost::loadPayPerPostByPostId($post_id);
			if(isset($id_exist)){  
				
				$payperpost->setId($id_exist->getId());
				$edit_id = $payperpost->update();	
				$edit_id = $id_exist->getId();	
				$action = 'update';	 
				$msg1 = "Update successfully";
			}else{
				//echo "hello+2";die;
				$edit_id = $payperpost->create();			
				$action = 'create';
				$msg1 = "Save successfully";
			}
			
			$outputMeta = array();
			//payment field
			if(isset($data['payment_options_arr']) && is_array($data['payment_options_arr'])){
				$payments_data = array();
				
				foreach($data['payment_options_arr'] as $payment_type){
					
					$price = 0;
					$access_day = 0;
					if(isset($data['pricing_arr']) && is_array($data['pricing_arr'])){
						$price = $data['pricing_arr'][$payment_type]['price']; 
						$access_day = $data['pricing_arr'][$payment_type]['access_day']; 
						$btn_links = $data['btn_links_arr'][$payment_type]; 
						$buynow_above_text = urldecode($data['btn_config_arr'][$payment_type]['buynow_above_text']);	
						//$other_buy_button_link_select
						$buynow_text = $data['btn_config_arr'][$payment_type]['buynow_text'];
					}
					
					$payments_data[] = array('post_id'=>$post_id,'button_type'=>$payment_type,'price'=>$price,'access_days'=>$access_day,'buylink'=>$btn_links,'btn_text'=>$buynow_text,'btn_above_text'=>$buynow_above_text, 'shoppingcart' => ($spc));
				}
				
				if(count($payments_data)){
					$get_all_data_obj = Dap_PayPerPostMeta::loadPayPerPostMetaByPostId($post_id); 
					
					$get_all_data_type = array();
					if(count($get_all_data_obj)){
						foreach($get_all_data_obj as $row){
							$get_all_data_type[$row->getButtonType()] = $row->getButtonType();
						}
					}
					
					foreach($payments_data as $key=>$row){
						if(in_array($row["button_type"],$get_all_data_type)){
							unset($get_all_data_type[$row["button_type"]]);
						}
						$PayPerPostMetaObj = new Dap_PayPerPostMeta();
						$row["date"] = date("Y-m-d");  
						$PayPerPostMetaObj->setPostId( stripslashes($row["post_id"]) );
						$PayPerPostMetaObj->setButtonType( stripslashes($row["button_type"]) );
						$PayPerPostMetaObj->setPrice( stripslashes($row["price"]) );
						$PayPerPostMetaObj->setAccessDays( stripslashes($row["access_days"]) );
						$PayPerPostMetaObj->setBtnAboveText( $row["btn_above_text"] );
						$PayPerPostMetaObj->setBtnText( $row["btn_text"] );
						$PayPerPostMetaObj->setShoppingCart( $row["shoppingcart"] );
						$PayPerPostMetaObj->setBuyLink( $row["buylink"] );
						$PayPerPostMetaObj->setDate( $row["date"] );
						
						$button_type = $row["button_type"];
						$post_id = $row["post_id"];
						
						$postMeta_id_exist = Dap_PayPerPostMeta::loadPayPerPostMetaByPostIdAndButtonType($post_id, $button_type);
						
						if(isset($postMeta_id_exist)){
							
							$PayPerPostMetaObj->setId($postMeta_id_exist->getId());
							$edit_id = $PayPerPostMetaObj->update();	
							$edit_id = $id_exist->getId();	
							$action = 'update';	 
							$msg = "Update successfully";
						}else{
							
							$edit_id = $PayPerPostMetaObj->create();			
							$action = 'create';
							$msg = "Save successfully";
						}
						
						
						
						$outputMeta[] = array('edit_id'=>$edit_id,'action' => $action,'msg'=>$msg,'success'=>true);	
					}
					foreach($get_all_data_type as $button_type){
							Dap_PayPerPostMeta::DeletePayPerPostMetaByPostIdAndButtonType($post_id, $button_type);
							$delete_type[] = $button_type;
					}
					$outputMeta[] = array('delete_type'=>$delete_type);	
					
					
				}
				
			}
			
			
		$output = array('edit_id'=>$edit_id,'action' => $action,'msg'=>$msg1,'success'=>true,'$outputMeta' =>$outputMeta);	
	
	}else{
		$output = array('error'=>'something Wrong!');	
	}
	echo json_encode($output);die;
}

// save the pay-per-post button settings
add_action( 'wp_ajax_savePayPerPostButtonCustomizerAjax', 'savePayPerPostButtonCustomizerAjax' );
function savePayPerPostButtonCustomizerAjax(){
	 
		$buy_btn_option = '';
		if(isset($_POST['buy_btn_option'])){
			$buy_btn_option = stripslashes($_POST['buy_btn_option']);
		}
		
		$rent_btn_option = '';
		if(isset($_POST['rent_btn_option'])){
			$rent_btn_option = stripslashes($_POST['rent_btn_option']);
		}
		
		$membership_btn_option = '';
		if(isset($_POST['membership_btn_option'])){
			$membership_btn_option = ($_POST['membership_btn_option']);
		}
		
		$buy_btn_html = '';
		if(isset($_POST['buy_btn_html'])){
			$buy_btn_html = stripslashes($_POST['buy_btn_html']);
		}
		$rent_btn_html = '';
		if(isset($_POST['rent_btn_html'])){
			$rent_btn_html = stripslashes($_POST['rent_btn_html']);
		}
		$membership_btn_html = '';
		if(isset($_POST['membership_btn_html'])){
			$membership_btn_html = stripslashes($_POST['membership_btn_html']);
		}		 
	  
        $obj = new DAP_PayPerPostCustomizer();
		
			
		$button_type ="buynow";
		$button_type1="rent";
		$button_type2 ="membership";
		
		 if($button_type =="buynow"){
			$obj->setButtonType($button_type);
			$obj->setButtonHtml( $buy_btn_html);
			$obj->setButtonCustomizer($buy_btn_option);	
			 
			$id_hash = DAP_PayPerPostCustomizer::loadByType($button_type);
			
			if(isset($id_hash)){
				 
				$edit_id =$id_hash->getId();
				$obj->setId($edit_id);
				$edit_id = $obj->update();
				$message = 'Update Sucessfully';
			}else{
			 
				$edit_id = $obj->create();		  
				$message = 'Save successfully';
			}
		 }
		 
		 if($button_type1 =="rent"){
			$obj->setButtonType($button_type1);
			$obj->setButtonHtml( $rent_btn_html);
			$obj->setButtonCustomizer($rent_btn_option);	
			 $id_hash = DAP_PayPerPostCustomizer::loadByType($button_type1);
			 if(isset($id_hash)){
				$edit_id =$id_hash->getId();
				$obj->setId($edit_id);
				$edit_id = $obj->update();
				$message = 'Update Sucessfully';
			}else{
				$edit_id = $obj->create();		  
				$message = 'Save successfully';
			}
		 }
		 
		 if($button_type2 =="membership"){
			$obj->setButtonType($button_type2);
			$obj->setButtonHtml( $membership_btn_html);
			$obj->setButtonCustomizer($membership_btn_option);	
			$id_hash = DAP_PayPerPostCustomizer::loadByType($button_type2);
			if(isset($id_hash)){
				$edit_id =$id_hash->getId();
				$obj->setId($edit_id);
				$edit_id = $obj->update();
				$message = 'Update Sucessfully';
			}else{
				$edit_id = $obj->create();		  
				$message = 'Save successfully';
			}
		 }
	 
       
		echo $message;
		die;
}


add_action( 'wp_ajax_dap_member_login_save_to_config', 'dap_member_login_save_to_config' );

function dap_member_login_save_to_config(){
	$pageId = $_REQUEST['page_id'];
	global $lldocroot;
	include ($lldocroot . "/dap/dap-config.php"); 
	
	$pageUrl = get_permalink($pageId);
	
	Dap_Config::updateConfigName("LOGIN_URL", $pageUrl, "N") ;	
	
}

/*engagement page start*/

add_action( 'wp_ajax_dapBuiltOwnPreviewAjax', 'dapBuiltOwnPreviewAjax' );
function dapBuiltOwnPreviewAjax(){
	$html = $_REQUEST['html'];
	$hideList = $_REQUEST['hideList'];
	
	$dap_cdata = Dap_Product::loadProductByProductType("y");
	
	$finalHtml = '';
	
	foreach($dap_cdata as $data){
		if(!in_array($data->getId() ,$hideList)){
			$finalHtml .= $html;	
			$finalHtml = str_replace('%%PRODUCT_NAME%%' ,$data->getName(), $finalHtml); 
		}
	}
	echo stripslashes($finalHtml);die;
		
}


add_action( 'wp_ajax_dapSaveBuiltOwnDataAjax', 'dapSaveBuiltOwnDataAjax' );
function dapSaveBuiltOwnDataAjax(){
	
	$output = array();
	
	$id = $_REQUEST['id'];	
	$template = $_REQUEST['html'];	
	$hideList = $_REQUEST['hideList'];
	$name = $_REQUEST['name'];
	$type = $_REQUEST['type'];
	$customized_values = $_REQUEST['customizedValues'];
	$template_num = $_REQUEST['template_num'];
	$showSlider = $_REQUEST['showSlider'];
	$num_of_products = $_REQUEST['num_of_products'];
	$template_type = $_REQUEST['template_type'];

	$total_no_item = $_REQUEST['total_no_item'];
	
	$template_html = '';
	if(isset($_REQUEST['template_html'])){
		$template_html = urldecode($_REQUEST['template_html']);
	}
	
	
	$template = '';
	if(isset($_REQUEST['html'])){
		$template = urldecode($_REQUEST['html']);
	}
	
	$mangeEngagement = new DAP_MemberEngagement();
	$mangeEngagement->setName($name);
	$mangeEngagement->setTemplate($template);
	$mangeEngagement->setCustomizedValues($customized_values);
	$mangeEngagement->setTemplateNum($template_num);
	$mangeEngagement->setType($type);
	
	$id_hash = null;  
	if($id != 0 || $id != ''){
		$id_hash = DAP_MemberEngagement::loadById($id);  
	}

	
	if(isset($id_hash)){
		$mangeEngagement->setId($id);
		$engagement_id = $mangeEngagement->update();
		$engagement_id = $id;
		$output['engagement_action'] = "update";
	}else{
		$output['engagement_action'] = "create";
		$engagement_id = $mangeEngagement->create();
	}
	
 $output['engagement_id'] = $engagement_id;
	$hideList = '';
	if(isset($_REQUEST['hideList'])){
		$hideList = implode(',', $_REQUEST['hideList']);
	}

	$engagement_edit_id_new = $engagement_id;
	
	$section_template_no = '';
	if(isset($_REQUEST['section_template_no'])){
		$section_template_no = $_REQUEST['section_template_no'];
	}
	
	
	$mangeEngagementRules = new DAP_MemberEngagementRules();
	$mangeEngagementRules->setEngagementId($engagement_id);
	$mangeEngagementRules->setDisplayOption($template_type);
	$mangeEngagementRules->setHideList($hideList);
	$mangeEngagementRules->setStatus('yes');
	$mangeEngagementRules->setShowSlider($showSlider);
	$mangeEngagementRules->setNumOfProducts($num_of_products);
	$mangeEngagementRules->setTemplateHtml($template_html);
	$mangeEngagementRules->setCustomValues('');
	$mangeEngagementRules->setTotalNumOfProducts($total_no_item);
	$mangeEngagementRules->setTemplateNum($section_template_no);
	
	$em_rule_id_hash = DAP_MemberEngagementRules::loadByEngagementIdAndDisplayOption($engagement_edit_id_new, $template_type);  
	
	if(isset($em_rule_id_hash)){
		$mangeEngagementRules->updateByEngagementIdAndDisplayOption();
	}else{
		 $mangeEngagementRules->create();
	}
	
	echo json_encode($output);
	die;
	
}




// engagement  functions 
add_action( 'wp_ajax_save_dap_member_engagement_save_by_template', 'ajaxDapMemberEngagementSaveByTemplate' );

function ajaxDapMemberEngagementSaveByTemplate(){
	$result = array();
	if(isset($_POST)){
		$result = DAPWithoutAjaxDapMemberEngagementSaveByTemplate($_POST);
	}
	
	echo json_encode($result);
	die	;
}

function DAPWithoutAjaxDapMemberEngagementSaveByTemplate($data_array){
	$result = array();
	if(is_array($data_array) && count($data_array)){
		$_POST = $data_array;
		$template_html = '';
		if(isset($_POST['template_html'])){
			if(isset($_POST['dap_temp_automatic']) && ($_POST['dap_temp_automatic'] == 'yes')){
				$template_html = $_POST['template_html'];
			}else{
				$template_html = urldecode($_POST['template_html']);
			}
		}
		
		$seleted_template = '';
		if(isset($_POST['seleted_template'])){
			$seleted_template = $_POST['seleted_template'];
		}
		
		
		$engagement_edit_id = 0;
		if(isset($_POST['engagement_edit_id'])){
			$engagement_edit_id = $_POST['engagement_edit_id'];
		}
		
		$customizer_values = '';
		if(isset($_POST['customizer_values'])){
			$customizer_values = $_POST['customizer_values'];
		}
		
		$engagement_name = '';
		if(isset($_POST['engagement_name'])){
			$engagement_name = $_POST['engagement_name'];
		}
		
		
		
		if(isset($_POST['display_section_array']) && is_array($_POST['display_section_array']) && count($_POST['display_section_array'])){
			$display_section_array = $_POST['display_section_array'];
			
		}
		
		$memberEngagementObj = new DAP_MemberEngagement();
		$memberEngagementObj->setName($engagement_name);
		$memberEngagementObj->setTemplate($template_html);
		$memberEngagementObj->setCustomizedValues($customizer_values);
		$memberEngagementObj->setTemplateNum($seleted_template);
		$memberEngagementObj->setType('build_in');
		
		$id_hash = null;  
		if($engagement_edit_id != 0 || $engagement_edit_id != ''){
			$id_hash = DAP_MemberEngagement::loadById($engagement_edit_id);  
		}
		if(isset($id_hash)){
			$memberEngagementObj->setId($engagement_edit_id);
			//print_r($MemberEngagementObj);die;
			$memberEngagementObj->update();
			$result['action'] = 'update';
			$result['engagement_edit_id'] = $engagement_edit_id;      
		}else{
			
			$engagement_edit_id = $memberEngagementObj->create();
			$result['action'] = 'create';
			$result['engagement_edit_id'] = $engagement_edit_id;
		}
		
		$result['engagement_edit_id'] = $engagement_edit_id;	
		$shortcode_html = '<div class="">';
		$shortcode_html .= '<span class="check_heading">Here is your Engagement Shortcode:</span><br>';
		$shortcode_html .= '<span id="dynamic_copyable_text_login" class="d-inline shortcode_display">';
										
		$shortcode_html .= dap_member_engagement_shortcode_name($engagement_edit_id);
		$shortcode_html .= '</span>';
		$shortcode_html .= '<span data-id="dynamic_copyable_text_login" class="copy-btn theme-button" onclick="dap_member_copy_to_clipboard(this)">Copy</span>';
		$shortcode_html .= '</div>';
		$shortcode_html .= '<span class="dap_text_span"><br>You can publish it on any page to create an instant dashboard page with all the engagement elements you customized in the previous tab.</span>';
		
		$result['shortcode_html'] = $shortcode_html;	
		$engagement_edit_id_new = $engagement_edit_id;
		// display rules
		$id_hash = DAP_MemberEngagement::loadById($engagement_edit_id_new);  
		if(isset($id_hash)){
			if(isset($_POST['display_section_array']) && is_array($_POST['display_section_array']) && count($_POST['display_section_array'])){
				$display_section_array = $_POST['display_section_array'];
				foreach($display_section_array as $display_section){
					$name = $display_section['name'];
					$value = $display_section['value'];
					$hide_any_course = $display_section['hide_any_course'];
					$show_course_ids = $display_section['show_course_ids'];
					$hide_course_ids = $display_section['hide_course_ids'];
					$sorting_option = $display_section['sorting_option'];
					$sorted_products = $display_section['sorted_products_list'];
					$show_list = implode(',',$show_course_ids);
					$hide_list = '';
					if($hide_any_course == 'yes'){
						$hide_list = implode(',',$hide_course_ids);
					}					
					if($sorting_option =="self_arrange"){
						$sorted_products_list = implode(',',$sorted_products);						 
					}
					$no_of_row = (int)$display_section['no_of_row'];
					$dispaly_row_type = $display_section['dispaly_row_type'];
					
					$total_no_item = (int)$display_section['total_no_item'];
					$template_no = $display_section['template_no'];
					$custom_values = $display_section['custom_values'];
					$template_section_html = $display_section['template_section_html'];
					
					if(isset($_POST['dap_temp_automatic']) && ($_POST['dap_temp_automatic'] == 'yes')){
						$template_section_html = $template_section_html;	
					}else{
						$template_section_html = urldecode($template_section_html);	
					}
								
					
					$memberEngagementRulesObj = new DAP_MemberEngagementRules();
					$memberEngagementRulesObj->setEngagementId($engagement_edit_id_new);
					$memberEngagementRulesObj->setDisplayOption($name);
					$memberEngagementRulesObj->setHideList($hide_list);
					$memberEngagementRulesObj->setShowList($show_list);
					$memberEngagementRulesObj->setStatus($value);
					$memberEngagementRulesObj->setShowSlider($dispaly_row_type);
					$memberEngagementRulesObj->setNumOfProducts($no_of_row);
					$memberEngagementRulesObj->setTemplateNum($template_no);  
					$memberEngagementRulesObj->setTotalNumOfProducts($total_no_item);   
					$memberEngagementRulesObj->setTemplateHtml($template_section_html);    
					$memberEngagementRulesObj->setCustomValues($custom_values);    
					$memberEngagementRulesObj->setSortingOption($sorting_option);    
					$memberEngagementRulesObj->setSortedProductsList($sorted_products_list);  				
					
					$em_rule_id_hash = DAP_MemberEngagementRules::loadByEngagementIdAndDisplayOption($engagement_edit_id_new, $name);  
					if(isset($em_rule_id_hash)){						
						$memberEngagementRulesObj->updateByEngagementIdAndDisplayOption();						
						$result['rules'][$name]['action'] = 'update';
						
						//$result['rules'][$name]['obj'] = $memberEngagementRulesObj;
						//$result['rules'][$name]['engagement_edit_id'] = $engagement_edit_id_new;
					}else{						
						$engagement_edit_id = $memberEngagementRulesObj->create();
						$result['rules'][$name]['action'] = 'create';
						
						//$result['rules'][$name]['obj'] = $memberEngagementRulesObj;
						//$result['rules'][$name]['engagement_edit_id'] = $engagement_edit_id_new;
					}
					
				}
			}
			
		}
		
	}else{
		
		$result['error'] = 'Something wrong';	
	}
	
	return $result; 
	
}


   
function DapMemberEngagementSaveByTemplateAutomatic($engagement_name){
	    
	    $site_url = site_url();
		$display_section_array[0]['value'] = 'yes'; 
		$display_section_array[0]['name'] = 'course_completed'; 
		$display_section_array[0]['hide_any_course'] = 'no'; 
		$display_section_array[0]['sorting_option'] = 'id_asc'; 
		$display_section_array[0]['sorted_products_list'] = 'all'; 
		$display_section_array[0]['no_of_row'] = '3'; 
		$display_section_array[0]['dispaly_row_type'] = 'slider'; 
		$display_section_array[0]['total_no_item'] = '3'; 
		$display_section_array[0]['template_no'] = 'verticle_temp'; 
		$display_section_array[0]['template_section_html'] = '<div class="completed-course-icon ui-resizable"> <span class="dme_backend_show"><img src="'.$site_url.'/wp-content/plugins/DAP-WP-LiveLinks/includes/templates/engagement/template1/images/placeholder.jpg"></span> <span class="dme_backend_hide">%%PRODUCTIMAGE%%</span></div><div class="completed-course-content "><div class="dap_member_tiny_editor dap_course_name mce-content-body" id="mce_9" contenteditable="true" spellcheck="false" style="position: relative;"><div>%%COURSE%%</div></div><div class="dap_btn_container "> <a href="%%DAP_SALE_PAGE_URL%%" target="_blank" class="dap_sale_page_url"><div class="btn access_content access_content_btn dap_member_tiny_editor mce-content-body" style="background-color: rgb(111, 128, 185); border-color: rgb(111, 128, 185); position: relative;" id="mce_10" contenteditable="true" spellcheck="false"><div>Access Content</div></div></a></div></div>'; 
		$display_section_array[0]['custom_values'] = ''; 


		$display_section_array[1]['value'] = 'yes'; 
		$display_section_array[1]['name'] = 'course_inprogress'; 
		$display_section_array[1]['hide_any_course'] = 'no'; 
		$display_section_array[1]['sorting_option'] = 'id_asc'; 
		$display_section_array[1]['sorted_products_list'] = 'all'; 
		$display_section_array[1]['no_of_row'] = '3'; 
		$display_section_array[1]['dispaly_row_type'] = 'all'; 
		$display_section_array[1]['total_no_item'] = ''; 
		$display_section_array[1]['template_no'] = 'verticle_temp'; 
		$display_section_array[1]['template_section_html'] = '<div class="progress-bar-value dap_member_tiny_editor mce-content-body" id="mce_5" contenteditable="true" spellcheck="false" style="position: relative;"><div>%%COURSE%%</div></div><div class="progress-bar-ot" style="background-color: rgb(217, 213, 205);"><div class="progress-bar-fill" style="width: 75%; background-color: rgb(52, 169, 13);">75%</div></div><div class="dap_btn_container "> <a href="%%DAP_SALE_PAGE_URL%%" class="dap_sale_page_url" target="_blank"><div class="btn access_content access_content_btn dap_member_tiny_editor mce-content-body" style="background-color: rgb(111, 128, 185); border-color: rgb(111, 128, 185); position: relative;" id="mce_6" contenteditable="true" spellcheck="false"><div>Access Content</div></div></a></div> <small><div class="dap_member_tiny_editor mce-content-body" id="mce_7" contenteditable="true" spellcheck="false" style="position: relative;"><div>%%LESSONCOMPLETED%% out of %%TOTALLESSONS%% completed</div></div></small>'; 
		$display_section_array[1]['custom_values'] = ''; 

		$display_section_array[2]['value'] = 'yes'; 
		$display_section_array[2]['name'] = 'course_enrolled'; 
		$display_section_array[2]['hide_any_course'] = 'no'; 
		$display_section_array[2]['sorting_option'] = 'id_asc'; 
		$display_section_array[2]['sorted_products_list'] = 'all'; 
		$display_section_array[2]['no_of_row'] = '3'; 
		$display_section_array[2]['dispaly_row_type'] = 'slider'; 
		$display_section_array[2]['total_no_item'] = '3'; 
		$display_section_array[2]['template_no'] = 'verticle_temp'; 
		$display_section_array[2]['template_section_html'] = '<div class="completed-course-icon ui-resizable"> <span class="dme_backend_show"><img src="'.$site_url.'/wp-content/plugins/DAP-WP-LiveLinks/includes/templates/engagement/template1/images/placeholder.jpg"></span> <span class="dme_backend_hide">%%PRODUCTIMAGE%%</span></div><div class="completed-course-content "><div class="dap_member_tiny_editor dap_course_name mce-content-body" id="mce_12" contenteditable="true" spellcheck="false" style="position: relative;"><div>%%COURSE%%</div></div><div class="dap_btn_container "> <a href="%%DAP_SALE_PAGE_URL%%" class="dap_sale_page_url" target="_blank"><div class="btn access_content access_content_btn dap_member_tiny_editor mce-content-body" style="background-color: rgb(111, 128, 185); border-color: rgb(111, 128, 185); position: relative;" id="mce_13" contenteditable="true" spellcheck="false"><div>Access Content</div></div></a></div></div>'; 
		$display_section_array[2]['custom_values'] = ''; 

		$display_section_array[3]['value'] = 'yes'; 
		$display_section_array[3]['name'] = 'course_upsell'; 
		$display_section_array[3]['hide_any_course'] = 'no'; 
		$display_section_array[3]['sorting_option'] = 'id_asc'; 
		$display_section_array[3]['sorted_products_list'] = 'all'; 
		$display_section_array[3]['no_of_row'] = '3'; 
		$display_section_array[3]['dispaly_row_type'] = 'slider'; 
		$display_section_array[3]['total_no_item'] = '3'; 
		$display_section_array[3]['template_no'] = 'verticle_temp'; 
		$display_section_array[3]['template_section_html'] = '<div class="completed-course-icon ui-resizable"><div class="not_enrolled_label dap_member_tiny_editor mce-content-body" id="mce_15" contenteditable="true" spellcheck="false" style="background-color: rgb(255, 0, 0); position: relative;">NOT ENROLLED</div> <span class="dme_backend_show"><img src="'.$site_url.'/wp-content/plugins/DAP-WP-LiveLinks/includes/templates/engagement/template1/images/placeholder.jpg"></span> <span class="dme_backend_hide">%%PRODUCTIMAGE%%</span></div><div class="completed-course-content "><div class="dap_member_tiny_editor dap_course_name mce-content-body" id="mce_16" contenteditable="true" spellcheck="false" style="position: relative;"><div>%%COURSE%%</div></div><div class="dap_btn_container "> <a href="%%DAP_SALE_PAGE_URL%%" class="dap_sale_page_url" target="_blank"><div class="btn access_content cp_learn_more_content_btn dap_member_tiny_editor mce-content-body" style="background-color: rgb(111, 128, 185); border-color: rgb(111, 128, 185); position: relative;" id="mce_17" contenteditable="true" spellcheck="false"><div>Learn More</div></div></a></div></div>'; 
		$display_section_array[3]['custom_values'] = ''; 

		$display_section_array[4]['value'] = 'yes'; 
		$display_section_array[4]['name'] = 'normal_products'; 
		$display_section_array[4]['hide_any_course'] = 'no'; 
		$display_section_array[4]['sorting_option'] = 'id_asc'; 
		$display_section_array[4]['sorted_products_list'] = 'all'; 
		$display_section_array[4]['no_of_row'] = '3'; 
		$display_section_array[4]['dispaly_row_type'] = 'slider'; 
		$display_section_array[4]['total_no_item'] = '3'; 
		$display_section_array[4]['template_no'] = 'verticle_temp'; 
		$display_section_array[4]['template_section_html'] = '<div class="completed-course-icon ui-resizable"> <span class="dme_backend_show"><img src="'.$site_url.'/wp-content/plugins/DAP-WP-LiveLinks/includes/templates/engagement/template1/images/placeholder.jpg"></span> <span class="dme_backend_hide">%%PRODUCTIMAGE%%</span></div><div class="completed-course-content "><div class="dap_member_tiny_editor dap_course_name mce-content-body" id="mce_19" contenteditable="true" spellcheck="false" style="position: relative;"><div>%%PRODUCT%%</div></div><div class="dap_btn_container "> <a href="%%DAP_SALE_PAGE_URL%%" class="dap_sale_page_url" target="_blank"><div class="btn access_content access_content_btn dap_member_tiny_editor mce-content-body" style="background-color: rgb(111, 128, 185); border-color: rgb(111, 128, 185); position: relative;" id="mce_20" contenteditable="true" spellcheck="false"><div>Access Content</div></div></a></div></div>'; 
		$display_section_array[4]['custom_values'] = ''; 

		$display_section_array[5]['value'] = 'yes'; 
		$display_section_array[5]['name'] = 'upsell_products'; 
		$display_section_array[5]['hide_any_course'] = 'no'; 
		$display_section_array[5]['sorting_option'] = 'id_asc'; 
		$display_section_array[5]['sorted_products_list'] = 'all'; 
		$display_section_array[5]['no_of_row'] = '3'; 
		$display_section_array[5]['dispaly_row_type'] = 'slider'; 
		$display_section_array[5]['total_no_item'] = '3'; 
		$display_section_array[5]['template_no'] = 'verticle_temp'; 
		$display_section_array[5]['template_section_html'] = '<div class="completed-course-icon ui-resizable"><div class="not_enrolled_label dap_member_tiny_editor mce-content-body" id="mce_22" contenteditable="true" spellcheck="false" style="background-color: rgb(255, 0, 0); position: relative;">Might be interested</div> <span class="dme_backend_show"><img src="'.$site_url.'/wp-content/plugins/DAP-WP-LiveLinks/includes/templates/engagement/template1/images/placeholder.jpg"></span> <span class="dme_backend_hide">%%PRODUCTIMAGE%%</span></div><div class="completed-course-content "><div class="dap_member_tiny_editor dap_course_name mce-content-body" id="mce_23" contenteditable="true" spellcheck="false" style="position: relative;"><div>%%PRODUCT%%</div></div><div class="dap_btn_container "> <a href="%%DAP_SALE_PAGE_URL%%" class="dap_sale_page_url" target="_blank"><div class="btn access_content pup_learn_more_content_btn dap_member_tiny_editor mce-content-body" style="background-color: rgb(111, 128, 185); border-color: rgb(111, 128, 185); position: relative;" id="mce_24" contenteditable="true" spellcheck="false"><div>Learn More</div></div></a></div></div>'; 
		$display_section_array[5]['custom_values'] = '';


		$display_section_array[6]['value'] = 'yes'; 
		$display_section_array[6]['name'] = 'points'; 
		$display_section_array[6]['sorted_products_list'] = 'all'; 
		$display_section_array[6]['no_of_row'] = ''; 
		$display_section_array[6]['dispaly_row_type'] = ''; 
		$display_section_array[6]['total_no_item'] = ''; 
		$display_section_array[6]['template_section_html'] = ''; 
		$display_section_array[6]['custom_values'] = 'no';



		$display_section_array[7]['value'] = 'yes'; 
		$display_section_array[7]['name'] = 'all_badges'; 
		$display_section_array[7]['sorted_products_list'] = 'all'; 
		$display_section_array[7]['no_of_row'] = '5'; 
		$display_section_array[7]['dispaly_row_type'] = ''; 
		$display_section_array[7]['total_no_item'] = ''; 
		$display_section_array[7]['template_section_html'] = ''; 
		$display_section_array[7]['custom_values'] = '';

		$display_section_array[8]['value'] = 'yes'; 
		$display_section_array[8]['name'] = 'all_certificates'; 
		$display_section_array[8]['sorted_products_list'] = 'all'; 
		$display_section_array[8]['no_of_row'] = '5'; 
		$display_section_array[8]['dispaly_row_type'] = ''; 
		$display_section_array[8]['total_no_item'] = ''; 
		$display_section_array[8]['template_section_html'] = '<div class="progress-bar-value dap_member_tiny_editor mce-content-body" id="mce_32" contenteditable="true" spellcheck="false" style="position: relative;"><div style="text-align: center;" data-mce-style="text-align: center;">%%COURSE%%</div></div><div class="certificate_container_wrapper"><div class=" certificate_section dme_backend_show"><div class="certificate_container "> <a class="certDownloadBtn" href="javascript:void(0)"><div class="dap_btn_container download_certificate_button" style="border-color: rgb(3, 169, 244); background-color: rgb(3, 169, 244);"><div>Download Certificate</div></div> </a></div></div><div class=" certificate_section dme_backend_hide">%%CERTIFICATESSECTION%%</div></div>'; 
		$display_section_array[8]['custom_values'] = '';



		$display_section_array[9]['value'] = 'yes'; 
		$display_section_array[9]['name'] = 'recent_activites'; 
		$display_section_array[9]['sorted_products_list'] = 'all'; 
		$display_section_array[9]['no_of_row'] = ''; 
		$display_section_array[9]['dispaly_row_type'] = ''; 
		$display_section_array[9]['total_no_item'] = '5'; 
		$display_section_array[9]['template_section_html'] = '<div class="dap_member_tiny_editor recent_ativity_customizer_row mce-content-body" id="mce_35" contenteditable="true" spellcheck="false" style="position: relative;"><div>Earned %%POINTS%% point(s) %%ACTION_NAME%% %%DAYSAGO%%</div></div>'; 
		$display_section_array[9]['custom_values'] = '';


		$display_section_array[10]['value'] = 'yes'; 
		$display_section_array[10]['name'] = 'member_profile'; 
		$display_section_array[10]['sorted_products_list'] = 'all'; 
		$display_section_array[10]['no_of_row'] = ''; 
		$display_section_array[10]['dispaly_row_type'] = ''; 
		$display_section_array[10]['total_no_item'] = ''; 
		$display_section_array[10]['template_section_html'] = '<figure class="dap_member-info-img dme_backend_show ui-resizable"> <img src="'.$site_url.'/wp-content/plugins/DAP-WP-LiveLinks/includes/templates/engagement/template1/images/user-profile.jpg" class="dme_backend_show"> <span class="dap_member-info-img-change"><i class="fa fa-camera" aria-hidden="true"></i></span> </figure> <figure class="dap_member-info-img dme_backend_hide ui-resizable"> %%USERIMG%% <span class="dap_member-info-img-change"><i class="fa fa-camera" aria-hidden="true"></i></span> </figure><div class="dap_member-info-content"><div class="dap_member_tiny_editor dap_user_name mce-content-body" id="mce_0" contenteditable="true" spellcheck="false" style="position: relative;"><div>%%USER_NAME%%</div></div><div class="dap_user_email dap_member_tiny_editor mce-content-body" id="mce_2" contenteditable="true" spellcheck="false" style="position: relative;"><div>%%USER_EMAIL%%</div></div> <a href="" class="edit-profile-btn dap_member_tiny_editor mce-content-body" id="mce_3" style="background-color: rgb(2, 199, 166); border-color: rgb(2, 199, 166); position: relative;" contenteditable="true" spellcheck="false">Edit Profile</a></div>'; 
		$display_section_array[10]['custom_values'] = '||yes';

		$data = array();

		$data['display_section_array'] = $display_section_array;
		$data['template_html'] = '<main class="dap_member_engagement-main dap_member_engagement_template_outer "><div class="dap_member_engagement-inner" style="border-color: rgb(255, 255, 255); box-shadow: rgb(222, 222, 222) 0px 0px 15px 0px;"><div class="dap_member_engagement-left dap_member_drap_drop_parent_class ui-sortable" style="background-color: rgb(255, 255, 255);"><div class="dap_member-info dap_m_engagement-inner-item dap_member_temp_member_profile_section ui-sortable-handle" style="display: flex;"> <figure class="dap_member-info-img dme_backend_show ui-resizable"> <img src="'.$site_url.'/wp-content/plugins/DAP-WP-LiveLinks/includes/templates/engagement/template1/images/user-profile.jpg" class="dme_backend_show"> <span class="dap_member-info-img-change"><i class="fa fa-camera" aria-hidden="true"></i></span> </figure> <figure class="dap_member-info-img dme_backend_hide ui-resizable"> %%USERIMG%% <span class="dap_member-info-img-change"><i class="fa fa-camera" aria-hidden="true"></i></span> </figure><div class="dap_member-info-content"><div class="dap_member_tiny_editor dap_user_name mce-content-body" id="mce_0" contenteditable="true" spellcheck="false" style="position: relative;"><div>%%USER_NAME%%</div></div><div class="dap_user_email dap_member_tiny_editor mce-content-body" id="mce_2" contenteditable="true" spellcheck="false" style="position: relative;"><div>%%USER_EMAIL%%</div></div> <a href="" class="edit-profile-btn dap_member_tiny_editor mce-content-body" id="mce_3" style="background-color: rgb(2, 199, 166); border-color: rgb(2, 199, 166); position: relative;" contenteditable="true" spellcheck="false">Edit Profile</a></div></div><div class="dap_m_engagement-card dap_m_engagement-inner-item dap_member_template_drag_drop_item dap_member_course_they_started_but_not_complete_section template_progress dap_member_temp_course_inprogress_section ui-sortable-handle" style="display: inline-block;"><h3 class="dap_m_engagement-card-title "><div class="dap_member_tiny_editor mce-content-body" id="mce_4" contenteditable="true" spellcheck="false" style="position: relative;"><div>In-Progress Courses</div></div><div class="tool-tip dme_backend_show course_name_tool_trip"> <i class="fa fa-info-circle" aria-hidden="true"></i><div class="toll-tip-desc">( Click on "%%COURSE%%" to customize the style ) <br> Access Content button will link to whatever URL you have in DAP Products &gt;&gt; Advanced Tab &gt;&gt; Redirect URL field.</div></div></h3><div class="progress-bar-outer dme_backend_show"><div class="progress-bar-value dap_member_tiny_editor mce-content-body" id="mce_5" contenteditable="true" spellcheck="false" style="position: relative;"><div>%%COURSE%%</div></div><div class="progress-bar-ot" style="background-color: rgb(217, 213, 205);"><div class="progress-bar-fill" style="width: 75%; background-color: rgb(52, 169, 13);">75%</div></div><div class="dap_btn_container "> <a href="%%DAP_SALE_PAGE_URL%%" class="dap_sale_page_url" target="_blank"><div class="btn access_content access_content_btn dap_member_tiny_editor mce-content-body" style="background-color: rgb(111, 128, 185); border-color: rgb(111, 128, 185); position: relative;" id="mce_6" contenteditable="true" spellcheck="false"><div>Access Content</div></div></a></div> <small><div class="dap_member_tiny_editor mce-content-body" id="mce_7" contenteditable="true" spellcheck="false" style="position: relative;"><div>%%LESSONCOMPLETED%% out of %%TOTALLESSONS%% completed</div></div></small></div><div class="progress-bar-outer dme_backend_hide">%%COURSE_STARTED_BUT_NOT_COMPETE%%</div></div><div class="dap_m_engagement-card dap_m_engagement-inner-item dap_member_template_drag_drop_item dap_member_temp_course_completed_section ui-sortable-handle" style="display: inline-block;"><div class="dap_m_title_outer "><h3 class="dap_m_engagement-card-title "><div class="dap_member_tiny_editor mce-content-body" id="mce_8" contenteditable="true" spellcheck="false" style="position: relative;"><div>Completed Courses</div></div><div class="tool-tip dme_backend_show course_name_tool_trip"> <i class="fa fa-info-circle" aria-hidden="true"></i><div class="toll-tip-desc">( Click on "%%COURSE%%" to customize the style ) <br> Access Content button will link to whatever URL you have in DAP Products &gt;&gt; Advanced Tab &gt;&gt; Redirect URL field.</div></div></h3> <span class="dap_display_options " data-toggle="modal" data-target="#myModalDisplayoptions_course_completed" data-value="course_completed" title="Display Options"> Display Options </span><span class="dap_edit_template " data-toggle="modal" data-target="#myModalStart" data-value="course_completed" title="Change the Template"> Change the Template </span></div><div class="completed-courses-list dme_backend_show verticle_temp" id="course_completed_section"><div class="completed-course-block first_section ui-resizable"><div class="completed-course-icon ui-resizable"> <span class="dme_backend_show"><img src="'.$site_url.'/wp-content/plugins/DAP-WP-LiveLinks/includes/templates/engagement/template1/images/placeholder.jpg"></span> <span class="dme_backend_hide">%%PRODUCTIMAGE%%</span></div><div class="completed-course-content "><div class="dap_member_tiny_editor dap_course_name mce-content-body" id="mce_9" contenteditable="true" spellcheck="false" style="position: relative;"><div>%%COURSE%%</div></div><div class="dap_btn_container "> <a href="%%DAP_SALE_PAGE_URL%%" target="_blank" class="dap_sale_page_url"><div class="btn access_content access_content_btn dap_member_tiny_editor mce-content-body" style="background-color: rgb(111, 128, 185); border-color: rgb(111, 128, 185); position: relative;" id="mce_10" contenteditable="true" spellcheck="false"><div>Access Content</div></div></a></div></div></div></div><div class="completed-courses-list dme_backend_hide %%COURSECOMPLETEDDAPENGAGEMENTTEMP%%">%%COURSE_COMPLETED%%</div></div><div class="dap_m_engagement-card dap_m_engagement-inner-item dap_member_template_drag_drop_item dap_member_temp_course_enrolled_section ui-sortable-handle" style="display: inline-block;"><div class="dap_m_title_outer "><h3 class="dap_m_engagement-card-title "><div class="dap_member_tiny_editor mce-content-body" id="mce_11" contenteditable="true" spellcheck="false" style="position: relative;"><div>Enrolled but NOT Started</div></div><div class="tool-tip dme_backend_show course_name_tool_trip"> <i class="fa fa-info-circle" aria-hidden="true"></i><div class="toll-tip-desc">( Click on "%%COURSE%%" to customize the style ) <br> Access Content button will link to whatever URL you have in DAP Products &gt;&gt; Advanced Tab &gt;&gt; Redirect URL field.</div></div></h3><span class="dap_display_options " data-toggle="modal" data-target="#myModalDisplayoptions_course_enrolled" data-value="course_enrolled" title="Display Options"> Display Options </span><span class="dap_edit_template " data-toggle="modal" data-target="#myModalStart" data-value="course_enrolled" title="Change the Template"> Change the Template </span></div><div class="completed-courses-list dme_backend_show verticle_temp" id="course_enrolled_section"><div class="completed-course-block first_section ui-resizable"><div class="completed-course-icon ui-resizable"> <span class="dme_backend_show"><img src="'.$site_url.'/wp-content/plugins/DAP-WP-LiveLinks/includes/templates/engagement/template1/images/placeholder.jpg"></span> <span class="dme_backend_hide">%%PRODUCTIMAGE%%</span></div><div class="completed-course-content "><div class="dap_member_tiny_editor dap_course_name mce-content-body" id="mce_12" contenteditable="true" spellcheck="false" style="position: relative;"><div>%%COURSE%%</div></div><div class="dap_btn_container "> <a href="%%DAP_SALE_PAGE_URL%%" class="dap_sale_page_url" target="_blank"><div class="btn access_content access_content_btn dap_member_tiny_editor mce-content-body" style="background-color: rgb(111, 128, 185); border-color: rgb(111, 128, 185); position: relative;" id="mce_13" contenteditable="true" spellcheck="false"><div>Access Content</div></div></a></div></div></div></div><div class="completed-courses-list dme_backend_hide %%COURSEENROLLEDDAPENGAGEMENTTEMP%%">%%COURSE_ENROLLED_BUT_NOT_START%%</div></div><div class="dap_m_engagement-card dap_m_engagement-inner-item dap_member_template_drag_drop_item dap_member_temp_course_upsell_section ui-sortable-handle" style="display: inline-block;"><div class="dap_m_title_outer "><h3 class="dap_m_engagement-card-title "><div class="dap_member_tiny_editor mce-content-body" id="mce_14" contenteditable="true" spellcheck="false" style="position: relative;"><div>Not Enrolled</div></div><div class="tool-tip dme_backend_show course_name_tool_trip"> <i class="fa fa-info-circle" aria-hidden="true"></i><div class="toll-tip-desc">( Click on "%%COURSE%%" to customize the style ) <br> Learn More button will link to whatever URL you have in DAP Products &gt;&gt; Advanced Tab &gt;&gt; Sales Page URL field.</div></div></h3><span class="dap_display_options " data-toggle="modal" data-target="#myModalDisplayoptions_course_upsell" data-value="course_upsell" title="Display Options"> Display Options </span><span class="dap_edit_template " data-toggle="modal" data-target="#myModalStart" data-value="course_upsell" title="Change the Template"> Change the Template </span></div><div class="completed-courses-list dme_backend_show verticle_temp" id="course_upsell_section"><div class="completed-course-block first_section ui-resizable"><div class="completed-course-icon ui-resizable"><div class="not_enrolled_label dap_member_tiny_editor mce-content-body" id="mce_15" contenteditable="true" spellcheck="false" style="background-color: rgb(255, 0, 0); position: relative;">NOT ENROLLED</div> <span class="dme_backend_show"><img src="'.$site_url.'/wp-content/plugins/DAP-WP-LiveLinks/includes/templates/engagement/template1/images/placeholder.jpg"></span> <span class="dme_backend_hide">%%PRODUCTIMAGE%%</span></div><div class="completed-course-content "><div class="dap_member_tiny_editor dap_course_name mce-content-body" id="mce_16" contenteditable="true" spellcheck="false" style="position: relative;"><div>%%COURSE%%</div></div><div class="dap_btn_container "> <a href="%%DAP_SALE_PAGE_URL%%" class="dap_sale_page_url" target="_blank"><div class="btn access_content cp_learn_more_content_btn dap_member_tiny_editor mce-content-body" style="background-color: rgb(111, 128, 185); border-color: rgb(111, 128, 185); position: relative;" id="mce_17" contenteditable="true" spellcheck="false"><div>Learn More</div></div></a></div></div></div></div><div class="completed-courses-list dme_backend_hide %%COURSEUPSELLDAPENGAGEMENTTEMP%%">%%COURSE_UPSELL%%</div></div><div class="dap_m_engagement-card dap_m_engagement-inner-item dap_member_template_drag_drop_item dap_member_temp_normal_products_section ui-sortable-handle" style="display: inline-block;"><div class="dap_m_title_outer "><h3 class="dap_m_engagement-card-title "><div class="dap_member_tiny_editor mce-content-body" id="mce_18" contenteditable="true" spellcheck="false" style="position: relative;"><div>Other Products and Services</div></div><div class="tool-tip dme_backend_show course_name_tool_trip"> <i class="fa fa-info-circle" aria-hidden="true"></i><div class="toll-tip-desc">( Click on "%%PRODUCT%%" to customize the style ) <br> Access Content button will link to whatever URL you have in DAP Products &gt;&gt; Advanced Tab &gt;&gt; Redirect URL field.</div></div></h3><span class="dap_display_options " data-toggle="modal" data-target="#myModalDisplayoptions_normal_products" data-value="normal_products" title="Display Options"> Display Options </span><span class="dap_edit_template " data-toggle="modal" data-target="#myModalStart" data-value="normal_products" title="Change the Template"> Change the Template </span></div><div class="completed-courses-list dme_backend_show verticle_temp" id="normal_products_section"><div class="completed-course-block first_section ui-resizable"><div class="completed-course-icon ui-resizable"> <span class="dme_backend_show"><img src="'.$site_url.'/wp-content/plugins/DAP-WP-LiveLinks/includes/templates/engagement/template1/images/placeholder.jpg"></span> <span class="dme_backend_hide">%%PRODUCTIMAGE%%</span></div><div class="completed-course-content "><div class="dap_member_tiny_editor dap_course_name mce-content-body" id="mce_19" contenteditable="true" spellcheck="false" style="position: relative;"><div>%%PRODUCT%%</div></div><div class="dap_btn_container "> <a href="%%DAP_SALE_PAGE_URL%%" class="dap_sale_page_url" target="_blank"><div class="btn access_content access_content_btn dap_member_tiny_editor mce-content-body" style="background-color: rgb(111, 128, 185); border-color: rgb(111, 128, 185); position: relative;" id="mce_20" contenteditable="true" spellcheck="false"><div>Access Content</div></div></a></div></div></div></div><div class="completed-courses-list dme_backend_hide %%NORMALPRODUCTDAPENGAGEMENTTEMP%%">%%NORMAL_PRODUCT%%</div></div><div class="dap_m_engagement-card dap_m_engagement-inner-item dap_member_template_drag_drop_item dap_member_temp_upsell_products_section ui-sortable-handle" style="display: inline-block;"><div class="dap_m_title_outer "><h3 class="dap_m_engagement-card-title "><div class="dap_member_tiny_editor mce-content-body" id="mce_21" contenteditable="true" spellcheck="false" style="position: relative;"><div>You might be interested in...</div></div><div class="tool-tip dme_backend_show course_name_tool_trip"> <i class="fa fa-info-circle" aria-hidden="true"></i><div class="toll-tip-desc">( Click on "%%PRODUCT%%" to customize the style ) ) <br> Learn More button will link to whatever URL you have in DAP Products &gt;&gt; Advanced Tab &gt;&gt; Sales Page URL field.</div></div></h3><span class="dap_display_options " data-toggle="modal" data-target="#myModalDisplayoptions_upsell_products" data-value="normal_products" title="Display Options"> Display Options </span><span class="dap_edit_template " data-toggle="modal" data-target="#myModalStart" data-value="upsell_products" title="Change the Template"> Change the Template </span></div><div class="completed-courses-list dme_backend_show verticle_temp" id="upsell_products_section"><div class="completed-course-block first_section ui-resizable"><div class="completed-course-icon ui-resizable"><div class="not_enrolled_label dap_member_tiny_editor mce-content-body" id="mce_22" contenteditable="true" spellcheck="false" style="background-color: rgb(255, 0, 0); position: relative;">Might be interested</div> <span class="dme_backend_show"><img src="'.$site_url.'/wp-content/plugins/DAP-WP-LiveLinks/includes/templates/engagement/template1/images/placeholder.jpg"></span> <span class="dme_backend_hide">%%PRODUCTIMAGE%%</span></div><div class="completed-course-content "><div class="dap_member_tiny_editor dap_course_name mce-content-body" id="mce_23" contenteditable="true" spellcheck="false" style="position: relative;"><div>%%PRODUCT%%</div></div><div class="dap_btn_container "> <a href="%%DAP_SALE_PAGE_URL%%" class="dap_sale_page_url" target="_blank"><div class="btn access_content pup_learn_more_content_btn dap_member_tiny_editor mce-content-body" style="background-color: rgb(111, 128, 185); border-color: rgb(111, 128, 185); position: relative;" id="mce_24" contenteditable="true" spellcheck="false"><div>Learn More</div></div></a></div></div></div></div><div class="completed-courses-list dme_backend_hide %%UPSELLPRODUCTSDAPENGAGEMENTTEMP%%">%%UPSELL_PRODUCTS%%</div></div></div><aside class="dap_member_engagement-sidebar dap_member_drap_drop_parent_class dap_member_course_points_section ui-sortable" style="background-color: rgb(247, 247, 247);"><div class="engagement-sidebar-card dap_m_engagement-inner-item dap_member_template_drag_drop_item dap_member_temp_points_section ui-sortable-handle" style="display: inline-block;"><h3 class="engagement-sidebar-heading "><div class="dap_member_tiny_editor mce-content-body" id="mce_25" contenteditable="true" spellcheck="false" style="position: relative;"><div>Points</div></div><div class="tool-tip dme_backend_show course_name_tool_trip"> <i class="fa fa-info-circle" aria-hidden="true"></i><div class="toll-tip-desc">( Click on "%%TODAY%%" and %%TOTAL%% to customize the style )</div></div></h3><div class="engagement-points-info"><div class="engagement-point-block"><h4 class="dap_member_tiny_editor mce-content-body" id="mce_26" contenteditable="true" spellcheck="false" style="position: relative;">%%TODAY%%</h4><div class="dap_member_tiny_editor dap_points_text mce-content-body" id="mce_27" contenteditable="true" spellcheck="false" style="position: relative;"><div>Today</div></div></div><div class="engagement-point-block"><h4 class="dap_member_tiny_editor mce-content-body" id="mce_28" contenteditable="true" spellcheck="false" style="position: relative;">%%TOTAL%%</h4><div class="dap_member_tiny_editor dap_points_text mce-content-body" id="mce_29" contenteditable="true" spellcheck="false" style="position: relative;"><div>Total</div></div></div></div></div><div class="engagement-sidebar-card dap_m_engagement-inner-item dap_member_template_drag_drop_item dap_member_badges_section dap_member_temp_all_badges_section ui-sortable-handle" style="display: inline-block;"><h3 class="engagement-sidebar-heading "><div class="dap_member_tiny_editor mce-content-body" id="mce_30" contenteditable="true" spellcheck="false" style="position: relative;"><div>Badges</div></div></h3><div class="engagement-badges-list dme_backend_show"><div id="achievement_level_wrapper"><div class="gop_bootstrap_outer"><ul class="dap_all_badges dap_engagement_ul"><li><div class="badge_box"> <img src="'.$site_url.'/wp-content/plugins/DAP-WP-LiveLinks/includes/templates/engagement/template1/images/badges_8.jpg" class="badge_image"></div></li><li><div class="badge_box"> <img src="'.$site_url.'/wp-content/plugins/DAP-WP-LiveLinks/includes/templates/engagement/template1/images/badges_9.jpg" class="badge_image"></div></li><li><div class="badge_box"> <img src="'.$site_url.'/wp-content/plugins/DAP-WP-LiveLinks/includes/templates/engagement/template1/images/badges_8.jpg" class="badge_image"></div></li></ul></div></div></div><div class="engagement-badges-list dme_backend_hide">%%BADGES%%</div></div><div class="dap_m_engagement-card dap_m_engagement-inner-item dap_member_template_drag_drop_item template_all_certificates dap_member_temp_all_certificates_section ui-sortable-handle" style="display: inline-block;"><h3 class="dap_m_engagement-card-title "><div class="dap_member_tiny_editor mce-content-body" id="mce_31" contenteditable="true" spellcheck="false" style="position: relative;"><div>Certificates</div></div><div class="tool-tip dme_backend_show course_name_tool_trip"> <i class="fa fa-info-circle" aria-hidden="true"></i><div class="toll-tip-desc">( Click on "%%COURSE%%" to customize the style )</div></div></h3><div class="progress-bar-outer dme_backend_show"><div class="progress-bar-value dap_member_tiny_editor mce-content-body" id="mce_32" contenteditable="true" spellcheck="false" style="position: relative;"><div style="text-align: center;" data-mce-style="text-align: center;">%%COURSE%%</div></div><div class="certificate_container_wrapper"><div class=" certificate_section dme_backend_show"><div class="certificate_container "> <a class="certDownloadBtn" href="javascript:void(0)"><div class="dap_btn_container download_certificate_button" style="border-color: rgb(3, 169, 244); background-color: rgb(3, 169, 244);"><div>Download Certificate</div></div> </a></div></div><div class=" certificate_section dme_backend_hide">%%CERTIFICATESSECTION%%</div></div></div><div class="progress-bar-outer dme_backend_hide">%%CERTIFICATES%%</div></div><div class="engagement-sidebar-card dap_m_engagement-inner-item dap_member_template_drag_drop_item dap_member_recent_activity_section dap_member_temp_recent_activites_section ui-sortable-handle" style="display: inline-block;"><h3 class="engagement-sidebar-heading "><div class="dap_member_tiny_editor mce-content-body" id="mce_33" contenteditable="true" spellcheck="false" style="position: relative;"><div>Recent Points Activity</div></div><div class="tool-tip dme_backend_show course_name_tool_trip"> <i class="fa fa-info-circle" aria-hidden="true"></i><div class="toll-tip-desc">( Click on "%%POINTS%%" to customize the style )</div></div></h3><div class="engagement-badges-list dap_member_tiny_editor dme_backend_hide mce-content-body" id="mce_34" contenteditable="true" spellcheck="false" style="position: relative;">%%RECENT_ACTIVITY%%</div><div class="engagement-badges-list dme_backend_show recent_ativity_customizer"><div class="dap_member_tiny_editor recent_ativity_customizer_row mce-content-body" id="mce_35" contenteditable="true" spellcheck="false" style="position: relative;"><div>Earned %%POINTS%% point(s) %%ACTION_NAME%% %%DAYSAGO%%</div></div></div></div> </aside></div> </main>';
		$data['seleted_template'] = 'template1';
		$data['engagement_edit_id'] = '';
		$data['customizer_values'] = 'no||#f7f7f7||#ffffff||-||none||1050||#ffffff||0||none||#ffffff||0||#ffffff|||#dedede||0||15||0||0|||400||80||70||70|||0||none||#6f80b9||5||#6f80b9|||0||none||#02c7a6||0||#02c7a6|||#d9d5cd||#34a90d|||top||#ff0000||0||none||#6f80b9||5||#6f80b9||top||#ff0000||0||none||#6f80b9||5||#6f80b9|||0||none||#03a9f4||0||#03a9f4';
		$data['engagement_name'] = $engagement_name;
		$_POST = $data;
		$_POST['dap_temp_automatic'] = 'yes';
		$result = DAPWithoutAjaxDapMemberEngagementSaveByTemplate($_POST);
		return  $result;
}
 

function dap_member_engagement_shortcode_name($id = 0){
	return '[DAPMemberEngagement id='.$id.'][/DAPMemberEngagement]';
}

add_action( 'wp_ajax_dapDeleteMemberEngagementByIdAjax', 'dapDeleteMemberEngagementByIdAjax' );

function dapDeleteMemberEngagementByIdAjax(){

	DAP_MemberEngagement::deleteById($_REQUEST['id']);	
	DAP_MemberEngagementRules::deleteByEngagementId($_REQUEST['id']);	
}


function dap_member_engagement_get_course_dropdown_list($custom_class = '',$selected_ids = array(),$default_option_name = '',$default_option_value = '' ){
	

					  $html_courses_list_drop_down  = '<dl class="dropdown_prod dap_engagement_course_list_wrapper '.$custom_class.'">';
					 //$html_courses_list_drop_down .= '<dt><a class="form-control"><span class="hida">Select Courses</span></a></dt>';
					  $html_courses_list_drop_down .= '<dt><input type="text" class="form-control dap_engagement_search_p_name" placeholder="Search..."  ></dt>';
					  $html_courses_list_drop_down .= '<dd><div class="mutliSelect"><ul class="form-control">';
					 if($default_option_name != ''){
						  $default_option_selected = '';
						  if(is_array($selected_ids) && count($selected_ids) == 0){
							    $default_option_selected = 'checked="checked"';
						  }
						$html_courses_list_drop_down .= '<li>
														<span class="checkbox-custom-style">
														<input type="checkbox" '.$default_option_selected.' value="'.$default_option_value.'"  class="mutliSelect all_productslist custom-checkbox-input" '.$checked_box.'>
														<span class="custom--checkbox"></span>
														</span>
														<span class="course_name">'.$default_option_name.'</span>
														</li>';
						}								

					  $directory = new Dap_Product('.');
					  if(method_exists($directory,'loadProductByProductType')){
						 $dap_cdata = Dap_Product::loadProductByProductType("y");
						
								if(isset($dap_cdata) ){ 
									foreach($dap_cdata as $data) {
										if($data->getCourseStatus() == 'trashed'){
											continue;
										}
										 $course_id =  $data->getId(); 
										 if(isset($course_id)){
											$checked_box =  '';
											if(in_array($course_id,$selected_ids)){
												$checked_box =  'checked="checked"';
											}
											 
										   $html_courses_list_drop_down .= '<li>
																			<span class="checkbox-custom-style">
																				<input type="checkbox" value="'.$course_id.'"  class="mutliSelect all_productslist custom-checkbox-input" '.$checked_box.'>
																				<span class="custom--checkbox"></span>
																			</span>
																			<span class="course_name">'.$data->getName().'</span>
																			</li>'; 				 
										}	
									}
								} 
							
					  }
					  $html_courses_list_drop_down .='</ul>
														</div>
													</dd>
												</dl>';
					  return $html_courses_list_drop_down;
}
				  
function dap_member_engagement_get_products_dropdown_list($custom_class = '',$selected_ids = array(),$default_option_name = '',$default_option_value = '' ){
					  
					  $html_courses_list_drop_down  = '<dl class="dropdown_prod dap_engagement_course_list_wrapper '.$custom_class.'">';
					  //$html_courses_list_drop_down .= '<dt><a class="form-control"><span class="hida">Select Products</span></a></dt>';
					  $html_courses_list_drop_down .= '<dt><input type="text" class="form-control dap_engagement_search_p_name" placeholder="Search..."  ></dt>';
					  $html_courses_list_drop_down .= '<dd><div class="mutliSelect"><ul class="form-control">';
					  if($default_option_name != ''){
						  $default_option_selected = '';
						  if(is_array($selected_ids) && count($selected_ids) == 0){
							    $default_option_selected = 'checked="checked"';
						  }
						$html_courses_list_drop_down .= '<li>
														<span class="checkbox-custom-style">
														<input type="checkbox" '.$default_option_selected.' value="'.$default_option_value.'"  class="mutliSelect all_productslist custom-checkbox-input" '.$checked_box.'>
														<span class="custom--checkbox"></span>
														</span>
														<span class="course_name">'.$default_option_name.'</span>
														</li>';
						}	
					  $directory = new Dap_Product('.');
					   if(method_exists($directory,'loadProducts')){
						 $dap_cdata = Dap_Product::loadNormalProducts();
						
								if(isset($dap_cdata) ){ 
									foreach($dap_cdata as $data) {
										 $course_id =  $data->getId(); 
										 if(isset($course_id)){
											 
											$checked_box =  '';
											if(in_array($course_id,$selected_ids)){
												$checked_box =  'checked="checked"';
											}
											
										   $html_courses_list_drop_down .= '<li>
																			<span class="checkbox-custom-style">
																				<input type="checkbox" value="'.$course_id.'"  class="mutliSelect all_productslist custom-checkbox-input" '.$checked_box.'>
																				<span class="custom--checkbox"></span>
																			</span>
																			<span class="course_name">'.$data->getName().'</span>
																			</li>'; 				 
										}	
									}
								} 
							
					  }
					  $html_courses_list_drop_down .='</ul>
														</div>
													</dd>
												</dl>';
					  return $html_courses_list_drop_down;
 }
			  
	
add_action( 'wp_ajax_dap_member_get_engagement_section_template', 'ajaxDapMemberGetEngagementSectionTemplateAjax' );

function ajaxDapMemberGetEngagementSectionTemplateAjax(){
	
	$template_name = $_REQUEST['template_name'];
	$template_number_name = $_REQUEST['template_number_name'];
	$file = dap_member_dir."includes/templates/" . $template_name .'/'.$template_number_name. "/template.php";
	$file = include_once($file);
	
	$default_numaric_values = array();
    $default_style_values = array();
	$default_colorpicker_values = array();
	if($template_number_name == 'course_completed'){
		$default_numaric_values = array('first_temp_width'=>600,'first_temp_img_width'=>100,'firt_temp_border_width'=>1);
		$default_style_values = array('first_temp_border_style'=>'solid');
		$default_colorpicker_values = array('first_temp_bg_clr'=>'#ffff','first_temp_bg_bdr_clr'=> '#eee');		
				
	}else if($template_number_name == 'course_inprogress'){
		$default_numaric_values = array('second_temp_width'=>600,'second_temp_border_width'=>100,'second_temp_border_width'=>1);
		$default_style_values = array('second_temp_border_style'=>'solid');
		$default_colorpicker_values = array('second_temp_bg_bdr_clr'=>'#dedede','second_temp_bg_clr'=> '#fff');		
				
	}else if($template_number_name == 'course_enrolled'){
		$default_numaric_values = array('third_temp_width'=>600,'third_temp_img_width'=>100,'third_temp_border_width'=>1);
		$default_style_values = array('third_temp_border_style'=>'solid');
		$default_colorpicker_values = array('third_temp_bg_clr'=>'#ffff','third_temp_bg_bdr_clr'=> '#eee');		
				
	
	}else if($template_number_name == 'course_upsell'){
		$default_numaric_values = array('fourth_temp_width'=>600,'fourth_temp_img_width'=>100,'fourth_temp_border_width'=>1);
		$default_style_values = array('fourth_temp_border_style'=>'solid');
		$default_colorpicker_values = array('fourth_temp_bg_clr'=>'#ffff','fourth_temp_bg_bdr_clr'=> '#eee');		
				
	
	}else if($template_number_name == 'course_upsell'){
		$default_numaric_values = array('fifth_temp_width'=>600,'fifth_temp_img_width'=>100,'fifth_temp_border_width'=>1);
		$default_style_values = array('fifth_temp_border_style'=>'solid');
		$default_colorpicker_values = array('fifth_temp_bg_clr'=>'#ffff','fifth_temp_bg_bdr_clr'=> '#eee');		
				 
	
	}else if($template_number_name == 'upsell_products'){
		$default_numaric_values = array('sixth_temp_width'=>600,'sixth_temp_img_width'=>100,'sixth_temp_border_width'=>1);
		$default_style_values = array('sixth_temp_border_style'=>'solid');
		$default_colorpicker_values = array('sixth_temp_bg_clr'=>'#ffff','sixth_temp_bg_bdr_clr'=> '#eee');		
				 
	
	}else if($template_number_name == 'points'){
		$default_numaric_values = array('seventh_temp_width'=>350,'seventh_temp_border_width'=>1);
		$default_style_values = array('seventh_temp_border_style'=>'none');
		$default_colorpicker_values = array('seventh_temp_bg_bdr_clr'=>'#ffff','seventh_temp_bg_clr'=> '#eee');		
				 
	
	}else if($template_number_name == 'all_badges'){
		$default_numaric_values = array('eighth_temp_width'=>600,'eighth_temp_img_width'=>100,'eighth_temp_border_width'=>1);
		$default_style_values = array('eighth_temp_border_style'=>'none');
		$default_colorpicker_values = array('eighth_temp_bg_bdr_clr'=>'#ffff','eighth_temp_bg_clr'=> '#ffff');		
				 
	
	}else if($template_number_name == 'all_certificates'){
		$default_numaric_values = array('ninth_temp_width'=>600,'ninth_temp_img_width'=>100,'ninth_temp_border_width'=>1);
		$default_style_values = array('ninth_temp_border_style'=>'none');
		$default_colorpicker_values = array('ninth_temp_bg_bdr_clr'=>'#ffff','ninth_temp_bg_clr'=> '#ffff');		
				 
	
	}	
	
	
	echo json_encode(array('html'=>$file,'default_numaric_values'=>$default_numaric_values,'default_style_values'=>$default_style_values,'default_colorpicker_values'=>$default_colorpicker_values));
	die;
}


/*engagement page end*/


/*custom aff link start*/
add_action('wp_ajax_dap_save_affiliate_ajax', 'dap_save_affiliate_ajax');
add_action('wp_ajax_nopriv_dap_save_affiliate_ajax', 'dap_save_affiliate_ajax');

function dap_save_affiliate_ajax(){
	$aff_name = $_POST['aff_name'];
	$affiliate_name = $_POST['affiliate_name'];
	$id = $_POST['id'];

	$affName = Dap_User::loadByAffNick($aff_name);
	if($affName == false){
		Dap_User::updateAffNick($id, $aff_name);
	}else{
		$affid = $affName->getId();
		if($affid != $id){
			echo 'error';die;
		}else{
			Dap_User::updateAffNick($id, $aff_name);
		}
		
	}
	$template = $_POST['html'];
	$template =  str_replace('[AFFILIATE_ID]',$id,$template);
	$template =  str_replace('[AFFILIATE_NAME]',$aff_name,$template);
	$template =  str_replace($affiliate_name,$aff_name,$template);
	echo json_encode(array('template' => stripslashes($template)));die;
	
}
/*custom aff link end*/


if(!is_admin() && $GLOBALS['pagenow'] !== 'post.php'){	
	add_shortcode('DAPCoursePrerequiste', 'DAPCoursePrerequisteShortcode');	 
}	

function DAPCoursePrerequisteShortcode($atts, $content = null) {
 	if(isset($_REQUEST['tve']) && $_REQUEST['tve'] == true){return;}		
	extract(shortcode_atts(array(
	'course_id' => '',
	), $atts));
	$output ="";
	$session = Dap_Session::getSession();
	$user = $session->getUser();
	if(isset($user)){
		$userId = $user->getId();
	}else{
		return;
	}
	$productobj = Dap_Product::loadProduct($course_id) ;
	
	if(isset($productobj)){
		$product_type =  $productobj->getProductType();
	 
		if($product_type =="y"){ //check if product is course type
			$cp_array = DAP_CoursePrerequisite::loadByCourseId($course_id);
			$prerequisite_ids="";
			if(isset($cp_array) ) {
				$prerequisite_ids = $cp_array->getPrerequisiteIds();				 
			}
			
			if($prerequisite_ids !=""){
				$prerequisite_ids_array = explode(",",$prerequisite_ids);
				 
				if(isset($prerequisite_ids_array) ) {
					foreach($prerequisite_ids_array as $cid){	//loop for 	prerequisite ids					
						$productobj = Dap_Product::loadProduct($cid) ;	
						if(isset($productobj)){
							$product_name = $productobj->getName();
							$c_id = $productobj->getId();
							$product_structure = $productobj->getProductStructure();
							$product_type = $productobj->getProductType();	
 							
							if($product_type =="y"){
								 //check If User Has Access to The Course
								$user = Dap_User::loadUserById($userId);
								
								$hasAccess = $user->hasAccessTo($c_id);
								if($hasAccess){
									 
									$getcourse_completed = getCompletedCourse($c_id, $userId, $product_structure, "course_completed");	 
									$getcourse_inprogress = getCompletedCourse($c_id, $userId, $product_structure, "course_inprogress");
									$getcourse_enrolled = getCompletedCourse($c_id, $userId, $product_structure, "course_enrolled");			 
									if($getcourse_completed ==true){
										$completed_course =   stripslashes( dapMemberGetMessageByKeyAndAction('dapcourse','completed_course'));
										if($completed_course ==""){
											$completed_course = "%%COURSE_NAME%% - Completed";
										}
										$completed_course =  str_replace( '%%COURSE_NAME%%',$product_name, $completed_course); 
										$output .=  '<div class="prerequisite_con">'.$completed_course.'</div>';
									}
									if($getcourse_inprogress ==true){										
										$inprogress_course =   stripslashes( dapMemberGetMessageByKeyAndAction('dapcourse','inprogress_course'));
										if($inprogress_course ==""){
											$inprogress_course = "%%COURSE_NAME%% - In-Progress";
										}
										$inprogress_course =  str_replace( '%%COURSE_NAME%%',$product_name, $inprogress_course); 
										$output .=   '<div class="prerequisite_con">'.$inprogress_course.'</div>';
									}
									if($getcourse_enrolled ==true){										 
										$enrolled_course =   stripslashes( dapMemberGetMessageByKeyAndAction('dapcourse','enrolled_course'));
										if($enrolled_course ==""){
											$enrolled_course = "%%COURSE_NAME%% - Enrolled (not started)";
										}
										$enrolled_course =  str_replace( '%%COURSE_NAME%%',$product_name, $enrolled_course); 
										$output .=   '<div class="prerequisite_con">'.$enrolled_course.'</div>';
									}
								}							
								 
							}
							
						}
					}
				}
			}
		}
	} 
	 
	return do_shortcode(stripslashes($output)); 
}

  
function checkPrerequisites($post, $posts_id,$userId) {
	//currentpage url	
	$page_url ="";
	$error_msg ="";
	
	try {		 
		$permalink = get_permalink($posts_id); 
		$permalink = getResourceFromString($permalink);	 
		//check if permalink has the part of how many products, get the array of products  
		$product_array = Dap_Product::checkResourceIsPartOfProducts($permalink);
			
		if(isset($product_array) ) {
			if(count($product_array) >0 ){	 
				 foreach($product_array as $prod){
					  $p_id =  $prod->getId();
					  $product_type =  $prod->getProductType();
						if($product_type =="y"){ //check if product is course type
							$cp_array = DAP_CoursePrerequisite::loadByCourseId($p_id);
							$prerequisite_ids="";
							if(isset($cp_array) ) {
								$prerequisite_ids = $cp_array->getPrerequisiteIds();
								$gettype = $cp_array->getType();
								$page_url = $cp_array->getPage_url();
								$error_msg = $cp_array->getError_msg();
							}
							 
							if($prerequisite_ids !=""){
								$prerequisite_ids_array = explode(",",$prerequisite_ids);
								$count = 0;
								if(isset($prerequisite_ids_array) ) {
									foreach($prerequisite_ids_array as $c_id){	//loop for 	prerequisite ids					
										$productobj = Dap_Product::loadProduct($c_id) ;	
										if(isset($productobj)){
											$product_structure = $productobj->getProductStructure();
											$product_type = $productobj->getProductType();		
											if($product_type =="y"){
												 //check If User Has Access to The Course
												$user = Dap_User::loadUserById($userId);
												 
												$hasAccess = $user->hasAccessTo($c_id);
												if($hasAccess){
													//check If User Has Completed The Course
													$completed = checkIfUserHasCompletedTheCourse($c_id, $product_structure,$userId);
													
													if($completed == true){
														$count++; 
													} else{
														 break;
													}
													
												}							
												 
											}
											
										}
									}
								}
								
								if ($count == count($prerequisite_ids_array)){								 
									return;
								}else{
									if($gettype =="redirect_url"){									 
										@header( "Location: " . $page_url );			
										if(defined('RETURNEXIT')) { return; exit; } else {exit;return;}  
									}else { 
										$output = '<div class="page_error_msg">'.$error_msg.'</div><style> .prerequisite_con{} .page_error_msg p{ margin:0;padding:0 0 10px;}</style>'; 
										
										$thrive_enabled = Dap_Config::get("THRIVEENABLED"); 
								    	if(defined('THRIVE_ENABLED') || ($thrive_enabled =="Y")) { //for thrive page  
											global $wpdb;											
											$results = $wpdb->get_row( "SELECT * FROM {$wpdb->prefix}postmeta WHERE `post_id` = $posts_id AND `meta_key` LIKE '%tve_globals%'" ); 	 
											//echo count($results); die;
											if(isset($results) && count($results) > 0){	
											
												$post = NULL;
												$title = $post[0]->post_title;											
												$post[0]['post_content'] = $output;										
												$post[0] = createPost1($output, $title);
													 
											}else{
												$post[0]->post_content = $output;	
											}
											 
										} else{ //for normal wp page
												$post[0]->post_content = $output;	
										}									
										  
										return $post;									 
									}
									
								}
							} 
						}
					  
				 }
			}
		}
		
	} catch (PDOException $e) {
		logToFile($e->getMessage(),LOG_DEBUG_DAP);
		//throw $e;
	} catch (Exception $e) {
		logToFile($e->getMessage(),LOG_DEBUG_DAP);
		//throw $e;
	}
	return ;
}
 
function checkIfUserHasCompletedTheCourse($course_id, $product_structure, $userId){
	$lessonurlcount1 =0;
	$lessoncount=0;			 			 				
	$unit_url_list = array();		
	$completed = false;
	 
	 
	if($product_structure == "lesson"){						
			$lessonurls  =  Dap_Product::displayFileResourcesWithCourseId($course_id);
			$lessoncount = DAP_UserCourseProgress::lessonCountByCourseIduserId($course_id , $userId );	 
	}else{			
		$moduledata = DAP_CourseModule::loadByCourseId($course_id) ;	
		if(isset($moduledata)) {							 
			$lessonurls = array();
			
			// module loop					
			foreach($moduledata as $mod){													
				 $lessonurls[]  =  Dap_Product::displayFileResourcesWithModuleIdCourseId($course_id, $mod->getId());
				 $lessoncount += DAP_UserCourseProgress::lessonCountByCourseIdModuleIduserId($course_id , $mod->getId(), $userId );				 							
			}							
			
			if(count($lessonurls)){
				$lessonurls_new = array();
				foreach($lessonurls as $lessonurl){
					foreach($lessonurl as $lessonurl_single){
						$lessonurls_new[] = $lessonurl_single;										 
					}
				}								
				$lessonurls = $lessonurls_new;								
			}				 
		}
	}				
	
	if(isset($lessonurls)) {							 
		foreach($lessonurls as $lessonurl){
			$unit_url_list[]  = $lessonurl['url'];							 					 
		}						  
	}	
	  
	$lessonurlcount1 = count($unit_url_list);
	if($lessonurlcount1 >0){ 
		if($lessoncount == $lessonurlcount1 ){	
			$completed = true;		 
		}
	}else{
		$completed = false;	
	}
	 	 
	return $completed;
} 


function dapDiffLoggedInMenu(){
	$diffLoggedInMenu = $_REQUEST['diffLoggedInMenu'];
	$loggedInMenu = $_REQUEST['loggedInMenu'];
	$loggedOutMenu = $_REQUEST['loggedOutMenu'];
	$edit_id = $_REQUEST['edit_id'];

	$action  = 'loggedinmenu';
	$obj = new DAP_MemberPages();
	$obj->setPageId(0);
	$obj->setAction( $action);
	$obj->setTemplate('NA');
	$obj->setTemplateHtml( 'NA');
	$obj->setStylingOptions( 'NA');
	$obj->setAdminEmail( '');
	$obj->setDate( dap_member_current_date_time );

	if($edit_id == ''){
		$edit_id = $obj->create();		
	}else{
		$obj->setId($edit_id);
		$edit_id = $obj->update();		
	}


	$member_page_values_array = array(
		'diffLoggedInMenu'=>$diffLoggedInMenu,
		'loggedInMenu'=>$loggedInMenu,
		'loggedOutMenu'=>$loggedOutMenu
	);


	foreach($member_page_values_array as $key=>$val){	
		$result['member_page_values'][] =  dapMemberPagesUpdateValueByActionIdAndName($edit_id,$key,$val);
	}

	echo json_encode(array('id' => $edit_id));
	die;	
}

