<?php 

if(wp_script_is('jquery')) {
	$jquerymain ="";
} else {
	$jquerymain ="<script type='text/javascript' src='//ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js'></script>";
}
?>
<script src="<?= $jquerymain; ?>" type="text/javascript"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/js/bootstrap.bundle.min.js" integrity="sha384-b5kHyXgcpbZJO/tY9Ul7kGkf1S0CWuKcCD38l8YkeH8z8QjE0GmW1gYU5S9FOnJ0" crossorigin="anonymous"></script>
<script type="text/javascript" src="//unpkg.com/sweetalert/dist/sweetalert.min.js" defer></script>

<?php 

$frontendCommonjs =  plugin_dir_url(__FILE__) . "/includes/js/dap_member_frontend_common.js?v=".rand(10,1000);  
$frontendGroupjs =  plugin_dir_url(__FILE__) . "/includes/js/dap_group_account.js?v=".rand(10,1000);  

$admin_url = admin_url('admin-ajax.php'); 
 
?> 

<script src="<?= $frontendCommonjs; ?>" type="text/javascript"></script>
<script src="<?= $frontendGroupjs; ?>" type="text/javascript"></script>

<?php 
//echo $groupId;
$data = DAP_MemberPages::loadById($groupId);

//echo "<pre>"; print_r($data);


	if(isset($data)){
		$manageGroupTemplate = $data->getTemplateHtml();	
		$template = $data->getTemplate();	

		$manageGroupTemplate = explode('||' , $manageGroupTemplate);

		$templateTableHtml = stripslashes($manageGroupTemplate[0]);
		$templateTableHtml1 = stripslashes($manageGroupTemplate[0]);
		$tableData = stripslashes($manageGroupTemplate[1]);
		$addButton = stripslashes($manageGroupTemplate[3]);
		$popupHtml = stripslashes($manageGroupTemplate[4]);
		$bulkHtml = stripslashes($manageGroupTemplate[5]);

	}	

	$success_msg = 'Added Successfully!';
	$success_msg_obj = DAP_MemberPagesValues::loadByActionIdAndName($id,'success_added_msg');
	if($success_msg_obj != '' && $success_msg_obj != false){
		$success_msg =  $success_msg_obj->getValue();	
	}
	
	$limit_reached = 'Sorry, max account limit reached!';
	$limit_reached_obj = DAP_MemberPagesValues::loadByActionIdAndName($id,'limit_reached_msg');
	if($limit_reached_obj != '' && $limit_reached_obj != false){
		$limit_reached =  $limit_reached_obj->getValue();	
	}
	
	$already_exists = 'This user already exists';
	$already_exists_obj = DAP_MemberPagesValues::loadByActionIdAndName($id,'already_exists_msg');
	if($already_exists_obj != '' && $already_exists_obj != false){
		$already_exists =  $already_exists_obj->getValue();	
	}
	
	$delete_confirmation = 'Are you sure you want to delete user?';
	$delete_confirmation_obj = DAP_MemberPagesValues::loadByActionIdAndName($id,'delete_confirm_msg');
	if($delete_confirmation_obj != '' && $delete_confirmation_obj != false){
		$delete_confirmation =  $delete_confirmation_obj->getValue();	
	}
	
	
	$delete_success = 'Deleted Successfully!';
	$delete_success_obj = DAP_MemberPagesValues::loadByActionIdAndName($id,'deleted_msg');
	if($delete_success_obj != '' && $delete_success_obj != false){
		$delete_success =  $delete_success_obj->getValue();	
	}
	
	$not_logged_in = 'Sorry, you need to be logged-in to access this page.';
	$not_logged_in_obj = DAP_MemberPagesValues::loadByActionIdAndName($id,'not_logged_in');
	if($not_logged_in_obj != '' && $not_logged_in_obj != false){
		$not_logged_in =  $not_logged_in_obj->getValue();	
	}
	
	$no_access = 'Sorry, your account does not have access to this page. This page is only available to group account owners.';
	$no_access_obj = DAP_MemberPagesValues::loadByActionIdAndName($id,'no_access');
	if($no_access_obj != '' && $no_access_obj != false){
		$no_access =  $no_access_obj->getValue();	
	}

	$bulkNoAddUserMsg = 'You need to add at least one user.';
	$bulkNoAddUserMsg_obj = DAP_MemberPagesValues::loadByActionIdAndName($id,'bulkNoAddUserMsg');
	if($bulkNoAddUserMsg_obj != '' && $bulkNoAddUserMsg_obj != false){
		$bulkNoAddUserMsg =  $bulkNoAddUserMsg_obj->getValue();	
	}

	$no_field_select_msg = 'Please select the field name';
	$no_field_select_msg_obj = DAP_MemberPagesValues::loadByActionIdAndName($id,'no_field_select_msg');
	if($no_field_select_msg_obj != '' && $no_field_select_msg_obj != false){
		$no_field_select_msg =  $no_field_select_msg_obj->getValue();	
	}

	$limit_reached_bulk = 'Added %%USERS%%. Could not add all the users as max limit was reached';
	$limit_reached_bulk_obj = DAP_MemberPagesValues::loadByActionIdAndName($id,'limit_reached_bulk');
	if($limit_reached_bulk_obj != '' && $limit_reached_bulk_obj != false){
		$limit_reached_bulk =  $limit_reached_bulk_obj->getValue();	
	}

	
	//$templateHtml = do_shortcode(dap_clean_shortcode_content($templateHtml));		
	$templateHtml = '';		


	$session = Dap_Session::getSession();
	$user = $session->getUser();
	if($adminemail==''){
		$adminemail = Dap_Config::get("ADMIN_EMAIL");
	}
	
	if($companyname=='')	{
		$companyname = Dap_Config::get("SITE_URL_DAP"); 
	}
	
	$frontendCommoncss =  $blogpath . "/wp-content/plugins/DAP-WP-LiveLinks/includes/css/dap_member_frontend_common.css";
	$frontendBootstrapcss =  $blogpath . "/wp-content/plugins/DAP-WP-LiveLinks/includes/css/bootstrap.min.css";
	echo '<link rel="stylesheet" type="text/css" href="' . $frontendCommoncss . '" />';
	echo '<link rel="stylesheet" type="text/css" href="' . $frontendBootstrapcss . '" />';
	
	if( !Dap_Session::isLoggedIn() || !isset($user) ) {
		//logToFile("Not logged in, returning errmsgtemplate");
		echo stripslashes($not_logged_in);
		return;
	}
	else {
		$account_type=$user->getSubaccountType();
		if($account_type!="P") {
			echo stripslashes($not_logged_in);
			return;
		}
		$_SESSION["groupParent"]="Y";
	}

	$userId = $user->getId();
	$parentProductsList = Dap_User::loadUsersGroupMembershipProductById($userId);
	$blogpath= get_option("siteurl");

	$bootstrapmin4css =  $blogpath . "/wp-content/plugins/DAP-WP-LiveLinks/includes/css/bootstrap4.min.css";   
	$frontendcss =  $blogpath . "/wp-content/plugins/DAP-WP-LiveLinks/includes/css/groupmanagement.css";   
	 
	 
	$customcss= get_option('siteurl')."/wp-content/plugins/DAP-WP-LiveLinks/includes/css/dap_group_account.css";
	$fcss = parse_url($customcss);
	$customcss=$fcss["path"];

	// logToFile("DAP-ShortCodes-Transactions: formcss= ". $formcss); 


	if(file_exists($fullcustomcss)) {
		$formcss=$customcss;
		//logToFile("DAP-ShortCodes-Transactions: custom css: ". $customcss);
	}

	 

	$templateHtml .= '<link rel="stylesheet" type="text/css" href="' . $frontendcss . '" />';
	$templateHtml .= '<link rel="stylesheet" type="text/css" href="' . $bootstrapmin4css . '" />';
	$templateHtml .= '<link rel="stylesheet" href="//use.fontawesome.com/releases/v5.8.2/css/all.css">';
	$templateHtml .= '<link rel="stylesheet" href="//fonts.googleapis.com/css?family=Roboto:300,400,500,700&display=swap">';
	//$templateHtml .= '<link href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.4.1/css/bootstrap.min.css" rel="stylesheet">';
	//$templateHtml .= '<link href="https://cdnjs.cloudflare.com/ajax/libs/mdbootstrap/4.13.0/css/mdb.min.css" rel="stylesheet">';

	
	if(count($parentProductsList) <= 0){
		echo stripslashes($no_access);	
	}
	
	$displayPerPage = 100;

	$returnData = dapGroupManagementLoadData(1, $userId, $groupId,$displayPerPage);
	
	$showData = $returnData['showData'];
	$templateHtml .= $returnData['templateHtml'];
	$templateHtml .= $returnData['paginationHtml'];
	$displayModal .= $returnData['displayModal'];
	$productList .= $returnData['productList'];
	
	if($showData == 'N'){
		$displayModal = 'display:none';
		$templateHtml = $noProHtml;	
	}
	$productUserField = '<input type="hidden" value='. json_encode($userListByProd).' id="productUserField">	';	
	
	//	echo $templateHtml;die;
	
	echo '<div class="dapGroupMembershipOuter live-links-bootstrap_outer">'.$productUserField.$templateHtml.'<input type="hidden" class="displayed_modal" value="0"></div>';
	

	?>
	<div class="modal fade live-links-bootstrap_outer" style="<?= $displayModal ?>" id="modalRegisterForm" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
	aria-hidden="true">
		<div class="modal-dialog" role="document">
			<div class="modal-content">
				<button type="button" class="close" data-dismiss="modal" aria-label="Close">
					<span aria-hidden="true">&times;</span>
				</button>

				<div class="modal-body mx-3">
					
					<?php echo $productList; ?>
				</div>
			
			</div>
		</div>
	</div>

	<div class="text-center">
		<a href="" style="display:none" class="btn btn-default btn-rounded mb-4 modalAddNewUser" data-toggle="modal" data-target="#modalRegisterForm">Launch
		Modal Register Form</a>
	</div>
 
 
<script>

	 var admin_ajaxurl = "<?= $admin_url ?>";
	 var success_msg = "<?= $success_msg ?>";
	 var limit_reached = "<?= $limit_reached ?>";
	 var already_exists = "<?= $already_exists ?>";
	 var delete_confirmation = "<?= $delete_confirmation ?>";
	 var delete_success = "<?= $delete_success ?>";
	 var bulkNoAddUserMsg = "<?= $bulkNoAddUserMsg ?>";
	 var no_field_select_msg = "<?= $no_field_select_msg ?>";
	 var limit_reached_bulk = "<?= $limit_reached_bulk ?>";
	 var userId = "<?= $userId ?>";
	 var displayPerPage = "<?= $displayPerPage ?>";
	 var groupId = "<?= $groupId ?>";
	 
</script>
 
 
  
  
