<?php 

add_shortcode('DAPStudentShortcode', 'DAPStudentShortcodeDetails');
add_shortcode('DAPGroupOwner', 'DAPGroupOwnerDetails');

//group owner shortcode function
function DAPGroupOwnerDetails($atts, $content = null) {
	
	extract(shortcode_atts(array(
	'id' => '',
	), $atts));	 

	$output = getDetailsForStudentAndGroupOwner($id, "group_owner");
	return $output;
}


//student shortcode function
function DAPStudentShortcodeDetails($atts, $content = null) {
	
	extract(shortcode_atts(array(
	'id' => '',
	), $atts));
	
	$output = getDetailsForStudentAndGroupOwner($id, "student_shortcode");
	return $output;
}

function getDetailsForStudentAndGroupOwner($id, $type) {
	
	$style_attr =" <style> #notloggedin_outer  a {font-weight: 600;color: #333;font-size: 15px;} #notloggedin_outer .not_logged { color: #2239b9;font-weight: 600; text-decoration: underline; }</style>";
	$pleaselogintext ="Click here to log in";
	$clicktologintext ="Sorry, you must log in before you can view this content";
	$clicktologintext =  stripslashes(dapMemberGetMessageByKeyAndAction('mycontent','clicktologintext'));
	$clicktologintext =   str_replace('contenteditable="true"','',$clicktologintext);  
	$pleaselogintext =   stripslashes( dapMemberGetMessageByKeyAndAction('mycontent','pleaselogintext'));
	$pleaselogintext =   str_replace('contenteditable="true"','',$pleaselogintext);
    
	if( !Dap_Session::isLoggedIn() ) {
        $errorHTML = mb_convert_encoding($pleaselogintext, "UTF-8", "auto") . " <a class='not_logged' href=\"" . Dap_Config::get("LOGIN_URL") . "\">". mb_convert_encoding($clicktologintext, "UTF-8", "auto") . "</a>";
        return "<div id='notloggedin_outer'>".$errorHTML.$style_attr."</div>";
    }
	$loging_status = false;	
	if(Dap_Session::isLoggedIn()){ 
		$loging_status = true;	
		$session = Dap_Session::getSession();
		$user = $session->getUser();
		$user_id = $user->getId();	 
	}
	 
	$html = '';
	$mp_obj = DAP_MemberPages::loadById($id);
	if(($mp_obj) && ($mp_obj->getAction() == 'student_shortcode' || $mp_obj->getAction() == 'group_owner' )){
		$action_id = $mp_obj->getId();	
		$template_html =  stripslashes($mp_obj->getTemplateHtml());
		$style_options =  stripslashes($mp_obj->getStylingOptions());
		$style_options = explode("|||",$style_options);
		$table_width_attr = $style_options[0];
		$lessontable_width_attr = $style_options[1];
		$table_width_attr =explode("||",$table_width_attr); 
		$lessontable_width_attr =explode("||",$lessontable_width_attr); 
		$lessontable_border_width = $lessontable_width_attr[2];
		$lessontable_border_color = $lessontable_width_attr[1];
		$lessontable_border_style = $lessontable_width_attr[3];
		$table_width = $table_width_attr[2];
		$table_border_width = $table_width_attr[3];
		$table_border_color = $table_width_attr[4];
		$table_border_style = $table_width_attr[5];
		$progress_border_attr = $style_options[4];
		$progress_border_attr = explode("||",$progress_border_attr);
		$progress_bordercolor = $progress_border_attr[0];
		$dividercolor = $progress_border_attr[2];
		$template_html = explode("|||",$template_html);
		$template_course_head = $template_html[0];
		$template_lesson_head = $template_html[2];
		$template_lesson_body = $template_html[3];
		$template_course_name = $template_html[5];
		$module_data1 = $template_html[6];
		$template_course_body ="";
		$template1 ="";
		$template ="";
		$ss_nodata_found = 'No Data Found';
		$productid_obj = DAP_MemberPagesValues::loadByActionIdAndName($action_id, 'productid');
		$ss_member_page_values_obj = DAP_MemberPagesValues::loadByActionId($action_id);
				if(is_array($ss_member_page_values_obj) && count($ss_member_page_values_obj)){					
					foreach($ss_member_page_values_obj as $ss_member_page_value_obj){					
						if($ss_member_page_value_obj->getName() == 'ss_nodata_found'){
							$ss_nodata_found = $ss_member_page_value_obj->getValue();
						}						
					}					
				}
				 
		if($productid_obj != '' && $productid_obj != false){
			
			$productid = $productid_obj->getValue(); 
			
			//if student shortcode
			if($mp_obj->getAction() == 'student_shortcode'){
				$productList = explode(",",$productid);	
				if(in_array('ALL',$productList)){				
					$product_final = array();
					$orderBy = "id"; $orderHow ="desc";
					$productobj = Dap_Product::loadProductByProductType("y",$orderBy,$orderHow) ;
					if(isset($productobj)){		
						foreach($productobj as $prod){	
							$course_id = $prod->getId();
							$user_obj = new Dap_User();
							$user_obj->setId($userId);
							$hasAccess = $user_obj->hasAccessTo($course_id);			 
							if($hasAccess){						 
								continue;
							} 			
							$product_final[] = $course_id;							
						}
					}
					$productList =	$product_final;
				}
			}
			//if  group_owner
			if($mp_obj->getAction() == 'group_owner'){ 
					
					$groupMembershipProductList = Dap_Product::loadProductsByFilters('','','','','','','','','', 'group_membership');
					if(isset($groupMembershipProductList)){						 
						foreach($groupMembershipProductList as $productDetails){
							$id  = $productDetails->getId();
							if($productid  == $id){
								 //get products rule
								$groupRules = Dap_GroupRules::loadByProductId($productid);
								 
								if(isset($groupRules[0])){
									$groupRules = $groupRules[0];
									$productIds = $groupRules->getAllowedProductsId();	
									$productIdsExplode = explode(',' , $productIds);
									if(isset($productIdsExplode)){
										foreach($productIdsExplode as $key=>$val){
											$product_final[] = $val;	
										}
									}
								}
							}
						}					 
					}
				$productList =	$product_final;
			}
			 
			$finalUserList = array();
			$group_owneruser_id = $user_id;
			 // echo "user_id ==".$user_id;
			//for group owner list 
			foreach($productList as $prod){ 
				$product_obj = Dap_Product::loadProduct($prod);
				$template_course_body1 = $template_html[1]  ;
				$template_course_name = $template_html[5];
				$template_course_head = $template_html[0];
				$module_data = $module_data1;
				if(isset($product_obj)){
					$courseId = $product_obj->getId() ;
					//get the parentProductsList
					if($mp_obj->getAction() == 'group_owner'){ 
						$newUserListAll[$courseId][] = Dap_User::loadUsersByParentAndProductId($group_owneruser_id, $courseId, 0, 0, ''); 
					}else{
						$newUserListAll[$courseId][] = array("user_id"=>$group_owneruser_id);
					}
				}
			}
			
			$alreadyPrint = array();
			$user_name= "";
			$user_email= "";
			foreach($productList as $prod){
				$product_obj = Dap_Product::loadProduct($prod);
				
				$template_course_name = $template_html[5];
				$template_course_head = $template_html[0];
				$module_data = $module_data1;
				if(isset($product_obj)){
					$courseId = $product_obj->getId() ;					  
					$sortBy="";
					//For Group owner shortcode
					if($mp_obj->getAction() == 'group_owner'){
						if(isset($newUserListAll[$courseId])){
							if(!in_array($courseId, $alreadyPrint)){
								$newUserList = $newUserListAll[$courseId][0];	
								$alreadyPrint[$courseId] = $courseId;
							} 
						}
					}else if(isset($newUserListAll[$courseId])){
						if(!in_array($courseId, $alreadyPrint)){
							$newUserList = $newUserListAll[$courseId][0];	
							$alreadyPrint[$courseId] = $courseId;
						} 	
					}
					 
					$template_course_body_html = '';
					//if isset of newUserList array
					if(isset($newUserList)){
						
						foreach ($newUserList as $userlist){
							//print_r($userlist);
							$template_course_body1 = $template_html[1]  ;
							 
							if(is_array($userlist)){
								$user_id = $userlist['user_id']; 
							}else{
								$user_id = $userlist; 
							}
							$user_obj = Dap_User::loadUserById($user_id);
							/*$hasAccess = $user_obj->hasAccessTo($courseId);						  
							if(!$hasAccess){						 
								continue;
							} 	*/
							// echo "user_id ".$user_id;
							if(isset($user_obj)){
								$f_name= $user_obj->getFirst_name();
								$l_name= $user_obj->getLast_name();
								$user_name= $f_name." ".$l_name;
								$user_email= $user_obj->getEmail();
							}
							 
							//For Group owner shortcode
							$usersProgressData2 = DAP_UserCourseProgress::lessonDetailsByCourseIduserIdSort($courseId,$user_id ,"start_date"); 
								 
							$arrayTemp = array();
							$tempStartArray = array();
							if(is_array($usersProgressData2)){
								 
								$userProgressData2 = $usersProgressData2[0];
						
									$start_date = $userProgressData2['start_date'];
									$recent_activity = $userProgressData2['recent_activity'];
									if(!isset($tempStartArray[$user_id])){
										$tempStartArray[$user_id] = $start_date;
									}else if($start_date != ''){
										if($tempStartArray[$user_id] == ''){
											$tempStartArray[$user_id] = $start_date;
										}else{
											$d1 = strtotime($tempStartArray[$user_id]);
											$d2 = strtotime($start_date);
											if($d1 > $d2){
												$tempStartArray[$user_id] = $start_date;
												$usersProgressDataUnique[$user_id][0]['start_date'] = $start_date;
											}
										}
									}
									
									if(!isset($tempStartArray[$user_id])){
										$tempStartArray[$user_id] = $recent_activity;
									}else if($recent_activity != ''){
										if($tempStartArray[$user_id] == ''){
											$tempStartArray[$user_id] = $recent_activity;
										}else{
											$d1 = strtotime($tempStartArray[$user_id]);
											$d2 = strtotime($recent_activity);
											if($d1 < $d2){
												$tempStartArray[$user_id] = $recent_activity;
												$usersProgressDataUnique[$user_id][0]['recent_activity'] = $recent_activity;
											}
										}
									} 
									
									//$courseCert = Dap_CourseCertificate::loadByCourseId($courseId);
									$courseCert = Dap_UserCertificate::loadByCourseIdAndUserId($courseId,$user_id);
									$pdf = '';
									if($courseCert != false){
										$courseCert = Dap_CourseCertificate::loadByCourseId($courseId);
										if($courseCert != false){
											$certificate_id = $courseCert->getCertificateId();
										
											$certificate_obj = Dap_Certificate::loadById($certificate_id);
											if(isset($certificate_obj)){
												if($certificate_obj->getStatus() == 'Y'){
													$new_pdf = "tcpdf/data";
													if($certificate_obj->getType() == 'Y'){
														$new_pdf = "dompdf";
													}
													
													$script_certificate =' <script>						 
													function dapCertificatePdf( formname, prodId, certificate_id,  blogpath,user_id, new_pdf) {

													var submiturl="'.$wp_site_url.'/wp-content/plugins/DAP-WP-LiveLinks/includes/"+new_pdf+" /certificate.php";
													var url = "'.$wp_site_url.'/wp-content/plugins/DAP-WP-LiveLinks/includes/"+new_pdf+" /certificate.php?productId="+prodId+"&certificate_id="+certificate_id;
			 
													jQuery("body").append("<form action='.''.$wp_site_url.'/wp-content/plugins/DAP-WP-LiveLinks/includes/"+new_pdf+"/certificate.php'.' method='.'post'.' name='.'certficateform'.' target='.'_blank'.'>");					  
													jQuery("form[name='.'certficateform'.']").append("<input type='.'hidden'.' name='.'productId'.' value='.'"+prodId+"'.'>");
													jQuery("form[name='.'certficateform'.']").append("<input type='.'hidden'.' name='.'certificate_id'.' value='.'"+certificate_id+"'.'>");						 
													jQuery("form[name='.'certficateform'.']").append("<input type='.'hidden'.' name='.'user_id'.' value='.'"+user_id+"'.'>");						 
													jQuery("form[name='.'certficateform'.']").submit();							
													jQuery("form[name='.'certficateform'.']").remove();
													return false;							 
													window.open(url);		 
													return;
													}
													</script>';	

													//pdf gen
													$pdf .='<a class="btn certDownloadBtn" href="" onclick="';	
													$pdf .="return dapCertificatePdf('certficateform','$courseId', '$certificate_id', '" . ABSPATH . "', '$user_id', '$new_pdf');";
													$pdf .='">View Certificate</a>';
												}
											}
										}	
									}	
									$coursename = $product_obj->getName() ;
									
									$product_structure = $product_obj->getProductStructure() ;
									 $course_details ='<a class="btn view_course_detail" href="javascript:void(0)" data-id="'.$courseId.'" data-userid="'.$user_id.'">View Details</a>';
									$course_status_new =getCompletedCourseStatus($courseId, $user_id, $product_structure, $progress_bordercolor);
									
									$course_status_array =explode("||",$course_status_new);
									$course_status =$course_status_array[0];
									$course_status1 =$course_status_array[1];
									$startdate =$userProgressData2['start_date'];
									//$startdate = trim($startdate);
									//$start_date = substr($startdate,0,10); 
									$join_date = $userProgressData2['access_start_date'];									 
									
									$template_course_name =  str_replace( '%%COURSENAME%%', $coursename, $template_course_name);	
									$template_course_name =  str_replace( '%%COURSESTATUS%%', $course_status, $template_course_name);	
									$template_course_body1 =  str_replace( '%%STARTDATE%%', $start_date, $template_course_body1);
									$template_course_body1 =  str_replace( '%%JOINDATE%%', $join_date, $template_course_body1);	
									$template_course_body1 =  str_replace( '%%CERTIFICATE%%', $script_certificate.$pdf, $template_course_body1);	
									$template_course_body1 =  str_replace( '%%COURSEPROGRESS%%', $course_details, $template_course_body1);	
									$template_course_body1 =  str_replace( '%%COURSEID%%', $courseId, $template_course_body1);	
									$template_course_body1 =  str_replace( '%%COURSESTUDENTNAME%%', $user_name, $template_course_body1);	
									$template_course_body1 =  str_replace( '%%COURSESTUDENTEMAIL%%', $user_email, $template_course_body1);	
									$template_course_body1 =  str_replace( '%%COURSESTATUS%%', $course_status, $template_course_body1);	
									$template_course_body1 =  str_replace( '%%USERID%%', $user_id, $template_course_body1);								 									
										 
									$template_course_body = $template_course_body1;	
									 
									$shortcode_action = $mp_obj->getAction();
									$lesson_border_data= $lessontable_border_width.'px '.$lessontable_border_style.' '.$lessontable_border_color;					
									 
									$template_course_body .= getLessonDetailsByCourseId($user_id,$courseId, $product_structure, $template_lesson_head, $template_lesson_body , $module_data, $lesson_border_data, $ss_nodata_found, $shortcode_action);
									 
									$num = 30;
									$table_width_outer =$table_width+$num;							 
									$border_data= $table_border_width.'px '.$table_border_style.' '.$table_border_color;
									if($mp_obj->getAction() == 'group_owner'){
										$template_course_body_html .=  $template_course_body;	
									}else{		
										if($course_status1 =="enrolled"){
											$template_course_body_html .="<tr><td colspan='7'>".$ss_nodata_found."<tr></td>";										
										}else{
											$template_course_body_html .=  $template_course_body;									 
										}											 
									}											 
							}											 
					  
						}						
					 
					}
					if($template_course_body_html !=""){	
							if($mp_obj->getAction() == 'group_owner'){
									$addnew_cls = " new_group_owner_cls ";
							}else{								
								$addnew_cls = " new_student_shortcode_cls ";								
							}
							 
							$template1 .= '<div class="student_shortcode_table_inn table-responsive '.$addnew_cls.'" style="width:'.$table_width_outer.'px; float: none; margin: 0 auto 38px;max-width:100%;">'.$template_course_name.'
										<table id="manage_student_table" class="table table-striped" style="width:'.$table_width.'px;border:'.$border_data.'">
											 '.$template_course_head.'
											<tbody class="subaccountTableBody studentShortcodeTableBody">';
							$template1 .= $template_course_body_html;				
											
							$template1 .= '</tbody>
										</table></div>';	
						}
				}
								
			}	//product array ends here
			
		}
		
		if($template1 !=""){		
			$template .='<div class="table-responsive" id="student_shortcode_table_outer">'.$template1.'</div>
			 ';				
		}
		$styling_options = $mp_obj->getStylingOptions();
		$styling_options = explode("||",$styling_options); 
		
		$html   = "<div id='dap_member_student_frontend_shortcode' class='live-links-bootstrap_outer dap_member_frontend_shortcode dap_member_student_frontend_shortcode_".$mp_obj->getId()."' style='display:none'><input type='hidden' id='userId' value='".$user_id."' >".$template."</div>";
		$html  .= "<link rel='stylesheet' id='dap_member_bootstrap4-css'  href='".dap_member_path."includes/css/bootstrap4.min.css' type='text/css' media='all' />					
					<link rel='stylesheet' id='dap_member_dataTables-css'  href='".dap_member_path."includes/css/dap_member_frontend_common.css?10' type='text/css' media='all' />";
					
		 
		//added jquery here, checking if already exist or not
		if(wp_script_is('jquery')) {
			$jquerymain =" ";		 
		} else {
			$jquerymain ="<script type='text/javascript' src='//ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js'></script>";
		}
		$site_url_dap =  SITE_URL_DAP;
		$html  .= $jquerymain;
		$html  .= "<script src='//cdnjs.cloudflare.com/ajax/libs/bootstrap-sweetalert/1.0.1/sweetalert.min.js'></script><script type='text/javascript' src='".dap_member_path."includes/js/student_shortcode.js?".rand(10,1000)."</script>' ></script>
				<link rel='stylesheet' id='dap_member_sweetalert-css'  href='//cdnjs.cloudflare.com/ajax/libs/bootstrap-sweetalert/1.0.1/sweetalert.css' type='text/css' media='all' />
				<link rel='stylesheet' id='dap_member_font-css'  href='//fonts.googleapis.com/css?family=Open+Sans%3A400%2C600%2C700&#038;display=swap' type='text/css' media='all' />
				<link rel='stylesheet' id='dap_member_font-css'  href='//cdn.datatables.net/1.10.13/css/jquery.dataTables.min.css' type='text/css' media='all' /><link rel='stylesheet'  href='".$site_url_dap."/dap/admin/css/studentShortcode.css' type='text/css' media='all' />
				 <link rel='stylesheet'  href='".dap_member_path."includes/css/student_shortcode.css?".rand(10,1000)."' type='text/css' media='all' />
				";	
		 	  
	}
	
	$ajaxurl =  admin_url('admin-ajax.php'); 
	$html .=  '<input type="hidden" id="dap_wp_ss_ajaxurl" name="dap_wp_ss_ajaxurl" value="'.$ajaxurl.'" />';
	
	$html .=  '<div class="ss_manage_side_popup_frontend_wrapper" style="dispaly:none">
					<div class="Manage_Side_Popup ">
					<div class="Manage_Side_Popup-inner">
						<a href="#" class="close_Side_Popup dap_wp_close_Side_Popup"><i class="fa fa-times" aria-hidden="true"></i></a>
						<h2> Quiz Details</h2>
						<div class="Manage_Side_Popup_content">
							
						</div>
						
					</div>
				</div>
			</div>
			';
	
	
	$html = str_replace('contenteditable="true"','contenteditable="false"',$html);   
	return  $html;  
}	 


function getLessonDetailsByCourseId($user_id,$course_id, $productStructure, $template_lesson_head, $template_lesson_body , $module_data, $lesson_border_data, $ss_nodata_found, $shortcode_action){
		$html="";
		if($shortcode_action == 'group_owner'){
			$html .= '<tr class="viewDetailsCommon" id="viewDetails'.$course_id.'_'.$user_id.'" style="display:none">';
		}else{								
			$html .= '<tr class="viewDetailsCommon" id="viewDetails'.$course_id.'" style="display:none">';						
		}
		 
		$html .= '<td colspan="7">';
		$html .= '<div class="result-data-block">';
		$html .= '<button type="button" class="close closeViewDetails" data-dismiss="modal" aria-label="Close" onclick="closeViewDetails()">×</button>';
		$html .= '<div id="quiz-course-accordion">';
									
		$progerssesObj = DAP_UserCourseProgress::getCourseProgressDetailsByUserIdAndProductId($user_id,$course_id);
		$complete_unit_ids = array();
		if(count($progerssesObj)){
			foreach($progerssesObj as $progerssObj){
				
				$complete_unit_ids[] =  $progerssObj['unit_id'];
			}
			
		}
		if($productStructure == 'module_lesson'){

			$moduledata = DAP_CourseModule::loadByCourseId($course_id) ;			
			
			$collapsedClass = "";
			$showCollapse = "show";
			$expanded = "true";
			$module_data1 =  $module_data; 
			if(isset($moduledata) && count($moduledata)>0 ){
				
				$isPrevCom = 'N';
				$i=0;
				foreach($moduledata as $modData){
					
					// $lessonurls  =  Dap_Product::displayFileResourcesWithCourseId($course_id);	
					if(isset($modData) && count($modData)>0){
						$lessonurls  =  Dap_Product::displayFileResourcesWithModuleIdCourseId($course_id,$modData->getId());	
						
						$module_data =   str_replace('%%MODULENAME%%',$modData->getModuleName(),$module_data1); 
						$course_id_rand = rand(10,1000).'_'.$course_id;					
						$html .= '<div class="card">';
						$html .= '<div class="card-header" id="course-accordionOne">';
						$html .= '<a class="  btn-link '.$collapsedClass.'" data-toggle="collapse" data-target="#quiz-course-collapseOne'.$modData->getId().$course_id_rand.'" aria-expanded="'.$expanded.'" aria-controls="quiz-course-collapseOne">'.$module_data.'</a>';
						$html .= '</div>';
						$html .= '<div id="quiz-course-collapseOne'.$modData->getId().$course_id_rand.'" class="collapse '. $showCollapse.'" aria-labelledby="course-accordionOne" data-parent="#quiz-course-accordion">';
						$html .= '<div class="card-body">';
						$html .= '<table class="table cell-border" style="border:'.$lesson_border_data.';">';
						$html .= '<thead>';
						$html .=  $template_lesson_head;
						 
						$html .= '</thead>';
						$html .= '<tbody>';
						$html_inner = '';
						
						foreach($lessonurls  as $lessons){
							$returnData = getHtmlWithFolder1($user_id, $course_id , $lessons, $complete_unit_ids,$quiz_id,$modData->getId(),'module_lesson', $template_lesson_body, $i, $isPrevCom);
							if(isset($returnData)){
								$html_inner .= 	$returnData['html'];
								$isPrevCom = $returnData['isPrevCom'];
							}
							
						}
						$i++;
						$html .= $html_inner;
						if(count($lessonurls) == 0 || $html_inner == ''){
							$html .= '<tr  ><td colspan="6" id="dap_table_no_recods"> '.$ss_nodata_found.'</td></tr>';
						}
						$html .= '</tbody>';
						$html .= '</table>';
						$html .= '</div>';
						$html .= '</div>';
						$html .= '</div>';
						//$collapsedClass = "collapsed";
						//$showCollapse = "";
						//$expanded = "false";
					}
				}
				
			}else{
				$html .= '<div style="padding:8px;" id="dap_table_no_recods"> '.$ss_nodata_found.'</div>';
			 
			}
		}else if($productStructure == 'lesson'){
				$lessonurls  =  Dap_Product::displayFileResourcesWithCourseId($course_id);		
				$html .= '<div class="card-body">';
				$html .= '<table class="table cell-border">';
				$html .= '<thead>';
				$html .=  $template_lesson_head;
				$html .= '</thead>';
				$html .= '<tbody>';
				$html_inner = '';
				$i=0;
				foreach($lessonurls  as $lessons){
					$returnData = getHtmlWithFolder1($user_id, $course_id , $lessons, $complete_unit_ids,$quiz_id,0,'lesson', $template_lesson_body, $i, $isPrevCom);
					if(isset($returnData)){
						$html_inner .= 	$returnData['html'];
						$isPrevCom = $returnData['isPrevCom'];
					}
					$i++;
				}
				$html .= $html_inner;
				if(count($lessonurls) == 0 || $html_inner == ''){
					$html .= '<tr  ><td colspan="6" id="dap_table_no_recods">  '.$ss_nodata_found.'</td></tr>';
				}
				
				
				$html .= '</tbody>';
				$html .= '</table>';
				$html .= '</div>';
			}
		$html .= '</div>';
		$html .= '</div>';
		$html .= '</td>';
		$html .= '</tr>';
		return $html;
}


function getHtmlWithFolder1($user_id, $course_id , $lesson,  $complete_unit_ids,$quiz_id_parameter = 0,$module_id = 0,$course_stucture = '', $template_lesson_body, $i, $isPrevCom = 'N'){
	  
	$lessonstatus = 'Pending';
	$completedStatus = 'Pending';
	$quizStatus = 'Inactive';
	$quizName = '-';
	$quizPoints = '-';
	$viewDetailsShow = 'none';
	$lessons_id = $lesson['id'];
	$lessonsName = $lesson["name"];
	$lessonsUrl = $lesson["url"];
	$quiz_type = ''; 
	$quizNameClass = 'text-center';
	$html="";
	$Initial_time_spent = '';
	$total_time_spent = '';
	$user_progress_obj = null;
	$date_completed = '';
	if( $course_stucture == 'module_lesson'){
		$user_progress_obj = DAP_UserCourseProgress::loadByCourseIdModuleIdlessonIduserId($course_id, $module_id, $lessons_id, $user_id);
	}else if( $course_stucture == 'lesson'){
		$user_progress_obj =  DAP_UserCourseProgress::loadByCourseIdlessonIduserId($course_id, $lessons_id, $user_id);
	}
	
	$date_completed = '';
	$date_started = '';
	$time_text = '';
	if(isset($user_progress_obj)){
		$date_completed = $user_progress_obj->getDate();
		$date_started = $user_progress_obj->getStartDate(); 
		$initial_time_spent = (int)$user_progress_obj->getInitialTimeSpent();
		$total_time_spent = (int)$user_progress_obj->getTotalTimeSpent();
		$total_time_spent_text = '';
		$initial_time_spent_text = '';
		if($total_time_spent != '' || $total_time_spent  != 0){
			if($total_time_spent <= 60){
				$total_time_spent = $total_time_spent.'s'; 
			}else if(($total_time_spent > 60) &&  ($total_time_spent < 3600)){
				 
				$minutes = floor($total_time_spent/60);
				$secondsleft = $total_time_spent%60;
				if($secondsleft >0){
					$total_time_spent =  $minutes.'m '.$secondsleft.'s';
				}else{
					$total_time_spent =  $minutes.'m'; 
				} 
				
			}else if($total_time_spent >= 3600){ 
				 
				$hours = floor($total_time_spent / 3600);
				$minutes = floor(($total_time_spent / 60) % 60);
				$seconds = $total_time_spent % 60;
				if($minutes >0){							
					if($seconds >0){
						$total_time_spent =  $hours.'h '.$minutes.'m '.$seconds.'s';
					}else{
						$total_time_spent =  $hours.'h '.$minutes.'m ';
					}
				}else{
					
					if($seconds >0){
						$total_time_spent =  $hours.'h 0m '.$seconds.'s';
					}else{
						$total_time_spent =  $hours.'h';
					}
				}
			}
			$total_time_spent_text = $total_time_spent ;
		}
		
		if($initial_time_spent != '' || $initial_time_spent  != 0){
			if($initial_time_spent <= 60){
				$initial_time_spent = $initial_time_spent.'s'; 
			}else if(($initial_time_spent > 60) &&  ($initial_time_spent < 3600)){
				 
				$minutes = floor($initial_time_spent/60);
				$secondsleft = $initial_time_spent%60;
				if($secondsleft >0){
					$initial_time_spent =  $minutes.'m '.$secondsleft.'s';
				}else{
					$initial_time_spent =  $minutes.'m'; 
				}
				
			}else if($initial_time_spent >= 3600){ 
						
				$hours = floor($initial_time_spent / 3600);
				$minutes = floor(($initial_time_spent / 60) % 60);
				$seconds = $initial_time_spent % 60;
				if($minutes >0){							
					if($seconds >0){
						$initial_time_spent =  $hours.'h '.$minutes.'m '.$seconds.'s';
					}else{
						$initial_time_spent =  $hours.'h '.$minutes.'m ';
					}
				}else{
					
					if($seconds >0){
						$initial_time_spent =  $hours.'h 0m '.$seconds.'s';
					}else{
						$initial_time_spent =  $hours.'h ';
					}
				}
				
				   
			}
			//$initial_time_spent_text = $initial_time_spent.' '.$initial_time_spent_text;
			$initial_time_spent_text = $initial_time_spent;
		}
		
		if($initial_time_spent_text != '' || $total_time_spent_texts != ''){
			$time_text = $initial_time_spent_text. ' / '.$total_time_spent_text;
		}
	}
	
	
	if(in_array($lessons_id, $complete_unit_ids)){
		$lessonstatus = 'Completed';		 
	}
	
	$sqb_exist = false;	    
	$sqbQuizzesdata_wp_check = Dap_SQBQuizCourseLessons::loadByCourseId($course_id);
	if(is_array($sqbQuizzesdata_wp_check) && count($sqbQuizzesdata_wp_check)){
		foreach($sqbQuizzesdata_wp_check as $sqbQuizdata){
			$blog_folder_name = $sqbQuizdata->getBlogFolderName();
			$sqb_plugin_active = dapWPCheckSQBHasAndActivated($blog_folder_name);
			if($sqb_plugin_active){
				$sqb_exist = true;
				break; 
			}
		}
	}
		
	    
	    
		if($sqb_exist){   // check sqb exist
			
			$quizData = SQB_ManageLeads::loadByUserCourseLessonSource($user_id, $course_id , $lessons_id, 'DAP');

			$completed = 0;
			if($quizData != false){
				if($quizData->getId() != 0){
					$completed = $quizData->getCompleted();
					if($completed == 1){
						$completedStatus = 'Completed';
						
					}
					$quiz_id = $quizData->getQuizId();
		
				if($quiz_id != '' && $quiz_id != 0){
					$quizDataDetails = SQB_Quiz::loadById($quiz_id);					

					if($quizDataDetails != false){
						
						$quizName = $quizDataDetails->getQuizName();
						$quizNameClass = '';
						
						$quiz_type = $quizDataDetails->getQuizType();
						if($quizDataDetails->getStatus() == 'Y'){
							$quizStatus = 'Active';
						}
						
					}
					$quizUserDetails = SQB_UserQuizDetails::loadUserDeatilsByUserIdAndQuizId($user_id, $quiz_id);					

					if($quizUserDetails != false){						
						//print_r($quizUserDetails);
						$pointsScored = $quizUserDetails->getPointsScored();
						$totalPoints = $quizUserDetails->getTotalPoints();

						$quizPoints = $pointsScored.'/'. $totalPoints;
						$viewDetailsShow = 'inline-block';
					}
				}

				
			   }
				
			}
		}
	
	
	
	
	if($quiz_id_parameter != 0 && ($quiz_id_parameter != $quiz_id)){
		//return '';
		return array('html' => '', 'isPrevCom' => $isPrevCom);
	}
	
	if(($quiz_type == 'personality') || ($quiz_type == 'survey')){
		$quizPoints = '';
	}
     
    $table_row_id = 'table_row_id_'.$user_id.'_'.$course_id.'_'.$lessons_id.'_'.rand(10,1000);
    
	$str_leng = strlen($lessonsName);
	/*$lessonsName1 = substr($lessonsName,0,40);*/
	$lessonsName1 = $lessonsName;
	if($str_leng> 40){
		$lessonsName1 = '<div title="'.$lessonsName.'" class="prod_name">'.$lessonsName1.'</div>';
	}else{
		$lessonsName1 ='<div title="'.$lessonsName.'" class="prod_name">'.$lessonsName1.'</div>';
	}
		
	if(in_array($lessons_id, $complete_unit_ids)){			 
		$lessonsName2 = '<a href="'.$lessonsUrl.'" title="'.$lessonsUrl.'" target="_blank">'.$lessonsName1.'</a>';
		$isPrevCom = 'Y';
	} else{
		
		if($i ==0 || $isPrevCom == 'Y'){
			$lessonsName2 = '<a href="'.$lessonsUrl.'" title="'.$lessonsUrl.'" target="_blank">'.$lessonsName1.'</a>';
		}else{
			$lessonsName2 = $lessonsName1;
		}
		$isPrevCom = 'N';
	}
		 
	//$lessonsName2 = '<a href="'.$lessonsUrl1.'" title="'.$lessonsUrl.'" target="_blank">'.$lessonsName1.'</a>';
	$view_details = '<a style="display:'.$viewDetailsShow.'" href="javascript:void(0)" class="btn view_detail_btn ml-3" data-quizid="'.$quiz_id.'" data-userid="'.$user_id.'" onclick="dap_wp_student_view_quiz_course_details(this)" data-row-id="'.$table_row_id.'">View Results</a>';
	
	$template_lesson_body  =  str_replace( '%%LESSONNAME%%', $lessonsName2, $template_lesson_body);	
	$template_lesson_body  =   str_replace( '%%STARTDATE%%', $date_started, $template_lesson_body);	
	$template_lesson_body  =  str_replace( '%%COMPLETED%%', $date_completed, $template_lesson_body);
	$template_lesson_body  =   str_replace( '%%SCORE%%', $quizPoints, $template_lesson_body);	
	$template_lesson_body  =   str_replace( '%%QUIZRESULTS%%', $view_details, $template_lesson_body);	
 
	$html .= '<tr class="'.$table_row_id.'">'.$template_lesson_body.' </tr>';
	return array('html' => $html, 'isPrevCom' => $isPrevCom);
	
}

function getCompletedCourseStatus($course_id, $userId, $product_structure, $progress_bordercolor){
	//echo "course_id ".$course_id;
	$hascompleted = false;	
	$hasinprogress = false;	
	$hasenrolled = false;	
	$hasupsell = false;	
	$lessonurlcount1 =0;
	$lessoncount=0;			 			 				
	$unit_url_list = array();
	$student_enrolled_course = dapMemberGetMessageByKeyAndAction('dapcourse','student_enrolled_course');
	if($student_enrolled_course == ''){
		$student_enrolled_course = 'Enrolled';
	}
	$student_inprogress_course = dapMemberGetMessageByKeyAndAction('dapcourse','student_inprogress_course');
	if($student_inprogress_course == ''){
		$student_inprogress_course = 'In-Progress';
	}
	$student_completed_course = dapMemberGetMessageByKeyAndAction('dapcourse','student_completed_course');
	if($student_completed_course == ''){
		$student_completed_course = 'Completed';
	}
	
	//lesson loop	
	if($product_structure == "lesson"){		
		    $product_obj_var = new Dap_Product();				
			$lessonurls  = $product_obj_var->displayFileResourcesWithCourseId($course_id);
			$dap_course_obj_var = new DAP_UserCourseProgress();
			$lessoncount = $dap_course_obj_var->lessonCountByCourseIduserId($course_id , $userId );	 
	}else{
		
		$moduledata = DAP_CourseModule::loadByCourseId($course_id) ;	
		if(isset($moduledata)) {							 
			$lessonurls = array();
			
			// module loop					
			foreach($moduledata as $mod){					
				 $product_obj_var = new Dap_Product();								
				 $lessonurls[]  =  $product_obj_var->displayFileResourcesWithModuleIdCourseId($course_id, $mod->getId());
				 $user_course_obj_var = new DAP_UserCourseProgress();		
				 $lessoncount += $user_course_obj_var->lessonCountByCourseIdModuleIduserId($course_id , $mod->getId(), $userId );				 							
			}							
			
			if(count($lessonurls)){
				$lessonurls_new = array();
				foreach($lessonurls as $lessonurl){
					foreach($lessonurl as $lessonurl_single){
						$lessonurls_new[] = $lessonurl_single;										 
					}
				}								
				$lessonurls = $lessonurls_new;								
			}				 
		}
	}				

	if(isset($lessonurls)) {							 
		foreach($lessonurls as $lessonurl){
			$unit_url_list[]  = $lessonurl['url'];							 					 
		}						  
	}	
	$lessonurlcount1 = count($unit_url_list);
	if($lessoncount ==""){
		$lessoncount =0;
	}
	 
	if($lessoncount >0){
		if($lessoncount == $lessonurlcount1){	
			$hascompleted = $student_completed_course;			 
			$hascompletedprogress =  sqbProgressData($lessoncount, $lessonurlcount1, $progress_bordercolor);
			return $hascompleted.$hascompletedprogress."||completed";
		} else{
			$hascompleted = $student_inprogress_course;
			$hascompletedprogress =  sqbProgressData($lessoncount, $lessonurlcount1, $progress_bordercolor);
			return $hascompleted.$hascompletedprogress."||inprogress";
			 
		}				
	}else{
		$hasenrolled =  $student_enrolled_course;
		$hascompletedprogress =  sqbProgressData($lessoncount, $lessonurlcount1, $progress_bordercolor);
		return $hasenrolled.$hascompletedprogress."||enrolled";
	}
		 
}
 
function sqbProgressData($lessoncount, $lessonurlcount1, $progress_bordercolor) {
	 $divided_num =  ($lessoncount / 100) * $lessonurlcount1;   
	 $val = get_percentage1($lessonurlcount1,$lessoncount);
	 if($val =="nan" || $val <1){
		 $val =0;
	 }
	 $addClass = "";
	 if($val >50){
		 $addClass=" over50 ";
	 }
	 $progress_html ='   <div class="progress-circle '.$addClass.' p'.get_percentage1($lessonurlcount1,$lessoncount).'">
	   <span>'.$val.'%</span>
	   <div class="left-half-clipper">
		  <div class="first50-bar"></div>
		  <div class="value-bar"></div>
	   </div>
	</div><style>#student_shortcode_table_outer .value-bar{border-color:'.$progress_bordercolor.'!important;}#student_shortcode_table_outer .progress-circle.p100{background-color: '.$progress_bordercolor.'!important;}#student_shortcode_table_outer .progress-circle.over50  .first50-bar {
	background-color: '.$progress_bordercolor.'!important;}</style>';
	return $progress_html ;
 }
 
function get_percentage1( $num_total,$num_amount) {
	$count1 = $num_amount / $num_total;
	$count2 = $count1 * 100;
	$count = number_format($count2, 0);
	return $count;
}

function dapWPCheckSQBHasAndActivated($blog_folder_name = ''){
	
	$sqb_plugin_active = false;
	$dap_sqb_wp_path_folder_name = '';
	
	if($blog_folder_name == ''){
		$dap_sqb_wp_path_folder_name = '';
		
	}else if($blog_folder_name == 'root' ){
		
		$dap_sqb_wp_path_folder_name = '';
		
	}else{
		
		$dap_sqb_wp_path_folder_name =  $blog_folder_name.'/';
	}
    $lldocroot = defined('SITEROOT') ? SITEROOT : $_SERVER['DOCUMENT_ROOT'];
	$dap_sqb_wp_path_root_folder =  $lldocroot.'/'.$dap_sqb_wp_path_folder_name;
	$dap_sqb_wp_path =  $dap_sqb_wp_path_root_folder."wp-load.php";
	
	$dap_sqb_wp_plugin_path =  $dap_sqb_wp_path_root_folder."wp-content/plugins/smartquizbuilder/smartquizbuilder.php";
	
	
	if (file_exists($dap_sqb_wp_path) && file_exists($dap_sqb_wp_plugin_path) ){
		
		require_once ($dap_sqb_wp_path);    
		include_once ($dap_sqb_wp_path_root_folder.'wp-admin/includes/plugin.php' );
		
		// check for plugin using plugin name
		if (function_exists('is_plugin_active') && is_plugin_active('smartquizbuilder/smartquizbuilder.php') ) {
			$sqb_plugin_active = true;
		}
	}
	
	return $sqb_plugin_active;
	
}

